searchData={"items":[{"type":"module","title":"CDPotion","doc":"Documentation for `CDPotion`.","ref":"CDPotion.html"},{"type":"module","title":"CDPotion.Domain.Accessibility","doc":"","ref":"CDPotion.Domain.Accessibility.html"},{"type":"function","title":"CDPotion.Domain.Accessibility.disable/0","doc":"Disables the accessibility domain.","ref":"CDPotion.Domain.Accessibility.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Accessibility.enable/0","doc":"Enables the accessibility domain which causes `AXNodeId`s to remain consistent between method calls.\nThis turns on accessibility for the page, which can impact performance until accessibility is disabled.","ref":"CDPotion.Domain.Accessibility.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Accessibility.get_ax_node_and_ancestors/3","doc":"Fetches a node and all ancestors up to and including the root.\nRequires `enable()` to have been called previously.","ref":"CDPotion.Domain.Accessibility.html#get_ax_node_and_ancestors/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.get_ax_node_and_ancestors/3","doc":"- (Optional) `node_id`: Identifier of the node to get.\n- (Optional) `backend_node_id`: Identifier of the backend node to get.\n- (Optional) `object_id`: JavaScript object id of the node wrapper to get.","ref":"CDPotion.Domain.Accessibility.html#get_ax_node_and_ancestors/3-parameters"},{"type":"function","title":"CDPotion.Domain.Accessibility.get_child_ax_nodes/2","doc":"Fetches a particular accessibility node by AXNodeId.\nRequires `enable()` to have been called previously.","ref":"CDPotion.Domain.Accessibility.html#get_child_ax_nodes/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.get_child_ax_nodes/2","doc":"- (Required) `id`: description not provided :(\n- (Optional) `frame_id`: The frame in whose document the node resides.\nIf omitted, the root frame is used.","ref":"CDPotion.Domain.Accessibility.html#get_child_ax_nodes/2-parameters"},{"type":"function","title":"CDPotion.Domain.Accessibility.get_full_ax_tree/2","doc":"Fetches the entire accessibility tree for the root Document","ref":"CDPotion.Domain.Accessibility.html#get_full_ax_tree/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.get_full_ax_tree/2","doc":"- (Optional) `depth`: The maximum depth at which descendants of the root node should be retrieved.\nIf omitted, the full tree is returned.\n- (Optional) `frame_id`: The frame for whose document the AX tree should be retrieved.\nIf omited, the root frame is used.","ref":"CDPotion.Domain.Accessibility.html#get_full_ax_tree/2-parameters"},{"type":"function","title":"CDPotion.Domain.Accessibility.get_partial_ax_tree/4","doc":"Fetches the accessibility node and partial accessibility tree for this DOM node, if it exists.","ref":"CDPotion.Domain.Accessibility.html#get_partial_ax_tree/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.get_partial_ax_tree/4","doc":"- (Optional) `node_id`: Identifier of the node to get the partial accessibility tree for.\n- (Optional) `backend_node_id`: Identifier of the backend node to get the partial accessibility tree for.\n- (Optional) `object_id`: JavaScript object id of the node wrapper to get the partial accessibility tree for.\n- (Optional) `fetch_relatives`: Whether to fetch this node's ancestors, siblings and children. Defaults to true.","ref":"CDPotion.Domain.Accessibility.html#get_partial_ax_tree/4-parameters"},{"type":"function","title":"CDPotion.Domain.Accessibility.get_root_ax_node/1","doc":"Fetches the root node.\nRequires `enable()` to have been called previously.","ref":"CDPotion.Domain.Accessibility.html#get_root_ax_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.get_root_ax_node/1","doc":"- (Optional) `frame_id`: The frame in whose document the node resides.\nIf omitted, the root frame is used.","ref":"CDPotion.Domain.Accessibility.html#get_root_ax_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.Accessibility.query_ax_tree/5","doc":"Query a DOM node's accessibility subtree for accessible name and role.\nThis command computes the name and role for all nodes in the subtree, including those that are\nignored for accessibility, and returns those that mactch the specified name and role. If no DOM\nnode is specified, or the DOM node does not exist, the command returns an error. If neither\n`accessibleName` or `role` is specified, it returns all the accessibility nodes in the subtree.","ref":"CDPotion.Domain.Accessibility.html#query_ax_tree/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Accessibility.query_ax_tree/5","doc":"- (Optional) `node_id`: Identifier of the node for the root to query.\n- (Optional) `backend_node_id`: Identifier of the backend node for the root to query.\n- (Optional) `object_id`: JavaScript object id of the node wrapper for the root to query.\n- (Optional) `accessible_name`: Find nodes with this computed name.\n- (Optional) `role`: Find nodes with this computed role.","ref":"CDPotion.Domain.Accessibility.html#query_ax_tree/5-parameters"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_node/0","doc":"A node in the accessibility tree.","ref":"CDPotion.Domain.Accessibility.html#t:ax_node/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_node_id/0","doc":"Unique accessibility node identifier.","ref":"CDPotion.Domain.Accessibility.html#t:ax_node_id/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_property/0","doc":"description not provided :(","ref":"CDPotion.Domain.Accessibility.html#t:ax_property/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_property_name/0","doc":"Values of AXProperty name:\n- from 'busy' to 'roledescription': states which apply to every AX node\n- from 'live' to 'root': attributes which apply to nodes in live regions\n- from 'autocomplete' to 'valuetext': attributes which apply to widgets\n- from 'checked' to 'selected': states which apply to widgets\n- from 'activedescendant' to 'owns' - relationships between elements other than parent/child/sibling.","ref":"CDPotion.Domain.Accessibility.html#t:ax_property_name/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_related_node/0","doc":"description not provided :(","ref":"CDPotion.Domain.Accessibility.html#t:ax_related_node/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_value/0","doc":"A single computed AX property.","ref":"CDPotion.Domain.Accessibility.html#t:ax_value/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_value_native_source_type/0","doc":"Enum of possible native property sources (as a subtype of a particular AXValueSourceType).","ref":"CDPotion.Domain.Accessibility.html#t:ax_value_native_source_type/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_value_source/0","doc":"A single source for a computed AX property.","ref":"CDPotion.Domain.Accessibility.html#t:ax_value_source/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_value_source_type/0","doc":"Enum of possible property sources.","ref":"CDPotion.Domain.Accessibility.html#t:ax_value_source_type/0"},{"type":"type","title":"CDPotion.Domain.Accessibility.ax_value_type/0","doc":"Enum of possible property types.","ref":"CDPotion.Domain.Accessibility.html#t:ax_value_type/0"},{"type":"module","title":"CDPotion.Domain.Animation","doc":"","ref":"CDPotion.Domain.Animation.html"},{"type":"function","title":"CDPotion.Domain.Animation.disable/0","doc":"Disables animation domain notifications.","ref":"CDPotion.Domain.Animation.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Animation.enable/0","doc":"Enables animation domain notifications.","ref":"CDPotion.Domain.Animation.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Animation.get_current_time/1","doc":"Returns the current time of the an animation.","ref":"CDPotion.Domain.Animation.html#get_current_time/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.get_current_time/1","doc":"- (Required) `id`: Id of animation.","ref":"CDPotion.Domain.Animation.html#get_current_time/1-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.get_playback_rate/0","doc":"Gets the playback rate of the document timeline.","ref":"CDPotion.Domain.Animation.html#get_playback_rate/0"},{"type":"function","title":"CDPotion.Domain.Animation.release_animations/1","doc":"Releases a set of animations to no longer be manipulated.","ref":"CDPotion.Domain.Animation.html#release_animations/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.release_animations/1","doc":"- (Required) `animations`: List of animation ids to seek.","ref":"CDPotion.Domain.Animation.html#release_animations/1-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.resolve_animation/1","doc":"Gets the remote object of the Animation.","ref":"CDPotion.Domain.Animation.html#resolve_animation/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.resolve_animation/1","doc":"- (Required) `animation_id`: Animation id.","ref":"CDPotion.Domain.Animation.html#resolve_animation/1-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.seek_animations/2","doc":"Seek a set of animations to a particular time within each animation.","ref":"CDPotion.Domain.Animation.html#seek_animations/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.seek_animations/2","doc":"- (Required) `animations`: List of animation ids to seek.\n- (Required) `current_time`: Set the current time of each animation.","ref":"CDPotion.Domain.Animation.html#seek_animations/2-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.set_paused/2","doc":"Sets the paused state of a set of animations.","ref":"CDPotion.Domain.Animation.html#set_paused/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.set_paused/2","doc":"- (Required) `animations`: Animations to set the pause state of.\n- (Required) `paused`: Paused state to set to.","ref":"CDPotion.Domain.Animation.html#set_paused/2-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.set_playback_rate/1","doc":"Sets the playback rate of the document timeline.","ref":"CDPotion.Domain.Animation.html#set_playback_rate/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.set_playback_rate/1","doc":"- (Required) `playback_rate`: Playback rate for animations on page","ref":"CDPotion.Domain.Animation.html#set_playback_rate/1-parameters"},{"type":"function","title":"CDPotion.Domain.Animation.set_timing/3","doc":"Sets the timing of an animation node.","ref":"CDPotion.Domain.Animation.html#set_timing/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Animation.set_timing/3","doc":"- (Required) `animation_id`: Animation id.\n- (Required) `duration`: Duration of the animation.\n- (Required) `delay`: Delay of the animation.","ref":"CDPotion.Domain.Animation.html#set_timing/3-parameters"},{"type":"type","title":"CDPotion.Domain.Animation.animation/0","doc":"Animation instance.","ref":"CDPotion.Domain.Animation.html#t:animation/0"},{"type":"type","title":"CDPotion.Domain.Animation.animation_effect/0","doc":"AnimationEffect instance","ref":"CDPotion.Domain.Animation.html#t:animation_effect/0"},{"type":"type","title":"CDPotion.Domain.Animation.keyframe_style/0","doc":"Keyframe Style","ref":"CDPotion.Domain.Animation.html#t:keyframe_style/0"},{"type":"type","title":"CDPotion.Domain.Animation.keyframes_rule/0","doc":"Keyframes Rule","ref":"CDPotion.Domain.Animation.html#t:keyframes_rule/0"},{"type":"module","title":"CDPotion.Domain.Audits","doc":"","ref":"CDPotion.Domain.Audits.html"},{"type":"function","title":"CDPotion.Domain.Audits.check_contrast/1","doc":"Runs the contrast check for the target page. Found issues are reported\nusing Audits.issueAdded event.","ref":"CDPotion.Domain.Audits.html#check_contrast/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Audits.check_contrast/1","doc":"- (Optional) `report_aaa`: Whether to report WCAG AAA level issues. Default is false.","ref":"CDPotion.Domain.Audits.html#check_contrast/1-parameters"},{"type":"function","title":"CDPotion.Domain.Audits.check_forms_issues/0","doc":"Runs the form issues check for the target page. Found issues are reported\nusing Audits.issueAdded event.","ref":"CDPotion.Domain.Audits.html#check_forms_issues/0"},{"type":"function","title":"CDPotion.Domain.Audits.disable/0","doc":"Disables issues domain, prevents further issues from being reported to the client.","ref":"CDPotion.Domain.Audits.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Audits.enable/0","doc":"Enables issues domain, sends the issues collected so far to the client by means of the\n`issueAdded` event.","ref":"CDPotion.Domain.Audits.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Audits.get_encoded_response/4","doc":"Returns the response body and size if it were re-encoded with the specified settings. Only\napplies to images.","ref":"CDPotion.Domain.Audits.html#get_encoded_response/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Audits.get_encoded_response/4","doc":"- (Required) `request_id`: Identifier of the network request to get content for.\n- (Required) `encoding`: The encoding to use.\n- (Optional) `quality`: The quality of the encoding (0-1). (defaults to 1)\n- (Optional) `size_only`: Whether to only return the size information (defaults to false).","ref":"CDPotion.Domain.Audits.html#get_encoded_response/4-parameters"},{"type":"type","title":"CDPotion.Domain.Audits.affected_cookie/0","doc":"Information about a cookie that is affected by an inspector issue.","ref":"CDPotion.Domain.Audits.html#t:affected_cookie/0"},{"type":"type","title":"CDPotion.Domain.Audits.affected_frame/0","doc":"Information about the frame affected by an inspector issue.","ref":"CDPotion.Domain.Audits.html#t:affected_frame/0"},{"type":"type","title":"CDPotion.Domain.Audits.affected_request/0","doc":"Information about a request that is affected by an inspector issue.","ref":"CDPotion.Domain.Audits.html#t:affected_request/0"},{"type":"type","title":"CDPotion.Domain.Audits.attribution_reporting_issue_details/0","doc":"Details for issues around 'Attribution Reporting API' usage.\nExplainer: https://github.com/WICG/attribution-reporting-api","ref":"CDPotion.Domain.Audits.html#t:attribution_reporting_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.attribution_reporting_issue_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:attribution_reporting_issue_type/0"},{"type":"type","title":"CDPotion.Domain.Audits.blocked_by_response_issue_details/0","doc":"Details for a request that has been blocked with the BLOCKED_BY_RESPONSE\ncode. Currently only used for COEP/COOP, but may be extended to include\nsome CSP errors in the future.","ref":"CDPotion.Domain.Audits.html#t:blocked_by_response_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.blocked_by_response_reason/0","doc":"Enum indicating the reason a response has been blocked. These reasons are\nrefinements of the net error BLOCKED_BY_RESPONSE.","ref":"CDPotion.Domain.Audits.html#t:blocked_by_response_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.bounce_tracking_issue_details/0","doc":"This issue warns about sites in the redirect chain of a finished navigation\nthat may be flagged as trackers and have their state cleared if they don't\nreceive a user interaction. Note that in this context 'site' means eTLD+1.\nFor example, if the URL `https://example.test:80/bounce` was in the\nredirect chain, the site reported would be `example.test`.","ref":"CDPotion.Domain.Audits.html#t:bounce_tracking_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.client_hint_issue_details/0","doc":"This issue tracks client hints related issues. It's used to deprecate old\nfeatures, encourage the use of new ones, and provide general guidance.","ref":"CDPotion.Domain.Audits.html#t:client_hint_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.client_hint_issue_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:client_hint_issue_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.content_security_policy_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:content_security_policy_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.content_security_policy_violation_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:content_security_policy_violation_type/0"},{"type":"type","title":"CDPotion.Domain.Audits.cookie_exclusion_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:cookie_exclusion_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.cookie_issue_details/0","doc":"This information is currently necessary, as the front-end has a difficult\ntime finding a specific cookie. With this, we can convey specific error\ninformation without the cookie.","ref":"CDPotion.Domain.Audits.html#t:cookie_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.cookie_operation/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:cookie_operation/0"},{"type":"type","title":"CDPotion.Domain.Audits.cookie_warning_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:cookie_warning_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.cors_issue_details/0","doc":"Details for a CORS related issue, e.g. a warning or error related to\nCORS RFC1918 enforcement.","ref":"CDPotion.Domain.Audits.html#t:cors_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.deprecation_issue_details/0","doc":"This issue tracks information needed to print a deprecation message.\nhttps://source.chromium.org/chromium/chromium/src/+/main:third_party/blink/renderer/core/frame/third_party/blink/renderer/core/frame/deprecation/README.md","ref":"CDPotion.Domain.Audits.html#t:deprecation_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.failed_request_info/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:failed_request_info/0"},{"type":"type","title":"CDPotion.Domain.Audits.federated_auth_request_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:federated_auth_request_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.federated_auth_request_issue_reason/0","doc":"Represents the failure reason when a federated authentication reason fails.\nShould be updated alongside RequestIdTokenStatus in\nthird_party/blink/public/mojom/devtools/inspector_issue.mojom to include\nall cases except for success.","ref":"CDPotion.Domain.Audits.html#t:federated_auth_request_issue_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.federated_auth_user_info_request_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:federated_auth_user_info_request_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.federated_auth_user_info_request_issue_reason/0","doc":"Represents the failure reason when a getUserInfo() call fails.\nShould be updated alongside FederatedAuthUserInfoRequestResult in\nthird_party/blink/public/mojom/devtools/inspector_issue.mojom.","ref":"CDPotion.Domain.Audits.html#t:federated_auth_user_info_request_issue_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.generic_issue_details/0","doc":"Depending on the concrete errorType, different properties are set.","ref":"CDPotion.Domain.Audits.html#t:generic_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.generic_issue_error_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:generic_issue_error_type/0"},{"type":"type","title":"CDPotion.Domain.Audits.heavy_ad_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:heavy_ad_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.heavy_ad_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:heavy_ad_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.heavy_ad_resolution_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:heavy_ad_resolution_status/0"},{"type":"type","title":"CDPotion.Domain.Audits.inspector_issue/0","doc":"An inspector issue reported from the back-end.","ref":"CDPotion.Domain.Audits.html#t:inspector_issue/0"},{"type":"type","title":"CDPotion.Domain.Audits.inspector_issue_code/0","doc":"A unique identifier for the type of issue. Each type may use one of the\noptional fields in InspectorIssueDetails to convey more specific\ninformation about the kind of issue.","ref":"CDPotion.Domain.Audits.html#t:inspector_issue_code/0"},{"type":"type","title":"CDPotion.Domain.Audits.inspector_issue_details/0","doc":"This struct holds a list of optional fields with additional information\nspecific to the kind of issue. When adding a new issue code, please also\nadd a new optional field to this type.","ref":"CDPotion.Domain.Audits.html#t:inspector_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.issue_id/0","doc":"A unique id for a DevTools inspector issue. Allows other entities (e.g.\nexceptions, CDP message, console messages, etc.) to reference an issue.","ref":"CDPotion.Domain.Audits.html#t:issue_id/0"},{"type":"type","title":"CDPotion.Domain.Audits.low_text_contrast_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:low_text_contrast_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.mixed_content_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:mixed_content_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.mixed_content_resolution_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:mixed_content_resolution_status/0"},{"type":"type","title":"CDPotion.Domain.Audits.mixed_content_resource_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:mixed_content_resource_type/0"},{"type":"type","title":"CDPotion.Domain.Audits.navigator_user_agent_issue_details/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:navigator_user_agent_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.quirks_mode_issue_details/0","doc":"Details for issues about documents in Quirks Mode\nor Limited Quirks Mode that affects page layouting.","ref":"CDPotion.Domain.Audits.html#t:quirks_mode_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.shared_array_buffer_issue_details/0","doc":"Details for a issue arising from an SAB being instantiated in, or\ntransferred to a context that is not cross-origin isolated.","ref":"CDPotion.Domain.Audits.html#t:shared_array_buffer_issue_details/0"},{"type":"type","title":"CDPotion.Domain.Audits.shared_array_buffer_issue_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:shared_array_buffer_issue_type/0"},{"type":"type","title":"CDPotion.Domain.Audits.source_code_location/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:source_code_location/0"},{"type":"type","title":"CDPotion.Domain.Audits.style_sheet_loading_issue_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Audits.html#t:style_sheet_loading_issue_reason/0"},{"type":"type","title":"CDPotion.Domain.Audits.stylesheet_loading_issue_details/0","doc":"This issue warns when a referenced stylesheet couldn't be loaded.","ref":"CDPotion.Domain.Audits.html#t:stylesheet_loading_issue_details/0"},{"type":"module","title":"CDPotion.Domain.Autofill","doc":"","ref":"CDPotion.Domain.Autofill.html"},{"type":"function","title":"CDPotion.Domain.Autofill.set_addresses/1","doc":"Set addresses so that developers can verify their forms implementation.","ref":"CDPotion.Domain.Autofill.html#set_addresses/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Autofill.set_addresses/1","doc":"- (Required) `addresses`: description not provided :(","ref":"CDPotion.Domain.Autofill.html#set_addresses/1-parameters"},{"type":"function","title":"CDPotion.Domain.Autofill.trigger/3","doc":"Trigger autofill on a form identified by the fieldId.\nIf the field and related form cannot be autofilled, returns an error.","ref":"CDPotion.Domain.Autofill.html#trigger/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Autofill.trigger/3","doc":"- (Required) `field_id`: Identifies a field that serves as an anchor for autofill.\n- (Optional) `frame_id`: Identifies the frame that field belongs to.\n- (Required) `card`: Credit card information to fill out the form. Credit card data is not saved.","ref":"CDPotion.Domain.Autofill.html#trigger/3-parameters"},{"type":"type","title":"CDPotion.Domain.Autofill.address/0","doc":"description not provided :(","ref":"CDPotion.Domain.Autofill.html#t:address/0"},{"type":"type","title":"CDPotion.Domain.Autofill.address_field/0","doc":"description not provided :(","ref":"CDPotion.Domain.Autofill.html#t:address_field/0"},{"type":"type","title":"CDPotion.Domain.Autofill.credit_card/0","doc":"description not provided :(","ref":"CDPotion.Domain.Autofill.html#t:credit_card/0"},{"type":"module","title":"CDPotion.Domain.BackgroundService","doc":"","ref":"CDPotion.Domain.BackgroundService.html"},{"type":"function","title":"CDPotion.Domain.BackgroundService.clear_events/1","doc":"Clears all stored data for the service.","ref":"CDPotion.Domain.BackgroundService.html#clear_events/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.BackgroundService.clear_events/1","doc":"- (Required) `service`: description not provided :(","ref":"CDPotion.Domain.BackgroundService.html#clear_events/1-parameters"},{"type":"function","title":"CDPotion.Domain.BackgroundService.set_recording/2","doc":"Set the recording state for the service.","ref":"CDPotion.Domain.BackgroundService.html#set_recording/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.BackgroundService.set_recording/2","doc":"- (Required) `should_record`: description not provided :(\n- (Required) `service`: description not provided :(","ref":"CDPotion.Domain.BackgroundService.html#set_recording/2-parameters"},{"type":"function","title":"CDPotion.Domain.BackgroundService.start_observing/1","doc":"Enables event updates for the service.","ref":"CDPotion.Domain.BackgroundService.html#start_observing/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.BackgroundService.start_observing/1","doc":"- (Required) `service`: description not provided :(","ref":"CDPotion.Domain.BackgroundService.html#start_observing/1-parameters"},{"type":"function","title":"CDPotion.Domain.BackgroundService.stop_observing/1","doc":"Disables event updates for the service.","ref":"CDPotion.Domain.BackgroundService.html#stop_observing/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.BackgroundService.stop_observing/1","doc":"- (Required) `service`: description not provided :(","ref":"CDPotion.Domain.BackgroundService.html#stop_observing/1-parameters"},{"type":"type","title":"CDPotion.Domain.BackgroundService.background_service_event/0","doc":"description not provided :(","ref":"CDPotion.Domain.BackgroundService.html#t:background_service_event/0"},{"type":"type","title":"CDPotion.Domain.BackgroundService.event_metadata/0","doc":"A key-value pair for additional event information to pass along.","ref":"CDPotion.Domain.BackgroundService.html#t:event_metadata/0"},{"type":"type","title":"CDPotion.Domain.BackgroundService.service_name/0","doc":"The Background Service that will be associated with the commands/events.\nEvery Background Service operates independently, but they share the same\nAPI.","ref":"CDPotion.Domain.BackgroundService.html#t:service_name/0"},{"type":"module","title":"CDPotion.Domain.Browser","doc":"","ref":"CDPotion.Domain.Browser.html"},{"type":"function","title":"CDPotion.Domain.Browser.add_privacy_sandbox_enrollment_override/1","doc":"Allows a site to use privacy sandbox features that require enrollment\nwithout the site actually being enrolled. Only supported on page targets.","ref":"CDPotion.Domain.Browser.html#add_privacy_sandbox_enrollment_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.add_privacy_sandbox_enrollment_override/1","doc":"- (Required) `url`: description not provided :(","ref":"CDPotion.Domain.Browser.html#add_privacy_sandbox_enrollment_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.cancel_download/2","doc":"Cancel a download if in progress","ref":"CDPotion.Domain.Browser.html#cancel_download/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.cancel_download/2","doc":"- (Required) `guid`: Global unique identifier of the download.\n- (Optional) `browser_context_id`: BrowserContext to perform the action in. When omitted, default browser context is used.","ref":"CDPotion.Domain.Browser.html#cancel_download/2-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.close/0","doc":"Close browser gracefully.","ref":"CDPotion.Domain.Browser.html#close/0"},{"type":"function","title":"CDPotion.Domain.Browser.crash/0","doc":"Crashes browser on the main thread.","ref":"CDPotion.Domain.Browser.html#crash/0"},{"type":"function","title":"CDPotion.Domain.Browser.crash_gpu_process/0","doc":"Crashes GPU process.","ref":"CDPotion.Domain.Browser.html#crash_gpu_process/0"},{"type":"function","title":"CDPotion.Domain.Browser.execute_browser_command/1","doc":"Invoke custom browser commands used by telemetry.","ref":"CDPotion.Domain.Browser.html#execute_browser_command/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.execute_browser_command/1","doc":"- (Required) `command_id`: description not provided :(","ref":"CDPotion.Domain.Browser.html#execute_browser_command/1-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.get_browser_command_line/0","doc":"Returns the command line switches for the browser process if, and only if\n--enable-automation is on the commandline.","ref":"CDPotion.Domain.Browser.html#get_browser_command_line/0"},{"type":"function","title":"CDPotion.Domain.Browser.get_histogram/2","doc":"Get a Chrome histogram by name.","ref":"CDPotion.Domain.Browser.html#get_histogram/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.get_histogram/2","doc":"- (Required) `name`: Requested histogram name.\n- (Optional) `delta`: If true, retrieve delta since last delta call.","ref":"CDPotion.Domain.Browser.html#get_histogram/2-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.get_histograms/2","doc":"Get Chrome histograms.","ref":"CDPotion.Domain.Browser.html#get_histograms/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.get_histograms/2","doc":"- (Optional) `query`: Requested substring in name. Only histograms which have query as a\nsubstring in their name are extracted. An empty or absent query returns\nall histograms.\n- (Optional) `delta`: If true, retrieve delta since last delta call.","ref":"CDPotion.Domain.Browser.html#get_histograms/2-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.get_version/0","doc":"Returns version information.","ref":"CDPotion.Domain.Browser.html#get_version/0"},{"type":"function","title":"CDPotion.Domain.Browser.get_window_bounds/1","doc":"Get position and size of the browser window.","ref":"CDPotion.Domain.Browser.html#get_window_bounds/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.get_window_bounds/1","doc":"- (Required) `window_id`: Browser window id.","ref":"CDPotion.Domain.Browser.html#get_window_bounds/1-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.get_window_for_target/1","doc":"Get the browser window that contains the devtools target.","ref":"CDPotion.Domain.Browser.html#get_window_for_target/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.get_window_for_target/1","doc":"- (Optional) `target_id`: Devtools agent host id. If called as a part of the session, associated targetId is used.","ref":"CDPotion.Domain.Browser.html#get_window_for_target/1-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.grant_permissions/3","doc":"Grant specific permissions to the given origin and reject all others.","ref":"CDPotion.Domain.Browser.html#grant_permissions/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.grant_permissions/3","doc":"- (Required) `permissions`: description not provided :(\n- (Optional) `origin`: Origin the permission applies to, all origins if not specified.\n- (Optional) `browser_context_id`: BrowserContext to override permissions. When omitted, default browser context is used.","ref":"CDPotion.Domain.Browser.html#grant_permissions/3-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.reset_permissions/1","doc":"Reset all permission management for all origins.","ref":"CDPotion.Domain.Browser.html#reset_permissions/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.reset_permissions/1","doc":"- (Optional) `browser_context_id`: BrowserContext to reset permissions. When omitted, default browser context is used.","ref":"CDPotion.Domain.Browser.html#reset_permissions/1-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.set_dock_tile/2","doc":"Set dock tile details, platform-specific.","ref":"CDPotion.Domain.Browser.html#set_dock_tile/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.set_dock_tile/2","doc":"- (Optional) `badge_label`: description not provided :(\n- (Optional) `image`: Png encoded image. (Encoded as a base64 string when passed over JSON)","ref":"CDPotion.Domain.Browser.html#set_dock_tile/2-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.set_download_behavior/4","doc":"Set the behavior when downloading a file.","ref":"CDPotion.Domain.Browser.html#set_download_behavior/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.set_download_behavior/4","doc":"- (Required) `behavior`: Whether to allow all or deny all download requests, or use default Chrome behavior if\navailable (otherwise deny). |allowAndName| allows download and names files according to\ntheir dowmload guids.\n- (Optional) `browser_context_id`: BrowserContext to set download behavior. When omitted, default browser context is used.\n- (Optional) `download_path`: The default path to save downloaded files to. This is required if behavior is set to 'allow'\nor 'allowAndName'.\n- (Optional) `events_enabled`: Whether to emit download events (defaults to false).","ref":"CDPotion.Domain.Browser.html#set_download_behavior/4-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.set_permission/4","doc":"Set permission settings for given origin.","ref":"CDPotion.Domain.Browser.html#set_permission/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.set_permission/4","doc":"- (Required) `permission`: Descriptor of permission to override.\n- (Required) `setting`: Setting of the permission.\n- (Optional) `origin`: Origin the permission applies to, all origins if not specified.\n- (Optional) `browser_context_id`: Context to override. When omitted, default browser context is used.","ref":"CDPotion.Domain.Browser.html#set_permission/4-parameters"},{"type":"function","title":"CDPotion.Domain.Browser.set_window_bounds/2","doc":"Set position and/or size of the browser window.","ref":"CDPotion.Domain.Browser.html#set_window_bounds/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Browser.set_window_bounds/2","doc":"- (Required) `window_id`: Browser window id.\n- (Required) `bounds`: New window bounds. The 'minimized', 'maximized' and 'fullscreen' states cannot be combined\nwith 'left', 'top', 'width' or 'height'. Leaves unspecified fields unchanged.","ref":"CDPotion.Domain.Browser.html#set_window_bounds/2-parameters"},{"type":"type","title":"CDPotion.Domain.Browser.bounds/0","doc":"Browser window bounds information","ref":"CDPotion.Domain.Browser.html#t:bounds/0"},{"type":"type","title":"CDPotion.Domain.Browser.browser_command_id/0","doc":"Browser command ids used by executeBrowserCommand.","ref":"CDPotion.Domain.Browser.html#t:browser_command_id/0"},{"type":"type","title":"CDPotion.Domain.Browser.browser_context_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.Browser.html#t:browser_context_id/0"},{"type":"type","title":"CDPotion.Domain.Browser.bucket/0","doc":"Chrome histogram bucket.","ref":"CDPotion.Domain.Browser.html#t:bucket/0"},{"type":"type","title":"CDPotion.Domain.Browser.histogram/0","doc":"Chrome histogram.","ref":"CDPotion.Domain.Browser.html#t:histogram/0"},{"type":"type","title":"CDPotion.Domain.Browser.permission_descriptor/0","doc":"Definition of PermissionDescriptor defined in the Permissions API:\nhttps://w3c.github.io/permissions/#dictdef-permissiondescriptor.","ref":"CDPotion.Domain.Browser.html#t:permission_descriptor/0"},{"type":"type","title":"CDPotion.Domain.Browser.permission_setting/0","doc":"description not provided :(","ref":"CDPotion.Domain.Browser.html#t:permission_setting/0"},{"type":"type","title":"CDPotion.Domain.Browser.permission_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Browser.html#t:permission_type/0"},{"type":"type","title":"CDPotion.Domain.Browser.window_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.Browser.html#t:window_id/0"},{"type":"type","title":"CDPotion.Domain.Browser.window_state/0","doc":"The state of the browser window.","ref":"CDPotion.Domain.Browser.html#t:window_state/0"},{"type":"module","title":"CDPotion.Domain.CSS","doc":"","ref":"CDPotion.Domain.CSS.html"},{"type":"function","title":"CDPotion.Domain.CSS.add_rule/3","doc":"Inserts a new rule with the given `ruleText` in a stylesheet with given `styleSheetId`, at the\nposition specified by `location`.","ref":"CDPotion.Domain.CSS.html#add_rule/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.add_rule/3","doc":"- (Required) `style_sheet_id`: The css style sheet identifier where a new rule should be inserted.\n- (Required) `rule_text`: The text of a new rule.\n- (Required) `location`: Text position of a new rule in the target style sheet.","ref":"CDPotion.Domain.CSS.html#add_rule/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.collect_class_names/1","doc":"Returns all class names from specified stylesheet.","ref":"CDPotion.Domain.CSS.html#collect_class_names/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.collect_class_names/1","doc":"- (Required) `style_sheet_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#collect_class_names/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.create_style_sheet/1","doc":"Creates a new special \"via-inspector\" stylesheet in the frame with given `frameId`.","ref":"CDPotion.Domain.CSS.html#create_style_sheet/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.create_style_sheet/1","doc":"- (Required) `frame_id`: Identifier of the frame where \"via-inspector\" stylesheet should be created.","ref":"CDPotion.Domain.CSS.html#create_style_sheet/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.disable/0","doc":"Disables the CSS agent for the given page.","ref":"CDPotion.Domain.CSS.html#disable/0"},{"type":"function","title":"CDPotion.Domain.CSS.enable/0","doc":"Enables the CSS agent for the given page. Clients should not assume that the CSS agent has been\nenabled until the result of this command is received.","ref":"CDPotion.Domain.CSS.html#enable/0"},{"type":"function","title":"CDPotion.Domain.CSS.force_pseudo_state/2","doc":"Ensures that the given node will have specified pseudo-classes whenever its style is computed by\nthe browser.","ref":"CDPotion.Domain.CSS.html#force_pseudo_state/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.force_pseudo_state/2","doc":"- (Required) `node_id`: The element id for which to force the pseudo state.\n- (Required) `forced_pseudo_classes`: Element pseudo classes to force when computing the element's style.","ref":"CDPotion.Domain.CSS.html#force_pseudo_state/2-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_background_colors/1","doc":"","ref":"CDPotion.Domain.CSS.html#get_background_colors/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_background_colors/1","doc":"- (Required) `node_id`: Id of the node to get background colors for.","ref":"CDPotion.Domain.CSS.html#get_background_colors/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_computed_style_for_node/1","doc":"Returns the computed style for a DOM node identified by `nodeId`.","ref":"CDPotion.Domain.CSS.html#get_computed_style_for_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_computed_style_for_node/1","doc":"- (Required) `node_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_computed_style_for_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_inline_styles_for_node/1","doc":"Returns the styles defined inline (explicitly in the \"style\" attribute and implicitly, using DOM\nattributes) for a DOM node identified by `nodeId`.","ref":"CDPotion.Domain.CSS.html#get_inline_styles_for_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_inline_styles_for_node/1","doc":"- (Required) `node_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_inline_styles_for_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_layers_for_node/1","doc":"Returns all layers parsed by the rendering engine for the tree scope of a node.\nGiven a DOM element identified by nodeId, getLayersForNode returns the root\nlayer for the nearest ancestor document or shadow root. The layer root contains\nthe full layer tree for the tree scope and their ordering.","ref":"CDPotion.Domain.CSS.html#get_layers_for_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_layers_for_node/1","doc":"- (Required) `node_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_layers_for_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_matched_styles_for_node/1","doc":"Returns requested styles for a DOM node identified by `nodeId`.","ref":"CDPotion.Domain.CSS.html#get_matched_styles_for_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_matched_styles_for_node/1","doc":"- (Required) `node_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_matched_styles_for_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_media_queries/0","doc":"Returns all media queries parsed by the rendering engine.","ref":"CDPotion.Domain.CSS.html#get_media_queries/0"},{"type":"function","title":"CDPotion.Domain.CSS.get_platform_fonts_for_node/1","doc":"Requests information about platform fonts which we used to render child TextNodes in the given\nnode.","ref":"CDPotion.Domain.CSS.html#get_platform_fonts_for_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_platform_fonts_for_node/1","doc":"- (Required) `node_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_platform_fonts_for_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.get_style_sheet_text/1","doc":"Returns the current textual content for a stylesheet.","ref":"CDPotion.Domain.CSS.html#get_style_sheet_text/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.get_style_sheet_text/1","doc":"- (Required) `style_sheet_id`: description not provided :(","ref":"CDPotion.Domain.CSS.html#get_style_sheet_text/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_container_query_text/3","doc":"Modifies the expression of a container query.","ref":"CDPotion.Domain.CSS.html#set_container_query_text/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_container_query_text/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_container_query_text/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_effective_property_value_for_node/3","doc":"Find a rule with the given active property for the given node and set the new value for this\nproperty","ref":"CDPotion.Domain.CSS.html#set_effective_property_value_for_node/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_effective_property_value_for_node/3","doc":"- (Required) `node_id`: The element id for which to set property.\n- (Required) `property_name`: description not provided :(\n- (Required) `value`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_effective_property_value_for_node/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_keyframe_key/3","doc":"Modifies the keyframe rule key text.","ref":"CDPotion.Domain.CSS.html#set_keyframe_key/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_keyframe_key/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `key_text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_keyframe_key/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_local_fonts_enabled/1","doc":"Enables/disables rendering of local CSS fonts (enabled by default).","ref":"CDPotion.Domain.CSS.html#set_local_fonts_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_local_fonts_enabled/1","doc":"- (Required) `enabled`: Whether rendering of local fonts is enabled.","ref":"CDPotion.Domain.CSS.html#set_local_fonts_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_media_text/3","doc":"Modifies the rule selector.","ref":"CDPotion.Domain.CSS.html#set_media_text/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_media_text/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_media_text/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_rule_selector/3","doc":"Modifies the rule selector.","ref":"CDPotion.Domain.CSS.html#set_rule_selector/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_rule_selector/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `selector`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_rule_selector/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_scope_text/3","doc":"Modifies the expression of a scope at-rule.","ref":"CDPotion.Domain.CSS.html#set_scope_text/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_scope_text/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_scope_text/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_style_sheet_text/2","doc":"Sets the new stylesheet text.","ref":"CDPotion.Domain.CSS.html#set_style_sheet_text/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_style_sheet_text/2","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_style_sheet_text/2-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_style_texts/1","doc":"Applies specified style edits one after another in the given order.","ref":"CDPotion.Domain.CSS.html#set_style_texts/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_style_texts/1","doc":"- (Required) `edits`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_style_texts/1-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.set_supports_text/3","doc":"Modifies the expression of a supports at-rule.","ref":"CDPotion.Domain.CSS.html#set_supports_text/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.set_supports_text/3","doc":"- (Required) `style_sheet_id`: description not provided :(\n- (Required) `range`: description not provided :(\n- (Required) `text`: description not provided :(","ref":"CDPotion.Domain.CSS.html#set_supports_text/3-parameters"},{"type":"function","title":"CDPotion.Domain.CSS.start_rule_usage_tracking/0","doc":"Enables the selector recording.","ref":"CDPotion.Domain.CSS.html#start_rule_usage_tracking/0"},{"type":"function","title":"CDPotion.Domain.CSS.stop_rule_usage_tracking/0","doc":"Stop tracking rule usage and return the list of rules that were used since last call to\n`takeCoverageDelta` (or since start of coverage instrumentation).","ref":"CDPotion.Domain.CSS.html#stop_rule_usage_tracking/0"},{"type":"function","title":"CDPotion.Domain.CSS.take_computed_style_updates/0","doc":"Polls the next batch of computed style updates.","ref":"CDPotion.Domain.CSS.html#take_computed_style_updates/0"},{"type":"function","title":"CDPotion.Domain.CSS.take_coverage_delta/0","doc":"Obtain list of rules that became used since last call to this method (or since start of coverage\ninstrumentation).","ref":"CDPotion.Domain.CSS.html#take_coverage_delta/0"},{"type":"function","title":"CDPotion.Domain.CSS.track_computed_style_updates/1","doc":"Starts tracking the given computed styles for updates. The specified array of properties\nreplaces the one previously specified. Pass empty array to disable tracking.\nUse takeComputedStyleUpdates to retrieve the list of nodes that had properties modified.\nThe changes to computed style properties are only tracked for nodes pushed to the front-end\nby the DOM agent. If no changes to the tracked properties occur after the node has been pushed\nto the front-end, no updates will be issued for the node.","ref":"CDPotion.Domain.CSS.html#track_computed_style_updates/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CSS.track_computed_style_updates/1","doc":"- (Required) `properties_to_track`: description not provided :(","ref":"CDPotion.Domain.CSS.html#track_computed_style_updates/1-parameters"},{"type":"type","title":"CDPotion.Domain.CSS.css_computed_style_property/0","doc":"description not provided :(","ref":"CDPotion.Domain.CSS.html#t:css_computed_style_property/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_container_query/0","doc":"CSS container query rule descriptor.","ref":"CDPotion.Domain.CSS.html#t:css_container_query/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_keyframe_rule/0","doc":"CSS keyframe rule representation.","ref":"CDPotion.Domain.CSS.html#t:css_keyframe_rule/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_keyframes_rule/0","doc":"CSS keyframes rule representation.","ref":"CDPotion.Domain.CSS.html#t:css_keyframes_rule/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_layer/0","doc":"CSS Layer at-rule descriptor.","ref":"CDPotion.Domain.CSS.html#t:css_layer/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_layer_data/0","doc":"CSS Layer data.","ref":"CDPotion.Domain.CSS.html#t:css_layer_data/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_media/0","doc":"CSS media rule descriptor.","ref":"CDPotion.Domain.CSS.html#t:css_media/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_position_fallback_rule/0","doc":"CSS position-fallback rule representation.","ref":"CDPotion.Domain.CSS.html#t:css_position_fallback_rule/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_property/0","doc":"CSS property declaration data.","ref":"CDPotion.Domain.CSS.html#t:css_property/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_rule/0","doc":"CSS rule representation.","ref":"CDPotion.Domain.CSS.html#t:css_rule/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_rule_type/0","doc":"Enum indicating the type of a CSS rule, used to represent the order of a style rule's ancestors.\nThis list only contains rule types that are collected during the ancestor rule collection.","ref":"CDPotion.Domain.CSS.html#t:css_rule_type/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_scope/0","doc":"CSS Scope at-rule descriptor.","ref":"CDPotion.Domain.CSS.html#t:css_scope/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_style/0","doc":"CSS style representation.","ref":"CDPotion.Domain.CSS.html#t:css_style/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_style_sheet_header/0","doc":"CSS stylesheet metainformation.","ref":"CDPotion.Domain.CSS.html#t:css_style_sheet_header/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_supports/0","doc":"CSS Supports at-rule descriptor.","ref":"CDPotion.Domain.CSS.html#t:css_supports/0"},{"type":"type","title":"CDPotion.Domain.CSS.css_try_rule/0","doc":"CSS try rule representation.","ref":"CDPotion.Domain.CSS.html#t:css_try_rule/0"},{"type":"type","title":"CDPotion.Domain.CSS.font_face/0","doc":"Properties of a web font: https://www.w3.org/TR/2008/REC-CSS2-20080411/fonts.html#font-descriptions\nand additional information such as platformFontFamily and fontVariationAxes.","ref":"CDPotion.Domain.CSS.html#t:font_face/0"},{"type":"type","title":"CDPotion.Domain.CSS.font_variation_axis/0","doc":"Information about font variation axes for variable fonts","ref":"CDPotion.Domain.CSS.html#t:font_variation_axis/0"},{"type":"type","title":"CDPotion.Domain.CSS.inherited_pseudo_element_matches/0","doc":"Inherited pseudo element matches from pseudos of an ancestor node.","ref":"CDPotion.Domain.CSS.html#t:inherited_pseudo_element_matches/0"},{"type":"type","title":"CDPotion.Domain.CSS.inherited_style_entry/0","doc":"Inherited CSS rule collection from ancestor node.","ref":"CDPotion.Domain.CSS.html#t:inherited_style_entry/0"},{"type":"type","title":"CDPotion.Domain.CSS.media_query/0","doc":"Media query descriptor.","ref":"CDPotion.Domain.CSS.html#t:media_query/0"},{"type":"type","title":"CDPotion.Domain.CSS.media_query_expression/0","doc":"Media query expression descriptor.","ref":"CDPotion.Domain.CSS.html#t:media_query_expression/0"},{"type":"type","title":"CDPotion.Domain.CSS.platform_font_usage/0","doc":"Information about amount of glyphs that were rendered with given font.","ref":"CDPotion.Domain.CSS.html#t:platform_font_usage/0"},{"type":"type","title":"CDPotion.Domain.CSS.pseudo_element_matches/0","doc":"CSS rule collection for a single pseudo style.","ref":"CDPotion.Domain.CSS.html#t:pseudo_element_matches/0"},{"type":"type","title":"CDPotion.Domain.CSS.rule_match/0","doc":"Match data for a CSS rule.","ref":"CDPotion.Domain.CSS.html#t:rule_match/0"},{"type":"type","title":"CDPotion.Domain.CSS.rule_usage/0","doc":"CSS coverage information.","ref":"CDPotion.Domain.CSS.html#t:rule_usage/0"},{"type":"type","title":"CDPotion.Domain.CSS.selector_list/0","doc":"Selector list data.","ref":"CDPotion.Domain.CSS.html#t:selector_list/0"},{"type":"type","title":"CDPotion.Domain.CSS.shorthand_entry/0","doc":"description not provided :(","ref":"CDPotion.Domain.CSS.html#t:shorthand_entry/0"},{"type":"type","title":"CDPotion.Domain.CSS.source_range/0","doc":"Text range within a resource. All numbers are zero-based.","ref":"CDPotion.Domain.CSS.html#t:source_range/0"},{"type":"type","title":"CDPotion.Domain.CSS.specificity/0","doc":"Specificity:\nhttps://drafts.csswg.org/selectors/#specificity-rules","ref":"CDPotion.Domain.CSS.html#t:specificity/0"},{"type":"type","title":"CDPotion.Domain.CSS.style_declaration_edit/0","doc":"A descriptor of operation to mutate style declaration text.","ref":"CDPotion.Domain.CSS.html#t:style_declaration_edit/0"},{"type":"type","title":"CDPotion.Domain.CSS.style_sheet_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.CSS.html#t:style_sheet_id/0"},{"type":"type","title":"CDPotion.Domain.CSS.style_sheet_origin/0","doc":"Stylesheet type: 'injected' for stylesheets injected via extension, 'user-agent' for user-agent\nstylesheets, 'inspector' for stylesheets created by the inspector (i.e. those holding the 'via\ninspector' rules), 'regular' for regular stylesheets.","ref":"CDPotion.Domain.CSS.html#t:style_sheet_origin/0"},{"type":"type","title":"CDPotion.Domain.CSS.value/0","doc":"Data for a simple selector (these are delimited by commas in a selector list).","ref":"CDPotion.Domain.CSS.html#t:value/0"},{"type":"module","title":"CDPotion.Domain.CacheStorage","doc":"","ref":"CDPotion.Domain.CacheStorage.html"},{"type":"function","title":"CDPotion.Domain.CacheStorage.delete_cache/1","doc":"Deletes a cache.","ref":"CDPotion.Domain.CacheStorage.html#delete_cache/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.CacheStorage.delete_cache/1","doc":"- (Required) `cache_id`: Id of cache for deletion.","ref":"CDPotion.Domain.CacheStorage.html#delete_cache/1-parameters"},{"type":"function","title":"CDPotion.Domain.CacheStorage.delete_entry/2","doc":"Deletes a cache entry.","ref":"CDPotion.Domain.CacheStorage.html#delete_entry/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.CacheStorage.delete_entry/2","doc":"- (Required) `cache_id`: Id of cache where the entry will be deleted.\n- (Required) `request`: URL spec of the request.","ref":"CDPotion.Domain.CacheStorage.html#delete_entry/2-parameters"},{"type":"function","title":"CDPotion.Domain.CacheStorage.request_cache_names/3","doc":"Requests cache names.","ref":"CDPotion.Domain.CacheStorage.html#request_cache_names/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CacheStorage.request_cache_names/3","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.","ref":"CDPotion.Domain.CacheStorage.html#request_cache_names/3-parameters"},{"type":"function","title":"CDPotion.Domain.CacheStorage.request_cached_response/3","doc":"Fetches cache entry.","ref":"CDPotion.Domain.CacheStorage.html#request_cached_response/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.CacheStorage.request_cached_response/3","doc":"- (Required) `cache_id`: Id of cache that contains the entry.\n- (Required) `request_url`: URL spec of the request.\n- (Required) `request_headers`: headers of the request.","ref":"CDPotion.Domain.CacheStorage.html#request_cached_response/3-parameters"},{"type":"function","title":"CDPotion.Domain.CacheStorage.request_entries/4","doc":"Requests data from cache.","ref":"CDPotion.Domain.CacheStorage.html#request_entries/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.CacheStorage.request_entries/4","doc":"- (Required) `cache_id`: ID of cache to get entries from.\n- (Optional) `skip_count`: Number of records to skip.\n- (Optional) `page_size`: Number of records to fetch.\n- (Optional) `path_filter`: If present, only return the entries containing this substring in the path","ref":"CDPotion.Domain.CacheStorage.html#request_entries/4-parameters"},{"type":"type","title":"CDPotion.Domain.CacheStorage.cache/0","doc":"Cache identifier.","ref":"CDPotion.Domain.CacheStorage.html#t:cache/0"},{"type":"type","title":"CDPotion.Domain.CacheStorage.cache_id/0","doc":"Unique identifier of the Cache object.","ref":"CDPotion.Domain.CacheStorage.html#t:cache_id/0"},{"type":"type","title":"CDPotion.Domain.CacheStorage.cached_response/0","doc":"Cached response","ref":"CDPotion.Domain.CacheStorage.html#t:cached_response/0"},{"type":"type","title":"CDPotion.Domain.CacheStorage.cached_response_type/0","doc":"type of HTTP response cached","ref":"CDPotion.Domain.CacheStorage.html#t:cached_response_type/0"},{"type":"type","title":"CDPotion.Domain.CacheStorage.data_entry/0","doc":"Data entry.","ref":"CDPotion.Domain.CacheStorage.html#t:data_entry/0"},{"type":"type","title":"CDPotion.Domain.CacheStorage.header/0","doc":"description not provided :(","ref":"CDPotion.Domain.CacheStorage.html#t:header/0"},{"type":"module","title":"CDPotion.Domain.Cast","doc":"","ref":"CDPotion.Domain.Cast.html"},{"type":"function","title":"CDPotion.Domain.Cast.disable/0","doc":"Stops observing for sinks and issues.","ref":"CDPotion.Domain.Cast.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Cast.enable/1","doc":"Starts observing for sinks that can be used for tab mirroring, and if set,\nsinks compatible with |presentationUrl| as well. When sinks are found, a\n|sinksUpdated| event is fired.\nAlso starts observing for issue messages. When an issue is added or removed,\nan |issueUpdated| event is fired.","ref":"CDPotion.Domain.Cast.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Cast.enable/1","doc":"- (Optional) `presentation_url`: description not provided :(","ref":"CDPotion.Domain.Cast.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.Cast.set_sink_to_use/1","doc":"Sets a sink to be used when the web page requests the browser to choose a\nsink via Presentation API, Remote Playback API, or Cast SDK.","ref":"CDPotion.Domain.Cast.html#set_sink_to_use/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Cast.set_sink_to_use/1","doc":"- (Required) `sink_name`: description not provided :(","ref":"CDPotion.Domain.Cast.html#set_sink_to_use/1-parameters"},{"type":"function","title":"CDPotion.Domain.Cast.start_desktop_mirroring/1","doc":"Starts mirroring the desktop to the sink.","ref":"CDPotion.Domain.Cast.html#start_desktop_mirroring/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Cast.start_desktop_mirroring/1","doc":"- (Required) `sink_name`: description not provided :(","ref":"CDPotion.Domain.Cast.html#start_desktop_mirroring/1-parameters"},{"type":"function","title":"CDPotion.Domain.Cast.start_tab_mirroring/1","doc":"Starts mirroring the tab to the sink.","ref":"CDPotion.Domain.Cast.html#start_tab_mirroring/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Cast.start_tab_mirroring/1","doc":"- (Required) `sink_name`: description not provided :(","ref":"CDPotion.Domain.Cast.html#start_tab_mirroring/1-parameters"},{"type":"function","title":"CDPotion.Domain.Cast.stop_casting/1","doc":"Stops the active Cast session on the sink.","ref":"CDPotion.Domain.Cast.html#stop_casting/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Cast.stop_casting/1","doc":"- (Required) `sink_name`: description not provided :(","ref":"CDPotion.Domain.Cast.html#stop_casting/1-parameters"},{"type":"type","title":"CDPotion.Domain.Cast.sink/0","doc":"description not provided :(","ref":"CDPotion.Domain.Cast.html#t:sink/0"},{"type":"module","title":"CDPotion.Domain.Console","doc":"","ref":"CDPotion.Domain.Console.html"},{"type":"function","title":"CDPotion.Domain.Console.clear_messages/0","doc":"Does nothing.","ref":"CDPotion.Domain.Console.html#clear_messages/0"},{"type":"function","title":"CDPotion.Domain.Console.disable/0","doc":"Disables console domain, prevents further console messages from being reported to the client.","ref":"CDPotion.Domain.Console.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Console.enable/0","doc":"Enables console domain, sends the messages collected so far to the client by means of the\n`messageAdded` notification.","ref":"CDPotion.Domain.Console.html#enable/0"},{"type":"type","title":"CDPotion.Domain.Console.console_message/0","doc":"Console message.","ref":"CDPotion.Domain.Console.html#t:console_message/0"},{"type":"module","title":"CDPotion.Domain.DOM","doc":"","ref":"CDPotion.Domain.DOM.html"},{"type":"function","title":"CDPotion.Domain.DOM.collect_class_names_from_subtree/1","doc":"Collects class names for the node with given id and all of it's child nodes.","ref":"CDPotion.Domain.DOM.html#collect_class_names_from_subtree/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.collect_class_names_from_subtree/1","doc":"- (Required) `node_id`: Id of the node to collect class names.","ref":"CDPotion.Domain.DOM.html#collect_class_names_from_subtree/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.copy_to/3","doc":"Creates a deep copy of the specified node and places it into the target container before the\ngiven anchor.","ref":"CDPotion.Domain.DOM.html#copy_to/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.copy_to/3","doc":"- (Required) `node_id`: Id of the node to copy.\n- (Required) `target_node_id`: Id of the element to drop the copy into.\n- (Optional) `insert_before_node_id`: Drop the copy before this node (if absent, the copy becomes the last child of\n`targetNodeId`).","ref":"CDPotion.Domain.DOM.html#copy_to/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.describe_node/5","doc":"Describes node given its id, does not require domain to be enabled. Does not start tracking any\nobjects, can be used for automation.","ref":"CDPotion.Domain.DOM.html#describe_node/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.describe_node/5","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.\n- (Optional) `depth`: The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the\nentire subtree or provide an integer larger than 0.\n- (Optional) `pierce`: Whether or not iframes and shadow roots should be traversed when returning the subtree\n(default is false).","ref":"CDPotion.Domain.DOM.html#describe_node/5-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.disable/0","doc":"Disables DOM agent for the given page.","ref":"CDPotion.Domain.DOM.html#disable/0"},{"type":"function","title":"CDPotion.Domain.DOM.discard_search_results/1","doc":"Discards search results from the session with the given id. `getSearchResults` should no longer\nbe called for that search.","ref":"CDPotion.Domain.DOM.html#discard_search_results/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.discard_search_results/1","doc":"- (Required) `search_id`: Unique search session identifier.","ref":"CDPotion.Domain.DOM.html#discard_search_results/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.enable/1","doc":"Enables DOM agent for the given page.","ref":"CDPotion.Domain.DOM.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.enable/1","doc":"- (Optional) `include_whitespace`: Whether to include whitespaces in the children array of returned Nodes.","ref":"CDPotion.Domain.DOM.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.focus/3","doc":"Focuses the given element.","ref":"CDPotion.Domain.DOM.html#focus/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.focus/3","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#focus/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_attributes/1","doc":"Returns attributes for the specified node.","ref":"CDPotion.Domain.DOM.html#get_attributes/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_attributes/1","doc":"- (Required) `node_id`: Id of the node to retrieve attibutes for.","ref":"CDPotion.Domain.DOM.html#get_attributes/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_box_model/3","doc":"Returns boxes for the given node.","ref":"CDPotion.Domain.DOM.html#get_box_model/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_box_model/3","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#get_box_model/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_container_for_node/4","doc":"Returns the query container of the given node based on container query\nconditions: containerName, physical, and logical axes. If no axes are\nprovided, the style container is returned, which is the direct parent or the\nclosest element with a matching container-name.","ref":"CDPotion.Domain.DOM.html#get_container_for_node/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_container_for_node/4","doc":"- (Required) `node_id`: description not provided :(\n- (Optional) `container_name`: description not provided :(\n- (Optional) `physical_axes`: description not provided :(\n- (Optional) `logical_axes`: description not provided :(","ref":"CDPotion.Domain.DOM.html#get_container_for_node/4-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_content_quads/3","doc":"Returns quads that describe node position on the page. This method\nmight return multiple quads for inline nodes.","ref":"CDPotion.Domain.DOM.html#get_content_quads/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_content_quads/3","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#get_content_quads/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_document/2","doc":"Returns the root DOM node (and optionally the subtree) to the caller.\nImplicitly enables the DOM domain events for the current target.","ref":"CDPotion.Domain.DOM.html#get_document/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_document/2","doc":"- (Optional) `depth`: The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the\nentire subtree or provide an integer larger than 0.\n- (Optional) `pierce`: Whether or not iframes and shadow roots should be traversed when returning the subtree\n(default is false).","ref":"CDPotion.Domain.DOM.html#get_document/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_file_info/1","doc":"Returns file information for the given\nFile wrapper.","ref":"CDPotion.Domain.DOM.html#get_file_info/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_file_info/1","doc":"- (Required) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#get_file_info/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_flattened_document/2","doc":"Returns the root DOM node (and optionally the subtree) to the caller.\nDeprecated, as it is not designed to work well with the rest of the DOM agent.\nUse DOMSnapshot.captureSnapshot instead.","ref":"CDPotion.Domain.DOM.html#get_flattened_document/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_flattened_document/2","doc":"- (Optional) `depth`: The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the\nentire subtree or provide an integer larger than 0.\n- (Optional) `pierce`: Whether or not iframes and shadow roots should be traversed when returning the subtree\n(default is false).","ref":"CDPotion.Domain.DOM.html#get_flattened_document/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_frame_owner/1","doc":"Returns iframe node that owns iframe with the given domain.","ref":"CDPotion.Domain.DOM.html#get_frame_owner/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_frame_owner/1","doc":"- (Required) `frame_id`: description not provided :(","ref":"CDPotion.Domain.DOM.html#get_frame_owner/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_node_for_location/4","doc":"Returns node id at given location. Depending on whether DOM domain is enabled, nodeId is\neither returned or not.","ref":"CDPotion.Domain.DOM.html#get_node_for_location/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_node_for_location/4","doc":"- (Required) `x`: X coordinate.\n- (Required) `y`: Y coordinate.\n- (Optional) `include_user_agent_shadow_dom`: False to skip to the nearest non-UA shadow root ancestor (default: false).\n- (Optional) `ignore_pointer_events_none`: Whether to ignore pointer-events: none on elements and hit test them.","ref":"CDPotion.Domain.DOM.html#get_node_for_location/4-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_node_stack_traces/1","doc":"Gets stack traces associated with a Node. As of now, only provides stack trace for Node creation.","ref":"CDPotion.Domain.DOM.html#get_node_stack_traces/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_node_stack_traces/1","doc":"- (Required) `node_id`: Id of the node to get stack traces for.","ref":"CDPotion.Domain.DOM.html#get_node_stack_traces/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_nodes_for_subtree_by_style/3","doc":"Finds nodes with a given computed style in a subtree.","ref":"CDPotion.Domain.DOM.html#get_nodes_for_subtree_by_style/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_nodes_for_subtree_by_style/3","doc":"- (Required) `node_id`: Node ID pointing to the root of a subtree.\n- (Required) `computed_styles`: The style to filter nodes by (includes nodes if any of properties matches).\n- (Optional) `pierce`: Whether or not iframes and shadow roots in the same target should be traversed when returning the\nresults (default is false).","ref":"CDPotion.Domain.DOM.html#get_nodes_for_subtree_by_style/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_outer_html/3","doc":"Returns node's HTML markup.","ref":"CDPotion.Domain.DOM.html#get_outer_html/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_outer_html/3","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#get_outer_html/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_querying_descendants_for_container/1","doc":"Returns the descendants of a container query container that have\ncontainer queries against this container.","ref":"CDPotion.Domain.DOM.html#get_querying_descendants_for_container/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_querying_descendants_for_container/1","doc":"- (Required) `node_id`: Id of the container node to find querying descendants from.","ref":"CDPotion.Domain.DOM.html#get_querying_descendants_for_container/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_relayout_boundary/1","doc":"Returns the id of the nearest ancestor that is a relayout boundary.","ref":"CDPotion.Domain.DOM.html#get_relayout_boundary/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_relayout_boundary/1","doc":"- (Required) `node_id`: Id of the node.","ref":"CDPotion.Domain.DOM.html#get_relayout_boundary/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_search_results/3","doc":"Returns search results from given `fromIndex` to given `toIndex` from the search with the given\nidentifier.","ref":"CDPotion.Domain.DOM.html#get_search_results/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.get_search_results/3","doc":"- (Required) `search_id`: Unique search session identifier.\n- (Required) `from_index`: Start index of the search result to be returned.\n- (Required) `to_index`: End index of the search result to be returned.","ref":"CDPotion.Domain.DOM.html#get_search_results/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.get_top_layer_elements/0","doc":"Returns NodeIds of current top layer elements.\nTop layer is rendered closest to the user within a viewport, therefore its elements always\nappear on top of all other content.","ref":"CDPotion.Domain.DOM.html#get_top_layer_elements/0"},{"type":"function","title":"CDPotion.Domain.DOM.hide_highlight/0","doc":"Hides any highlight.","ref":"CDPotion.Domain.DOM.html#hide_highlight/0"},{"type":"function","title":"CDPotion.Domain.DOM.highlight_node/0","doc":"Highlights DOM node.","ref":"CDPotion.Domain.DOM.html#highlight_node/0"},{"type":"function","title":"CDPotion.Domain.DOM.highlight_rect/0","doc":"Highlights given rectangle.","ref":"CDPotion.Domain.DOM.html#highlight_rect/0"},{"type":"function","title":"CDPotion.Domain.DOM.mark_undoable_state/0","doc":"Marks last undoable state.","ref":"CDPotion.Domain.DOM.html#mark_undoable_state/0"},{"type":"function","title":"CDPotion.Domain.DOM.move_to/3","doc":"Moves node into the new container, places it before the given anchor.","ref":"CDPotion.Domain.DOM.html#move_to/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.move_to/3","doc":"- (Required) `node_id`: Id of the node to move.\n- (Required) `target_node_id`: Id of the element to drop the moved node into.\n- (Optional) `insert_before_node_id`: Drop node before this one (if absent, the moved node becomes the last child of\n`targetNodeId`).","ref":"CDPotion.Domain.DOM.html#move_to/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.perform_search/2","doc":"Searches for a given string in the DOM tree. Use `getSearchResults` to access search results or\n`cancelSearch` to end this search session.","ref":"CDPotion.Domain.DOM.html#perform_search/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.perform_search/2","doc":"- (Required) `query`: Plain text or query selector or XPath search query.\n- (Optional) `include_user_agent_shadow_dom`: True to search in user agent shadow DOM.","ref":"CDPotion.Domain.DOM.html#perform_search/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.push_node_by_path_to_frontend/1","doc":"Requests that the node is sent to the caller given its path. // FIXME, use XPath","ref":"CDPotion.Domain.DOM.html#push_node_by_path_to_frontend/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.push_node_by_path_to_frontend/1","doc":"- (Required) `path`: Path to node in the proprietary format.","ref":"CDPotion.Domain.DOM.html#push_node_by_path_to_frontend/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.push_nodes_by_backend_ids_to_frontend/1","doc":"Requests that a batch of nodes is sent to the caller given their backend node ids.","ref":"CDPotion.Domain.DOM.html#push_nodes_by_backend_ids_to_frontend/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.push_nodes_by_backend_ids_to_frontend/1","doc":"- (Required) `backend_node_ids`: The array of backend node ids.","ref":"CDPotion.Domain.DOM.html#push_nodes_by_backend_ids_to_frontend/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.query_selector/2","doc":"Executes `querySelector` on a given node.","ref":"CDPotion.Domain.DOM.html#query_selector/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.query_selector/2","doc":"- (Required) `node_id`: Id of the node to query upon.\n- (Required) `selector`: Selector string.","ref":"CDPotion.Domain.DOM.html#query_selector/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.query_selector_all/2","doc":"Executes `querySelectorAll` on a given node.","ref":"CDPotion.Domain.DOM.html#query_selector_all/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.query_selector_all/2","doc":"- (Required) `node_id`: Id of the node to query upon.\n- (Required) `selector`: Selector string.","ref":"CDPotion.Domain.DOM.html#query_selector_all/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.redo/0","doc":"Re-does the last undone action.","ref":"CDPotion.Domain.DOM.html#redo/0"},{"type":"function","title":"CDPotion.Domain.DOM.remove_attribute/2","doc":"Removes attribute with given name from an element with given id.","ref":"CDPotion.Domain.DOM.html#remove_attribute/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.remove_attribute/2","doc":"- (Required) `node_id`: Id of the element to remove attribute from.\n- (Required) `name`: Name of the attribute to remove.","ref":"CDPotion.Domain.DOM.html#remove_attribute/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.remove_node/1","doc":"Removes node with given id.","ref":"CDPotion.Domain.DOM.html#remove_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.remove_node/1","doc":"- (Required) `node_id`: Id of the node to remove.","ref":"CDPotion.Domain.DOM.html#remove_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.request_child_nodes/3","doc":"Requests that children of the node with given id are returned to the caller in form of\n`setChildNodes` events where not only immediate children are retrieved, but all children down to\nthe specified depth.","ref":"CDPotion.Domain.DOM.html#request_child_nodes/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.request_child_nodes/3","doc":"- (Required) `node_id`: Id of the node to get children for.\n- (Optional) `depth`: The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the\nentire subtree or provide an integer larger than 0.\n- (Optional) `pierce`: Whether or not iframes and shadow roots should be traversed when returning the sub-tree\n(default is false).","ref":"CDPotion.Domain.DOM.html#request_child_nodes/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.request_node/1","doc":"Requests that the node is sent to the caller given the JavaScript node object reference. All\nnodes that form the path from the node to the root are also sent to the client as a series of\n`setChildNodes` notifications.","ref":"CDPotion.Domain.DOM.html#request_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.request_node/1","doc":"- (Required) `object_id`: JavaScript object id to convert into node.","ref":"CDPotion.Domain.DOM.html#request_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.resolve_node/4","doc":"Resolves the JavaScript node object for a given NodeId or BackendNodeId.","ref":"CDPotion.Domain.DOM.html#resolve_node/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.resolve_node/4","doc":"- (Optional) `node_id`: Id of the node to resolve.\n- (Optional) `backend_node_id`: Backend identifier of the node to resolve.\n- (Optional) `object_group`: Symbolic group name that can be used to release multiple objects.\n- (Optional) `execution_context_id`: Execution context in which to resolve the node.","ref":"CDPotion.Domain.DOM.html#resolve_node/4-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.scroll_into_view_if_needed/4","doc":"Scrolls the specified rect of the given node into view if not already visible.\nNote: exactly one between nodeId, backendNodeId and objectId should be passed\nto identify the node.","ref":"CDPotion.Domain.DOM.html#scroll_into_view_if_needed/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.scroll_into_view_if_needed/4","doc":"- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.\n- (Optional) `rect`: The rect to be scrolled into view, relative to the node's border box, in CSS pixels.\nWhen omitted, center of the node will be used, similar to Element.scrollIntoView.","ref":"CDPotion.Domain.DOM.html#scroll_into_view_if_needed/4-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_attribute_value/3","doc":"Sets attribute for an element with given id.","ref":"CDPotion.Domain.DOM.html#set_attribute_value/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_attribute_value/3","doc":"- (Required) `node_id`: Id of the element to set attribute for.\n- (Required) `name`: Attribute name.\n- (Required) `value`: Attribute value.","ref":"CDPotion.Domain.DOM.html#set_attribute_value/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_attributes_as_text/3","doc":"Sets attributes on element with given id. This method is useful when user edits some existing\nattribute value and types in several attribute name/value pairs.","ref":"CDPotion.Domain.DOM.html#set_attributes_as_text/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_attributes_as_text/3","doc":"- (Required) `node_id`: Id of the element to set attributes for.\n- (Required) `text`: Text with a number of attributes. Will parse this text using HTML parser.\n- (Optional) `name`: Attribute name to replace with new attributes derived from text in case text parsed\nsuccessfully.","ref":"CDPotion.Domain.DOM.html#set_attributes_as_text/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_file_input_files/4","doc":"Sets files for the given file input element.","ref":"CDPotion.Domain.DOM.html#set_file_input_files/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_file_input_files/4","doc":"- (Required) `files`: Array of file paths to set.\n- (Optional) `node_id`: Identifier of the node.\n- (Optional) `backend_node_id`: Identifier of the backend node.\n- (Optional) `object_id`: JavaScript object id of the node wrapper.","ref":"CDPotion.Domain.DOM.html#set_file_input_files/4-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_inspected_node/1","doc":"Enables console to refer to the node with given id via $x (see Command Line API for more details\n$x functions).","ref":"CDPotion.Domain.DOM.html#set_inspected_node/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_inspected_node/1","doc":"- (Required) `node_id`: DOM node id to be accessible by means of $x command line API.","ref":"CDPotion.Domain.DOM.html#set_inspected_node/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_node_name/2","doc":"Sets node name for a node with given id.","ref":"CDPotion.Domain.DOM.html#set_node_name/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_node_name/2","doc":"- (Required) `node_id`: Id of the node to set name for.\n- (Required) `name`: New node's name.","ref":"CDPotion.Domain.DOM.html#set_node_name/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_node_stack_traces_enabled/1","doc":"Sets if stack traces should be captured for Nodes. See `Node.getNodeStackTraces`. Default is disabled.","ref":"CDPotion.Domain.DOM.html#set_node_stack_traces_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_node_stack_traces_enabled/1","doc":"- (Required) `enable`: Enable or disable.","ref":"CDPotion.Domain.DOM.html#set_node_stack_traces_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_node_value/2","doc":"Sets node value for a node with given id.","ref":"CDPotion.Domain.DOM.html#set_node_value/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_node_value/2","doc":"- (Required) `node_id`: Id of the node to set value for.\n- (Required) `value`: New node's value.","ref":"CDPotion.Domain.DOM.html#set_node_value/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.set_outer_html/2","doc":"Sets node HTML markup, returns new node id.","ref":"CDPotion.Domain.DOM.html#set_outer_html/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOM.set_outer_html/2","doc":"- (Required) `node_id`: Id of the node to set markup for.\n- (Required) `outer_html`: Outer HTML markup to set.","ref":"CDPotion.Domain.DOM.html#set_outer_html/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOM.undo/0","doc":"Undoes the last performed action.","ref":"CDPotion.Domain.DOM.html#undo/0"},{"type":"type","title":"CDPotion.Domain.DOM.backend_node/0","doc":"Backend node with a friendly name.","ref":"CDPotion.Domain.DOM.html#t:backend_node/0"},{"type":"type","title":"CDPotion.Domain.DOM.backend_node_id/0","doc":"Unique DOM node identifier used to reference a node that may not have been pushed to the\nfront-end.","ref":"CDPotion.Domain.DOM.html#t:backend_node_id/0"},{"type":"type","title":"CDPotion.Domain.DOM.box_model/0","doc":"Box model.","ref":"CDPotion.Domain.DOM.html#t:box_model/0"},{"type":"type","title":"CDPotion.Domain.DOM.compatibility_mode/0","doc":"Document compatibility mode.","ref":"CDPotion.Domain.DOM.html#t:compatibility_mode/0"},{"type":"type","title":"CDPotion.Domain.DOM.css_computed_style_property/0","doc":"description not provided :(","ref":"CDPotion.Domain.DOM.html#t:css_computed_style_property/0"},{"type":"type","title":"CDPotion.Domain.DOM.logical_axes/0","doc":"ContainerSelector logical axes","ref":"CDPotion.Domain.DOM.html#t:logical_axes/0"},{"type":"type","title":"CDPotion.Domain.DOM.node_element/0","doc":"DOM interaction is implemented in terms of mirror objects that represent the actual DOM nodes.\nDOMNode is a base node mirror type.","ref":"CDPotion.Domain.DOM.html#t:node_element/0"},{"type":"type","title":"CDPotion.Domain.DOM.node_id/0","doc":"Unique DOM node identifier.","ref":"CDPotion.Domain.DOM.html#t:node_id/0"},{"type":"type","title":"CDPotion.Domain.DOM.physical_axes/0","doc":"ContainerSelector physical axes","ref":"CDPotion.Domain.DOM.html#t:physical_axes/0"},{"type":"type","title":"CDPotion.Domain.DOM.pseudo_type/0","doc":"Pseudo element type.","ref":"CDPotion.Domain.DOM.html#t:pseudo_type/0"},{"type":"type","title":"CDPotion.Domain.DOM.quad/0","doc":"An array of quad vertices, x immediately followed by y for each point, points clock-wise.","ref":"CDPotion.Domain.DOM.html#t:quad/0"},{"type":"type","title":"CDPotion.Domain.DOM.rect/0","doc":"Rectangle.","ref":"CDPotion.Domain.DOM.html#t:rect/0"},{"type":"type","title":"CDPotion.Domain.DOM.rgba/0","doc":"A structure holding an RGBA color.","ref":"CDPotion.Domain.DOM.html#t:rgba/0"},{"type":"type","title":"CDPotion.Domain.DOM.shadow_root_type/0","doc":"Shadow root type.","ref":"CDPotion.Domain.DOM.html#t:shadow_root_type/0"},{"type":"type","title":"CDPotion.Domain.DOM.shape_outside_info/0","doc":"CSS Shape Outside details.","ref":"CDPotion.Domain.DOM.html#t:shape_outside_info/0"},{"type":"module","title":"CDPotion.Domain.DOMDebugger","doc":"","ref":"CDPotion.Domain.DOMDebugger.html"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.get_event_listeners/3","doc":"Returns event listeners of the given object.","ref":"CDPotion.Domain.DOMDebugger.html#get_event_listeners/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.get_event_listeners/3","doc":"- (Required) `object_id`: Identifier of the object to return listeners for.\n- (Optional) `depth`: The maximum depth at which Node children should be retrieved, defaults to 1. Use -1 for the\nentire subtree or provide an integer larger than 0.\n- (Optional) `pierce`: Whether or not iframes and shadow roots should be traversed when returning the subtree\n(default is false). Reports listeners for all contexts if pierce is enabled.","ref":"CDPotion.Domain.DOMDebugger.html#get_event_listeners/3-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.remove_dom_breakpoint/2","doc":"Removes DOM breakpoint that was set using `setDOMBreakpoint`.","ref":"CDPotion.Domain.DOMDebugger.html#remove_dom_breakpoint/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.remove_dom_breakpoint/2","doc":"- (Required) `node_id`: Identifier of the node to remove breakpoint from.\n- (Required) `type`: Type of the breakpoint to remove.","ref":"CDPotion.Domain.DOMDebugger.html#remove_dom_breakpoint/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.remove_event_listener_breakpoint/2","doc":"Removes breakpoint on particular DOM event.","ref":"CDPotion.Domain.DOMDebugger.html#remove_event_listener_breakpoint/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.remove_event_listener_breakpoint/2","doc":"- (Required) `event_name`: Event name.\n- (Optional) `target_name`: EventTarget interface name.","ref":"CDPotion.Domain.DOMDebugger.html#remove_event_listener_breakpoint/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.remove_instrumentation_breakpoint/1","doc":"Removes breakpoint on particular native event.","ref":"CDPotion.Domain.DOMDebugger.html#remove_instrumentation_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.remove_instrumentation_breakpoint/1","doc":"- (Required) `event_name`: Instrumentation name to stop on.","ref":"CDPotion.Domain.DOMDebugger.html#remove_instrumentation_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.remove_xhr_breakpoint/1","doc":"Removes breakpoint from XMLHttpRequest.","ref":"CDPotion.Domain.DOMDebugger.html#remove_xhr_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.remove_xhr_breakpoint/1","doc":"- (Required) `url`: Resource URL substring.","ref":"CDPotion.Domain.DOMDebugger.html#remove_xhr_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.set_break_on_csp_violation/1","doc":"Sets breakpoint on particular CSP violations.","ref":"CDPotion.Domain.DOMDebugger.html#set_break_on_csp_violation/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.set_break_on_csp_violation/1","doc":"- (Required) `violation_types`: CSP Violations to stop upon.","ref":"CDPotion.Domain.DOMDebugger.html#set_break_on_csp_violation/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.set_dom_breakpoint/2","doc":"Sets breakpoint on particular operation with DOM.","ref":"CDPotion.Domain.DOMDebugger.html#set_dom_breakpoint/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.set_dom_breakpoint/2","doc":"- (Required) `node_id`: Identifier of the node to set breakpoint on.\n- (Required) `type`: Type of the operation to stop upon.","ref":"CDPotion.Domain.DOMDebugger.html#set_dom_breakpoint/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.set_event_listener_breakpoint/2","doc":"Sets breakpoint on particular DOM event.","ref":"CDPotion.Domain.DOMDebugger.html#set_event_listener_breakpoint/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.set_event_listener_breakpoint/2","doc":"- (Required) `event_name`: DOM Event name to stop on (any DOM event will do).\n- (Optional) `target_name`: EventTarget interface name to stop on. If equal to `\"*\"` or not provided, will stop on any\nEventTarget.","ref":"CDPotion.Domain.DOMDebugger.html#set_event_listener_breakpoint/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.set_instrumentation_breakpoint/1","doc":"Sets breakpoint on particular native event.","ref":"CDPotion.Domain.DOMDebugger.html#set_instrumentation_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.set_instrumentation_breakpoint/1","doc":"- (Required) `event_name`: Instrumentation name to stop on.","ref":"CDPotion.Domain.DOMDebugger.html#set_instrumentation_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMDebugger.set_xhr_breakpoint/1","doc":"Sets breakpoint on XMLHttpRequest.","ref":"CDPotion.Domain.DOMDebugger.html#set_xhr_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMDebugger.set_xhr_breakpoint/1","doc":"- (Required) `url`: Resource URL substring. All XHRs having this substring in the URL will get stopped upon.","ref":"CDPotion.Domain.DOMDebugger.html#set_xhr_breakpoint/1-parameters"},{"type":"type","title":"CDPotion.Domain.DOMDebugger.csp_violation_type/0","doc":"CSP Violation type.","ref":"CDPotion.Domain.DOMDebugger.html#t:csp_violation_type/0"},{"type":"type","title":"CDPotion.Domain.DOMDebugger.dom_breakpoint_type/0","doc":"DOM breakpoint type.","ref":"CDPotion.Domain.DOMDebugger.html#t:dom_breakpoint_type/0"},{"type":"type","title":"CDPotion.Domain.DOMDebugger.event_listener/0","doc":"Object event listener.","ref":"CDPotion.Domain.DOMDebugger.html#t:event_listener/0"},{"type":"module","title":"CDPotion.Domain.DOMSnapshot","doc":"","ref":"CDPotion.Domain.DOMSnapshot.html"},{"type":"function","title":"CDPotion.Domain.DOMSnapshot.capture_snapshot/5","doc":"Returns a document snapshot, including the full DOM tree of the root node (including iframes,\ntemplate contents, and imported documents) in a flattened array, as well as layout and\nwhite-listed computed style information for the nodes. Shadow DOM in the returned DOM tree is\nflattened.","ref":"CDPotion.Domain.DOMSnapshot.html#capture_snapshot/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMSnapshot.capture_snapshot/5","doc":"- (Required) `computed_styles`: Whitelist of computed styles to return.\n- (Optional) `include_paint_order`: Whether to include layout object paint orders into the snapshot.\n- (Optional) `include_dom_rects`: Whether to include DOM rectangles (offsetRects, clientRects, scrollRects) into the snapshot\n- (Optional) `include_blended_background_colors`: Whether to include blended background colors in the snapshot (default: false).\nBlended background color is achieved by blending background colors of all elements\nthat overlap with the current element.\n- (Optional) `include_text_color_opacities`: Whether to include text color opacity in the snapshot (default: false).\nAn element might have the opacity property set that affects the text color of the element.\nThe final text color opacity is computed based on the opacity of all overlapping elements.","ref":"CDPotion.Domain.DOMSnapshot.html#capture_snapshot/5-parameters"},{"type":"function","title":"CDPotion.Domain.DOMSnapshot.disable/0","doc":"Disables DOM snapshot agent for the given page.","ref":"CDPotion.Domain.DOMSnapshot.html#disable/0"},{"type":"function","title":"CDPotion.Domain.DOMSnapshot.enable/0","doc":"Enables DOM snapshot agent for the given page.","ref":"CDPotion.Domain.DOMSnapshot.html#enable/0"},{"type":"function","title":"CDPotion.Domain.DOMSnapshot.get_snapshot/4","doc":"Returns a document snapshot, including the full DOM tree of the root node (including iframes,\ntemplate contents, and imported documents) in a flattened array, as well as layout and\nwhite-listed computed style information for the nodes. Shadow DOM in the returned DOM tree is\nflattened.","ref":"CDPotion.Domain.DOMSnapshot.html#get_snapshot/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMSnapshot.get_snapshot/4","doc":"- (Required) `computed_style_whitelist`: Whitelist of computed styles to return.\n- (Optional) `include_event_listeners`: Whether or not to retrieve details of DOM listeners (default false).\n- (Optional) `include_paint_order`: Whether to determine and include the paint order index of LayoutTreeNodes (default false).\n- (Optional) `include_user_agent_shadow_tree`: Whether to include UA shadow tree in the snapshot (default false).","ref":"CDPotion.Domain.DOMSnapshot.html#get_snapshot/4-parameters"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.array_of_strings/0","doc":"Index of the string in the strings table.","ref":"CDPotion.Domain.DOMSnapshot.html#t:array_of_strings/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.computed_style/0","doc":"A subset of the full ComputedStyle as defined by the request whitelist.","ref":"CDPotion.Domain.DOMSnapshot.html#t:computed_style/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.document_snapshot/0","doc":"Document snapshot.","ref":"CDPotion.Domain.DOMSnapshot.html#t:document_snapshot/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.dom_node/0","doc":"A Node in the DOM tree.","ref":"CDPotion.Domain.DOMSnapshot.html#t:dom_node/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.inline_text_box/0","doc":"Details of post layout rendered text positions. The exact layout should not be regarded as\nstable and may change between versions.","ref":"CDPotion.Domain.DOMSnapshot.html#t:inline_text_box/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.layout_tree_node/0","doc":"Details of an element in the DOM tree with a LayoutObject.","ref":"CDPotion.Domain.DOMSnapshot.html#t:layout_tree_node/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.layout_tree_snapshot/0","doc":"Table of details of an element in the DOM tree with a LayoutObject.","ref":"CDPotion.Domain.DOMSnapshot.html#t:layout_tree_snapshot/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.name_value/0","doc":"A name/value pair.","ref":"CDPotion.Domain.DOMSnapshot.html#t:name_value/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.node_tree_snapshot/0","doc":"Table containing nodes.","ref":"CDPotion.Domain.DOMSnapshot.html#t:node_tree_snapshot/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.rare_boolean_data/0","doc":"description not provided :(","ref":"CDPotion.Domain.DOMSnapshot.html#t:rare_boolean_data/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.rare_integer_data/0","doc":"description not provided :(","ref":"CDPotion.Domain.DOMSnapshot.html#t:rare_integer_data/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.rare_string_data/0","doc":"Data that is only present on rare nodes.","ref":"CDPotion.Domain.DOMSnapshot.html#t:rare_string_data/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.rectangle/0","doc":"description not provided :(","ref":"CDPotion.Domain.DOMSnapshot.html#t:rectangle/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.string_index/0","doc":"Index of the string in the strings table.","ref":"CDPotion.Domain.DOMSnapshot.html#t:string_index/0"},{"type":"type","title":"CDPotion.Domain.DOMSnapshot.text_box_snapshot/0","doc":"Table of details of the post layout rendered text positions. The exact layout should not be regarded as\nstable and may change between versions.","ref":"CDPotion.Domain.DOMSnapshot.html#t:text_box_snapshot/0"},{"type":"module","title":"CDPotion.Domain.DOMStorage","doc":"","ref":"CDPotion.Domain.DOMStorage.html"},{"type":"function","title":"CDPotion.Domain.DOMStorage.clear/1","doc":"","ref":"CDPotion.Domain.DOMStorage.html#clear/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMStorage.clear/1","doc":"- (Required) `storage_id`: description not provided :(","ref":"CDPotion.Domain.DOMStorage.html#clear/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMStorage.disable/0","doc":"Disables storage tracking, prevents storage events from being sent to the client.","ref":"CDPotion.Domain.DOMStorage.html#disable/0"},{"type":"function","title":"CDPotion.Domain.DOMStorage.enable/0","doc":"Enables storage tracking, storage events will now be delivered to the client.","ref":"CDPotion.Domain.DOMStorage.html#enable/0"},{"type":"function","title":"CDPotion.Domain.DOMStorage.get_dom_storage_items/1","doc":"","ref":"CDPotion.Domain.DOMStorage.html#get_dom_storage_items/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMStorage.get_dom_storage_items/1","doc":"- (Required) `storage_id`: description not provided :(","ref":"CDPotion.Domain.DOMStorage.html#get_dom_storage_items/1-parameters"},{"type":"function","title":"CDPotion.Domain.DOMStorage.remove_dom_storage_item/2","doc":"","ref":"CDPotion.Domain.DOMStorage.html#remove_dom_storage_item/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMStorage.remove_dom_storage_item/2","doc":"- (Required) `storage_id`: description not provided :(\n- (Required) `key`: description not provided :(","ref":"CDPotion.Domain.DOMStorage.html#remove_dom_storage_item/2-parameters"},{"type":"function","title":"CDPotion.Domain.DOMStorage.set_dom_storage_item/3","doc":"","ref":"CDPotion.Domain.DOMStorage.html#set_dom_storage_item/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DOMStorage.set_dom_storage_item/3","doc":"- (Required) `storage_id`: description not provided :(\n- (Required) `key`: description not provided :(\n- (Required) `value`: description not provided :(","ref":"CDPotion.Domain.DOMStorage.html#set_dom_storage_item/3-parameters"},{"type":"type","title":"CDPotion.Domain.DOMStorage.item/0","doc":"DOM Storage item.","ref":"CDPotion.Domain.DOMStorage.html#t:item/0"},{"type":"type","title":"CDPotion.Domain.DOMStorage.serialized_storage_key/0","doc":"description not provided :(","ref":"CDPotion.Domain.DOMStorage.html#t:serialized_storage_key/0"},{"type":"type","title":"CDPotion.Domain.DOMStorage.storage_id/0","doc":"DOM Storage identifier.","ref":"CDPotion.Domain.DOMStorage.html#t:storage_id/0"},{"type":"module","title":"CDPotion.Domain.Database","doc":"","ref":"CDPotion.Domain.Database.html"},{"type":"function","title":"CDPotion.Domain.Database.disable/0","doc":"Disables database tracking, prevents database events from being sent to the client.","ref":"CDPotion.Domain.Database.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Database.enable/0","doc":"Enables database tracking, database events will now be delivered to the client.","ref":"CDPotion.Domain.Database.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Database.execute_sql/2","doc":"","ref":"CDPotion.Domain.Database.html#execute_sql/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Database.execute_sql/2","doc":"- (Required) `database_id`: description not provided :(\n- (Required) `query`: description not provided :(","ref":"CDPotion.Domain.Database.html#execute_sql/2-parameters"},{"type":"function","title":"CDPotion.Domain.Database.get_database_table_names/1","doc":"","ref":"CDPotion.Domain.Database.html#get_database_table_names/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Database.get_database_table_names/1","doc":"- (Required) `database_id`: description not provided :(","ref":"CDPotion.Domain.Database.html#get_database_table_names/1-parameters"},{"type":"type","title":"CDPotion.Domain.Database.database/0","doc":"Database object.","ref":"CDPotion.Domain.Database.html#t:database/0"},{"type":"type","title":"CDPotion.Domain.Database.database_id/0","doc":"Unique identifier of Database object.","ref":"CDPotion.Domain.Database.html#t:database_id/0"},{"type":"type","title":"CDPotion.Domain.Database.error/0","doc":"Database error.","ref":"CDPotion.Domain.Database.html#t:error/0"},{"type":"module","title":"CDPotion.Domain.Debugger","doc":"","ref":"CDPotion.Domain.Debugger.html"},{"type":"function","title":"CDPotion.Domain.Debugger.continue_to_location/2","doc":"Continues execution until specific location is reached.","ref":"CDPotion.Domain.Debugger.html#continue_to_location/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.continue_to_location/2","doc":"- (Required) `location`: Location to continue to.\n- (Optional) `target_call_frames`: description not provided :(","ref":"CDPotion.Domain.Debugger.html#continue_to_location/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.disable/0","doc":"Disables debugger for given page.","ref":"CDPotion.Domain.Debugger.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Debugger.disassemble_wasm_module/1","doc":"","ref":"CDPotion.Domain.Debugger.html#disassemble_wasm_module/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.disassemble_wasm_module/1","doc":"- (Required) `script_id`: Id of the script to disassemble","ref":"CDPotion.Domain.Debugger.html#disassemble_wasm_module/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.enable/1","doc":"Enables debugger for the given page. Clients should not assume that the debugging has been\nenabled until the result for this command is received.","ref":"CDPotion.Domain.Debugger.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.enable/1","doc":"- (Optional) `max_scripts_cache_size`: The maximum size in bytes of collected scripts (not referenced by other heap objects)\nthe debugger can hold. Puts no limit if parameter is omitted.","ref":"CDPotion.Domain.Debugger.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.evaluate_on_call_frame/9","doc":"Evaluates expression on a given call frame.","ref":"CDPotion.Domain.Debugger.html#evaluate_on_call_frame/9"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.evaluate_on_call_frame/9","doc":"- (Required) `call_frame_id`: Call frame identifier to evaluate on.\n- (Required) `expression`: Expression to evaluate.\n- (Optional) `object_group`: String object group name to put result into (allows rapid releasing resulting object handles\nusing `releaseObjectGroup`).\n- (Optional) `include_command_line_api`: Specifies whether command line API should be available to the evaluated expression, defaults\nto false.\n- (Optional) `silent`: In silent mode exceptions thrown during evaluation are not reported and do not pause\nexecution. Overrides `setPauseOnException` state.\n- (Optional) `return_by_value`: Whether the result is expected to be a JSON object that should be sent by value.\n- (Optional) `generate_preview`: Whether preview should be generated for the result.\n- (Optional) `throw_on_side_effect`: Whether to throw an exception if side effect cannot be ruled out during evaluation.\n- (Optional) `timeout`: Terminate execution after timing out (number of milliseconds).","ref":"CDPotion.Domain.Debugger.html#evaluate_on_call_frame/9-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.get_possible_breakpoints/3","doc":"Returns possible locations for breakpoint. scriptId in start and end range locations should be\nthe same.","ref":"CDPotion.Domain.Debugger.html#get_possible_breakpoints/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.get_possible_breakpoints/3","doc":"- (Required) `start`: Start of range to search possible breakpoint locations in.\n- (Optional) `end`: End of range to search possible breakpoint locations in (excluding). When not specified, end\nof scripts is used as end of range.\n- (Optional) `restrict_to_function`: Only consider locations which are in the same (non-nested) function as start.","ref":"CDPotion.Domain.Debugger.html#get_possible_breakpoints/3-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.get_script_source/1","doc":"Returns source for the script with given id.","ref":"CDPotion.Domain.Debugger.html#get_script_source/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.get_script_source/1","doc":"- (Required) `script_id`: Id of the script to get source for.","ref":"CDPotion.Domain.Debugger.html#get_script_source/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.get_stack_trace/1","doc":"Returns stack trace with given `stackTraceId`.","ref":"CDPotion.Domain.Debugger.html#get_stack_trace/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.get_stack_trace/1","doc":"- (Required) `stack_trace_id`: description not provided :(","ref":"CDPotion.Domain.Debugger.html#get_stack_trace/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.get_wasm_bytecode/1","doc":"This command is deprecated. Use getScriptSource instead.","ref":"CDPotion.Domain.Debugger.html#get_wasm_bytecode/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.get_wasm_bytecode/1","doc":"- (Required) `script_id`: Id of the Wasm script to get source for.","ref":"CDPotion.Domain.Debugger.html#get_wasm_bytecode/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.next_wasm_disassembly_chunk/1","doc":"Disassemble the next chunk of lines for the module corresponding to the\nstream. If disassembly is complete, this API will invalidate the streamId\nand return an empty chunk. Any subsequent calls for the now invalid stream\nwill return errors.","ref":"CDPotion.Domain.Debugger.html#next_wasm_disassembly_chunk/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.next_wasm_disassembly_chunk/1","doc":"- (Required) `stream_id`: description not provided :(","ref":"CDPotion.Domain.Debugger.html#next_wasm_disassembly_chunk/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.pause/0","doc":"Stops on the next JavaScript statement.","ref":"CDPotion.Domain.Debugger.html#pause/0"},{"type":"function","title":"CDPotion.Domain.Debugger.pause_on_async_call/1","doc":"","ref":"CDPotion.Domain.Debugger.html#pause_on_async_call/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.pause_on_async_call/1","doc":"- (Required) `parent_stack_trace_id`: Debugger will pause when async call with given stack trace is started.","ref":"CDPotion.Domain.Debugger.html#pause_on_async_call/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.remove_breakpoint/1","doc":"Removes JavaScript breakpoint.","ref":"CDPotion.Domain.Debugger.html#remove_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.remove_breakpoint/1","doc":"- (Required) `breakpoint_id`: description not provided :(","ref":"CDPotion.Domain.Debugger.html#remove_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.restart_frame/2","doc":"Restarts particular call frame from the beginning. The old, deprecated\nbehavior of `restartFrame` is to stay paused and allow further CDP commands\nafter a restart was scheduled. This can cause problems with restarting, so\nwe now continue execution immediatly after it has been scheduled until we\nreach the beginning of the restarted frame.\nTo stay back-wards compatible, `restartFrame` now expects a `mode`\nparameter to be present. If the `mode` parameter is missing, `restartFrame`\nerrors out.\nThe various return values are deprecated and `callFrames` is always empty.\nUse the call frames from the `Debugger#paused` events instead, that fires\nonce V8 pauses at the beginning of the restarted function.","ref":"CDPotion.Domain.Debugger.html#restart_frame/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.restart_frame/2","doc":"- (Required) `call_frame_id`: Call frame identifier to evaluate on.\n- (Optional) `mode`: The `mode` parameter must be present and set to 'StepInto', otherwise\n`restartFrame` will error out.","ref":"CDPotion.Domain.Debugger.html#restart_frame/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.resume/1","doc":"Resumes JavaScript execution.","ref":"CDPotion.Domain.Debugger.html#resume/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.resume/1","doc":"- (Optional) `terminate_on_resume`: Set to true to terminate execution upon resuming execution. In contrast\nto Runtime.terminateExecution, this will allows to execute further\nJavaScript (i.e. via evaluation) until execution of the paused code\nis actually resumed, at which point termination is triggered.\nIf execution is currently not paused, this parameter has no effect.","ref":"CDPotion.Domain.Debugger.html#resume/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.search_in_content/4","doc":"Searches for given string in script content.","ref":"CDPotion.Domain.Debugger.html#search_in_content/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.search_in_content/4","doc":"- (Required) `script_id`: Id of the script to search in.\n- (Required) `query`: String to search for.\n- (Optional) `case_sensitive`: If true, search is case sensitive.\n- (Optional) `is_regex`: If true, treats string parameter as regex.","ref":"CDPotion.Domain.Debugger.html#search_in_content/4-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_async_call_stack_depth/1","doc":"Enables or disables async call stacks tracking.","ref":"CDPotion.Domain.Debugger.html#set_async_call_stack_depth/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_async_call_stack_depth/1","doc":"- (Required) `max_depth`: Maximum depth of async call stacks. Setting to `0` will effectively disable collecting async\ncall stacks (default).","ref":"CDPotion.Domain.Debugger.html#set_async_call_stack_depth/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_blackbox_patterns/1","doc":"Replace previous blackbox patterns with passed ones. Forces backend to skip stepping/pausing in\nscripts with url matching one of the patterns. VM will try to leave blackboxed script by\nperforming 'step in' several times, finally resorting to 'step out' if unsuccessful.","ref":"CDPotion.Domain.Debugger.html#set_blackbox_patterns/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_blackbox_patterns/1","doc":"- (Required) `patterns`: Array of regexps that will be used to check script url for blackbox state.","ref":"CDPotion.Domain.Debugger.html#set_blackbox_patterns/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_blackboxed_ranges/2","doc":"Makes backend skip steps in the script in blackboxed ranges. VM will try leave blacklisted\nscripts by performing 'step in' several times, finally resorting to 'step out' if unsuccessful.\nPositions array contains positions where blackbox state is changed. First interval isn't\nblackboxed. Array should be sorted.","ref":"CDPotion.Domain.Debugger.html#set_blackboxed_ranges/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_blackboxed_ranges/2","doc":"- (Required) `script_id`: Id of the script.\n- (Required) `positions`: description not provided :(","ref":"CDPotion.Domain.Debugger.html#set_blackboxed_ranges/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_breakpoint/2","doc":"Sets JavaScript breakpoint at a given location.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_breakpoint/2","doc":"- (Required) `location`: Location to set breakpoint in.\n- (Optional) `condition`: Expression to use as a breakpoint condition. When specified, debugger will only stop on the\nbreakpoint if this expression evaluates to true.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_breakpoint_by_url/6","doc":"Sets JavaScript breakpoint at given location specified either by URL or URL regex. Once this\ncommand is issued, all existing parsed scripts will have breakpoints resolved and returned in\n`locations` property. Further matching script parsing will result in subsequent\n`breakpointResolved` events issued. This logical breakpoint will survive page reloads.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint_by_url/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_breakpoint_by_url/6","doc":"- (Required) `line_number`: Line number to set breakpoint at.\n- (Optional) `url`: URL of the resources to set breakpoint on.\n- (Optional) `url_regex`: Regex pattern for the URLs of the resources to set breakpoints on. Either `url` or\n`urlRegex` must be specified.\n- (Optional) `script_hash`: Script hash of the resources to set breakpoint on.\n- (Optional) `column_number`: Offset in the line to set breakpoint at.\n- (Optional) `condition`: Expression to use as a breakpoint condition. When specified, debugger will only stop on the\nbreakpoint if this expression evaluates to true.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint_by_url/6-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_breakpoint_on_function_call/2","doc":"Sets JavaScript breakpoint before each call to the given function.\nIf another function was created from the same source as a given one,\ncalling it will also trigger the breakpoint.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint_on_function_call/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_breakpoint_on_function_call/2","doc":"- (Required) `object_id`: Function object id.\n- (Optional) `condition`: Expression to use as a breakpoint condition. When specified, debugger will\nstop on the breakpoint if this expression evaluates to true.","ref":"CDPotion.Domain.Debugger.html#set_breakpoint_on_function_call/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_breakpoints_active/1","doc":"Activates / deactivates all breakpoints on the page.","ref":"CDPotion.Domain.Debugger.html#set_breakpoints_active/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_breakpoints_active/1","doc":"- (Required) `active`: New value for breakpoints active state.","ref":"CDPotion.Domain.Debugger.html#set_breakpoints_active/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_instrumentation_breakpoint/1","doc":"Sets instrumentation breakpoint.","ref":"CDPotion.Domain.Debugger.html#set_instrumentation_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_instrumentation_breakpoint/1","doc":"- (Required) `instrumentation`: Instrumentation name.","ref":"CDPotion.Domain.Debugger.html#set_instrumentation_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_pause_on_exceptions/1","doc":"Defines pause on exceptions state. Can be set to stop on all exceptions, uncaught exceptions,\nor caught exceptions, no exceptions. Initial pause on exceptions state is `none`.","ref":"CDPotion.Domain.Debugger.html#set_pause_on_exceptions/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_pause_on_exceptions/1","doc":"- (Required) `state`: Pause on exceptions mode.","ref":"CDPotion.Domain.Debugger.html#set_pause_on_exceptions/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_return_value/1","doc":"Changes return value in top frame. Available only at return break position.","ref":"CDPotion.Domain.Debugger.html#set_return_value/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_return_value/1","doc":"- (Required) `new_value`: New return value.","ref":"CDPotion.Domain.Debugger.html#set_return_value/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_script_source/4","doc":"Edits JavaScript source live.\nIn general, functions that are currently on the stack can not be edited with\na single exception: If the edited function is the top-most stack frame and\nthat is the only activation of that function on the stack. In this case\nthe live edit will be successful and a `Debugger.restartFrame` for the\ntop-most function is automatically triggered.","ref":"CDPotion.Domain.Debugger.html#set_script_source/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_script_source/4","doc":"- (Required) `script_id`: Id of the script to edit.\n- (Required) `script_source`: New content of the script.\n- (Optional) `dry_run`: If true the change will not actually be applied. Dry run may be used to get result\ndescription without actually modifying the code.\n- (Optional) `allow_top_frame_editing`: If true, then `scriptSource` is allowed to change the function on top of the stack\nas long as the top-most stack frame is the only activation of that function.","ref":"CDPotion.Domain.Debugger.html#set_script_source/4-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_skip_all_pauses/1","doc":"Makes page not interrupt on any pauses (breakpoint, exception, dom exception etc).","ref":"CDPotion.Domain.Debugger.html#set_skip_all_pauses/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_skip_all_pauses/1","doc":"- (Required) `skip`: New value for skip pauses state.","ref":"CDPotion.Domain.Debugger.html#set_skip_all_pauses/1-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.set_variable_value/4","doc":"Changes value of variable in a callframe. Object-based scopes are not supported and must be\nmutated manually.","ref":"CDPotion.Domain.Debugger.html#set_variable_value/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.set_variable_value/4","doc":"- (Required) `scope_number`: 0-based number of scope as was listed in scope chain. Only 'local', 'closure' and 'catch'\nscope types are allowed. Other scopes could be manipulated manually.\n- (Required) `variable_name`: Variable name.\n- (Required) `new_value`: New variable value.\n- (Required) `call_frame_id`: Id of callframe that holds variable.","ref":"CDPotion.Domain.Debugger.html#set_variable_value/4-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.step_into/2","doc":"Steps into the function call.","ref":"CDPotion.Domain.Debugger.html#step_into/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.step_into/2","doc":"- (Optional) `break_on_async_call`: Debugger will pause on the execution of the first async task which was scheduled\nbefore next pause.\n- (Optional) `skip_list`: The skipList specifies location ranges that should be skipped on step into.","ref":"CDPotion.Domain.Debugger.html#step_into/2-parameters"},{"type":"function","title":"CDPotion.Domain.Debugger.step_out/0","doc":"Steps out of the function call.","ref":"CDPotion.Domain.Debugger.html#step_out/0"},{"type":"function","title":"CDPotion.Domain.Debugger.step_over/1","doc":"Steps over the statement.","ref":"CDPotion.Domain.Debugger.html#step_over/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Debugger.step_over/1","doc":"- (Optional) `skip_list`: The skipList specifies location ranges that should be skipped on step over.","ref":"CDPotion.Domain.Debugger.html#step_over/1-parameters"},{"type":"type","title":"CDPotion.Domain.Debugger.break_location/0","doc":"description not provided :(","ref":"CDPotion.Domain.Debugger.html#t:break_location/0"},{"type":"type","title":"CDPotion.Domain.Debugger.breakpoint_id/0","doc":"Breakpoint identifier.","ref":"CDPotion.Domain.Debugger.html#t:breakpoint_id/0"},{"type":"type","title":"CDPotion.Domain.Debugger.call_frame/0","doc":"JavaScript call frame. Array of call frames form the call stack.","ref":"CDPotion.Domain.Debugger.html#t:call_frame/0"},{"type":"type","title":"CDPotion.Domain.Debugger.call_frame_id/0","doc":"Call frame identifier.","ref":"CDPotion.Domain.Debugger.html#t:call_frame_id/0"},{"type":"type","title":"CDPotion.Domain.Debugger.debug_symbols/0","doc":"Debug symbols available for a wasm script.","ref":"CDPotion.Domain.Debugger.html#t:debug_symbols/0"},{"type":"type","title":"CDPotion.Domain.Debugger.location/0","doc":"Location in the source code.","ref":"CDPotion.Domain.Debugger.html#t:location/0"},{"type":"type","title":"CDPotion.Domain.Debugger.location_range/0","doc":"Location range within one script.","ref":"CDPotion.Domain.Debugger.html#t:location_range/0"},{"type":"type","title":"CDPotion.Domain.Debugger.scope/0","doc":"Scope description.","ref":"CDPotion.Domain.Debugger.html#t:scope/0"},{"type":"type","title":"CDPotion.Domain.Debugger.script_language/0","doc":"Enum of possible script languages.","ref":"CDPotion.Domain.Debugger.html#t:script_language/0"},{"type":"type","title":"CDPotion.Domain.Debugger.script_position/0","doc":"Location in the source code.","ref":"CDPotion.Domain.Debugger.html#t:script_position/0"},{"type":"type","title":"CDPotion.Domain.Debugger.search_match/0","doc":"Search match for resource.","ref":"CDPotion.Domain.Debugger.html#t:search_match/0"},{"type":"type","title":"CDPotion.Domain.Debugger.wasm_disassembly_chunk/0","doc":"description not provided :(","ref":"CDPotion.Domain.Debugger.html#t:wasm_disassembly_chunk/0"},{"type":"module","title":"CDPotion.Domain.DeviceAccess","doc":"","ref":"CDPotion.Domain.DeviceAccess.html"},{"type":"function","title":"CDPotion.Domain.DeviceAccess.cancel_prompt/1","doc":"Cancel a prompt in response to a DeviceAccess.deviceRequestPrompted event.","ref":"CDPotion.Domain.DeviceAccess.html#cancel_prompt/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.DeviceAccess.cancel_prompt/1","doc":"- (Required) `id`: description not provided :(","ref":"CDPotion.Domain.DeviceAccess.html#cancel_prompt/1-parameters"},{"type":"function","title":"CDPotion.Domain.DeviceAccess.disable/0","doc":"Disable events in this domain.","ref":"CDPotion.Domain.DeviceAccess.html#disable/0"},{"type":"function","title":"CDPotion.Domain.DeviceAccess.enable/0","doc":"Enable events in this domain.","ref":"CDPotion.Domain.DeviceAccess.html#enable/0"},{"type":"function","title":"CDPotion.Domain.DeviceAccess.select_prompt/2","doc":"Select a device in response to a DeviceAccess.deviceRequestPrompted event.","ref":"CDPotion.Domain.DeviceAccess.html#select_prompt/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.DeviceAccess.select_prompt/2","doc":"- (Required) `id`: description not provided :(\n- (Required) `device_id`: description not provided :(","ref":"CDPotion.Domain.DeviceAccess.html#select_prompt/2-parameters"},{"type":"type","title":"CDPotion.Domain.DeviceAccess.device_id/0","doc":"A device id.","ref":"CDPotion.Domain.DeviceAccess.html#t:device_id/0"},{"type":"type","title":"CDPotion.Domain.DeviceAccess.prompt_device/0","doc":"Device information displayed in a user prompt to select a device.","ref":"CDPotion.Domain.DeviceAccess.html#t:prompt_device/0"},{"type":"type","title":"CDPotion.Domain.DeviceAccess.request_id/0","doc":"Device request id.","ref":"CDPotion.Domain.DeviceAccess.html#t:request_id/0"},{"type":"module","title":"CDPotion.Domain.DeviceOrientation","doc":"","ref":"CDPotion.Domain.DeviceOrientation.html"},{"type":"function","title":"CDPotion.Domain.DeviceOrientation.clear_device_orientation_override/0","doc":"Clears the overridden Device Orientation.","ref":"CDPotion.Domain.DeviceOrientation.html#clear_device_orientation_override/0"},{"type":"function","title":"CDPotion.Domain.DeviceOrientation.set_device_orientation_override/3","doc":"Overrides the Device Orientation.","ref":"CDPotion.Domain.DeviceOrientation.html#set_device_orientation_override/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.DeviceOrientation.set_device_orientation_override/3","doc":"- (Required) `alpha`: Mock alpha\n- (Required) `beta`: Mock beta\n- (Required) `gamma`: Mock gamma","ref":"CDPotion.Domain.DeviceOrientation.html#set_device_orientation_override/3-parameters"},{"type":"module","title":"CDPotion.Domain.Emulation","doc":"","ref":"CDPotion.Domain.Emulation.html"},{"type":"function","title":"CDPotion.Domain.Emulation.can_emulate/0","doc":"Tells whether emulation is supported.","ref":"CDPotion.Domain.Emulation.html#can_emulate/0"},{"type":"function","title":"CDPotion.Domain.Emulation.clear_device_metrics_override/0","doc":"Clears the overridden device metrics.","ref":"CDPotion.Domain.Emulation.html#clear_device_metrics_override/0"},{"type":"function","title":"CDPotion.Domain.Emulation.clear_geolocation_override/0","doc":"Clears the overridden Geolocation Position and Error.","ref":"CDPotion.Domain.Emulation.html#clear_geolocation_override/0"},{"type":"function","title":"CDPotion.Domain.Emulation.clear_idle_override/0","doc":"Clears Idle state overrides.","ref":"CDPotion.Domain.Emulation.html#clear_idle_override/0"},{"type":"function","title":"CDPotion.Domain.Emulation.reset_page_scale_factor/0","doc":"Requests that page scale factor is reset to initial values.","ref":"CDPotion.Domain.Emulation.html#reset_page_scale_factor/0"},{"type":"function","title":"CDPotion.Domain.Emulation.set_auto_dark_mode_override/1","doc":"Automatically render all web contents using a dark theme.","ref":"CDPotion.Domain.Emulation.html#set_auto_dark_mode_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_auto_dark_mode_override/1","doc":"- (Optional) `enabled`: Whether to enable or disable automatic dark mode.\nIf not specified, any existing override will be cleared.","ref":"CDPotion.Domain.Emulation.html#set_auto_dark_mode_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_automation_override/1","doc":"Allows overriding the automation flag.","ref":"CDPotion.Domain.Emulation.html#set_automation_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_automation_override/1","doc":"- (Required) `enabled`: Whether the override should be enabled.","ref":"CDPotion.Domain.Emulation.html#set_automation_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_cpu_throttling_rate/1","doc":"Enables CPU throttling to emulate slow CPUs.","ref":"CDPotion.Domain.Emulation.html#set_cpu_throttling_rate/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_cpu_throttling_rate/1","doc":"- (Required) `rate`: Throttling rate as a slowdown factor (1 is no throttle, 2 is 2x slowdown, etc).","ref":"CDPotion.Domain.Emulation.html#set_cpu_throttling_rate/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_default_background_color_override/1","doc":"Sets or clears an override of the default background color of the frame. This override is used\nif the content does not specify one.","ref":"CDPotion.Domain.Emulation.html#set_default_background_color_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_default_background_color_override/1","doc":"- (Optional) `color`: RGBA of the default background color. If not specified, any existing override will be\ncleared.","ref":"CDPotion.Domain.Emulation.html#set_default_background_color_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_device_metrics_override/13","doc":"Overrides the values of device screen dimensions (window.screen.width, window.screen.height,\nwindow.innerWidth, window.innerHeight, and \"device-width\"/\"device-height\"-related CSS media\nquery results).","ref":"CDPotion.Domain.Emulation.html#set_device_metrics_override/13"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_device_metrics_override/13","doc":"- (Required) `width`: Overriding width value in pixels (minimum 0, maximum 10000000). 0 disables the override.\n- (Required) `height`: Overriding height value in pixels (minimum 0, maximum 10000000). 0 disables the override.\n- (Required) `device_scale_factor`: Overriding device scale factor value. 0 disables the override.\n- (Required) `mobile`: Whether to emulate mobile device. This includes viewport meta tag, overlay scrollbars, text\nautosizing and more.\n- (Optional) `scale`: Scale to apply to resulting view image.\n- (Optional) `screen_width`: Overriding screen width value in pixels (minimum 0, maximum 10000000).\n- (Optional) `screen_height`: Overriding screen height value in pixels (minimum 0, maximum 10000000).\n- (Optional) `position_x`: Overriding view X position on screen in pixels (minimum 0, maximum 10000000).\n- (Optional) `position_y`: Overriding view Y position on screen in pixels (minimum 0, maximum 10000000).\n- (Optional) `dont_set_visible_size`: Do not set visible view size, rely upon explicit setVisibleSize call.\n- (Optional) `screen_orientation`: Screen orientation override.\n- (Optional) `viewport`: If set, the visible area of the page will be overridden to this viewport. This viewport\nchange is not observed by the page, e.g. viewport-relative elements do not change positions.\n- (Optional) `display_feature`: If set, the display feature of a multi-segment screen. If not set, multi-segment support\nis turned-off.","ref":"CDPotion.Domain.Emulation.html#set_device_metrics_override/13-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_disabled_image_types/1","doc":"","ref":"CDPotion.Domain.Emulation.html#set_disabled_image_types/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_disabled_image_types/1","doc":"- (Required) `image_types`: Image types to disable.","ref":"CDPotion.Domain.Emulation.html#set_disabled_image_types/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_document_cookie_disabled/1","doc":"","ref":"CDPotion.Domain.Emulation.html#set_document_cookie_disabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_document_cookie_disabled/1","doc":"- (Required) `disabled`: Whether document.coookie API should be disabled.","ref":"CDPotion.Domain.Emulation.html#set_document_cookie_disabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_emit_touch_events_for_mouse/2","doc":"","ref":"CDPotion.Domain.Emulation.html#set_emit_touch_events_for_mouse/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_emit_touch_events_for_mouse/2","doc":"- (Required) `enabled`: Whether touch emulation based on mouse input should be enabled.\n- (Optional) `configuration`: Touch/gesture events configuration. Default: current platform.","ref":"CDPotion.Domain.Emulation.html#set_emit_touch_events_for_mouse/2-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_emulated_media/2","doc":"Emulates the given media type or media feature for CSS media queries.","ref":"CDPotion.Domain.Emulation.html#set_emulated_media/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_emulated_media/2","doc":"- (Optional) `media`: Media type to emulate. Empty string disables the override.\n- (Optional) `features`: Media features to emulate.","ref":"CDPotion.Domain.Emulation.html#set_emulated_media/2-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_emulated_vision_deficiency/1","doc":"Emulates the given vision deficiency.","ref":"CDPotion.Domain.Emulation.html#set_emulated_vision_deficiency/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_emulated_vision_deficiency/1","doc":"- (Required) `type`: Vision deficiency to emulate. Order: best-effort emulations come first, followed by any\nphysiologically accurate emulations for medically recognized color vision deficiencies.","ref":"CDPotion.Domain.Emulation.html#set_emulated_vision_deficiency/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_focus_emulation_enabled/1","doc":"Enables or disables simulating a focused and active page.","ref":"CDPotion.Domain.Emulation.html#set_focus_emulation_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_focus_emulation_enabled/1","doc":"- (Required) `enabled`: Whether to enable to disable focus emulation.","ref":"CDPotion.Domain.Emulation.html#set_focus_emulation_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_geolocation_override/3","doc":"Overrides the Geolocation Position or Error. Omitting any of the parameters emulates position\nunavailable.","ref":"CDPotion.Domain.Emulation.html#set_geolocation_override/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_geolocation_override/3","doc":"- (Optional) `latitude`: Mock latitude\n- (Optional) `longitude`: Mock longitude\n- (Optional) `accuracy`: Mock accuracy","ref":"CDPotion.Domain.Emulation.html#set_geolocation_override/3-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_hardware_concurrency_override/1","doc":"","ref":"CDPotion.Domain.Emulation.html#set_hardware_concurrency_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_hardware_concurrency_override/1","doc":"- (Required) `hardware_concurrency`: Hardware concurrency to report","ref":"CDPotion.Domain.Emulation.html#set_hardware_concurrency_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_idle_override/2","doc":"Overrides the Idle state.","ref":"CDPotion.Domain.Emulation.html#set_idle_override/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_idle_override/2","doc":"- (Required) `is_user_active`: Mock isUserActive\n- (Required) `is_screen_unlocked`: Mock isScreenUnlocked","ref":"CDPotion.Domain.Emulation.html#set_idle_override/2-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_locale_override/1","doc":"Overrides default host system locale with the specified one.","ref":"CDPotion.Domain.Emulation.html#set_locale_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_locale_override/1","doc":"- (Optional) `locale`: ICU style C locale (e.g. \"en_US\"). If not specified or empty, disables the override and\nrestores default host system locale.","ref":"CDPotion.Domain.Emulation.html#set_locale_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_navigator_overrides/1","doc":"Overrides value returned by the javascript navigator object.","ref":"CDPotion.Domain.Emulation.html#set_navigator_overrides/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_navigator_overrides/1","doc":"- (Required) `platform`: The platform navigator.platform should return.","ref":"CDPotion.Domain.Emulation.html#set_navigator_overrides/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_page_scale_factor/1","doc":"Sets a specified page scale factor.","ref":"CDPotion.Domain.Emulation.html#set_page_scale_factor/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_page_scale_factor/1","doc":"- (Required) `page_scale_factor`: Page scale factor.","ref":"CDPotion.Domain.Emulation.html#set_page_scale_factor/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_script_execution_disabled/1","doc":"Switches script execution in the page.","ref":"CDPotion.Domain.Emulation.html#set_script_execution_disabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_script_execution_disabled/1","doc":"- (Required) `value`: Whether script execution should be disabled in the page.","ref":"CDPotion.Domain.Emulation.html#set_script_execution_disabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_scrollbars_hidden/1","doc":"","ref":"CDPotion.Domain.Emulation.html#set_scrollbars_hidden/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_scrollbars_hidden/1","doc":"- (Required) `hidden`: Whether scrollbars should be always hidden.","ref":"CDPotion.Domain.Emulation.html#set_scrollbars_hidden/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_timezone_override/1","doc":"Overrides default host system timezone with the specified one.","ref":"CDPotion.Domain.Emulation.html#set_timezone_override/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_timezone_override/1","doc":"- (Required) `timezone_id`: The timezone identifier. If empty, disables the override and\nrestores default host system timezone.","ref":"CDPotion.Domain.Emulation.html#set_timezone_override/1-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_touch_emulation_enabled/2","doc":"Enables touch on platforms which do not support them.","ref":"CDPotion.Domain.Emulation.html#set_touch_emulation_enabled/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_touch_emulation_enabled/2","doc":"- (Required) `enabled`: Whether the touch event emulation should be enabled.\n- (Optional) `max_touch_points`: Maximum touch points supported. Defaults to one.","ref":"CDPotion.Domain.Emulation.html#set_touch_emulation_enabled/2-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_user_agent_override/4","doc":"Allows overriding user agent with the given string.","ref":"CDPotion.Domain.Emulation.html#set_user_agent_override/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_user_agent_override/4","doc":"- (Required) `user_agent`: User agent to use.\n- (Optional) `accept_language`: Browser langugage to emulate.\n- (Optional) `platform`: The platform navigator.platform should return.\n- (Optional) `user_agent_metadata`: To be sent in Sec-CH-UA-* headers and returned in navigator.userAgentData","ref":"CDPotion.Domain.Emulation.html#set_user_agent_override/4-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_virtual_time_policy/4","doc":"Turns on virtual time for all frames (replacing real-time with a synthetic time source) and sets\nthe current virtual time policy.  Note this supersedes any previous time budget.","ref":"CDPotion.Domain.Emulation.html#set_virtual_time_policy/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_virtual_time_policy/4","doc":"- (Required) `policy`: description not provided :(\n- (Optional) `budget`: If set, after this many virtual milliseconds have elapsed virtual time will be paused and a\nvirtualTimeBudgetExpired event is sent.\n- (Optional) `max_virtual_time_task_starvation_count`: If set this specifies the maximum number of tasks that can be run before virtual is forced\nforwards to prevent deadlock.\n- (Optional) `initial_virtual_time`: If set, base::Time::Now will be overridden to initially return this value.","ref":"CDPotion.Domain.Emulation.html#set_virtual_time_policy/4-parameters"},{"type":"function","title":"CDPotion.Domain.Emulation.set_visible_size/2","doc":"Resizes the frame/viewport of the page. Note that this does not affect the frame's container\n(e.g. browser window). Can be used to produce screenshots of the specified size. Not supported\non Android.","ref":"CDPotion.Domain.Emulation.html#set_visible_size/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Emulation.set_visible_size/2","doc":"- (Required) `width`: Frame width (DIP).\n- (Required) `height`: Frame height (DIP).","ref":"CDPotion.Domain.Emulation.html#set_visible_size/2-parameters"},{"type":"type","title":"CDPotion.Domain.Emulation.disabled_image_type/0","doc":"Enum of image types that can be disabled.","ref":"CDPotion.Domain.Emulation.html#t:disabled_image_type/0"},{"type":"type","title":"CDPotion.Domain.Emulation.display_feature/0","doc":"description not provided :(","ref":"CDPotion.Domain.Emulation.html#t:display_feature/0"},{"type":"type","title":"CDPotion.Domain.Emulation.media_feature/0","doc":"description not provided :(","ref":"CDPotion.Domain.Emulation.html#t:media_feature/0"},{"type":"type","title":"CDPotion.Domain.Emulation.screen_orientation/0","doc":"Screen orientation.","ref":"CDPotion.Domain.Emulation.html#t:screen_orientation/0"},{"type":"type","title":"CDPotion.Domain.Emulation.user_agent_brand_version/0","doc":"Used to specify User Agent Cient Hints to emulate. See https://wicg.github.io/ua-client-hints","ref":"CDPotion.Domain.Emulation.html#t:user_agent_brand_version/0"},{"type":"type","title":"CDPotion.Domain.Emulation.user_agent_metadata/0","doc":"Used to specify User Agent Cient Hints to emulate. See https://wicg.github.io/ua-client-hints\nMissing optional values will be filled in by the target with what it would normally use.","ref":"CDPotion.Domain.Emulation.html#t:user_agent_metadata/0"},{"type":"type","title":"CDPotion.Domain.Emulation.virtual_time_policy/0","doc":"advance: If the scheduler runs out of immediate work, the virtual time base may fast forward to\nallow the next delayed task (if any) to run; pause: The virtual time base may not advance;\npauseIfNetworkFetchesPending: The virtual time base may not advance if there are any pending\nresource fetches.","ref":"CDPotion.Domain.Emulation.html#t:virtual_time_policy/0"},{"type":"module","title":"CDPotion.Domain.EventBreakpoints","doc":"","ref":"CDPotion.Domain.EventBreakpoints.html"},{"type":"function","title":"CDPotion.Domain.EventBreakpoints.remove_instrumentation_breakpoint/1","doc":"Removes breakpoint on particular native event.","ref":"CDPotion.Domain.EventBreakpoints.html#remove_instrumentation_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.EventBreakpoints.remove_instrumentation_breakpoint/1","doc":"- (Required) `event_name`: Instrumentation name to stop on.","ref":"CDPotion.Domain.EventBreakpoints.html#remove_instrumentation_breakpoint/1-parameters"},{"type":"function","title":"CDPotion.Domain.EventBreakpoints.set_instrumentation_breakpoint/1","doc":"Sets breakpoint on particular native event.","ref":"CDPotion.Domain.EventBreakpoints.html#set_instrumentation_breakpoint/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.EventBreakpoints.set_instrumentation_breakpoint/1","doc":"- (Required) `event_name`: Instrumentation name to stop on.","ref":"CDPotion.Domain.EventBreakpoints.html#set_instrumentation_breakpoint/1-parameters"},{"type":"module","title":"CDPotion.Domain.FedCm","doc":"","ref":"CDPotion.Domain.FedCm.html"},{"type":"function","title":"CDPotion.Domain.FedCm.disable/0","doc":"","ref":"CDPotion.Domain.FedCm.html#disable/0"},{"type":"function","title":"CDPotion.Domain.FedCm.dismiss_dialog/2","doc":"","ref":"CDPotion.Domain.FedCm.html#dismiss_dialog/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.FedCm.dismiss_dialog/2","doc":"- (Required) `dialog_id`: description not provided :(\n- (Optional) `trigger_cooldown`: description not provided :(","ref":"CDPotion.Domain.FedCm.html#dismiss_dialog/2-parameters"},{"type":"function","title":"CDPotion.Domain.FedCm.enable/1","doc":"","ref":"CDPotion.Domain.FedCm.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.FedCm.enable/1","doc":"- (Optional) `disable_rejection_delay`: Allows callers to disable the promise rejection delay that would\nnormally happen, if this is unimportant to what's being tested.\n(step 4 of https://fedidcg.github.io/FedCM/#browser-api-rp-sign-in)","ref":"CDPotion.Domain.FedCm.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.FedCm.reset_cooldown/0","doc":"Resets the cooldown time, if any, to allow the next FedCM call to show\na dialog even if one was recently dismissed by the user.","ref":"CDPotion.Domain.FedCm.html#reset_cooldown/0"},{"type":"function","title":"CDPotion.Domain.FedCm.select_account/2","doc":"","ref":"CDPotion.Domain.FedCm.html#select_account/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.FedCm.select_account/2","doc":"- (Required) `dialog_id`: description not provided :(\n- (Required) `account_index`: description not provided :(","ref":"CDPotion.Domain.FedCm.html#select_account/2-parameters"},{"type":"type","title":"CDPotion.Domain.FedCm.account/0","doc":"Corresponds to IdentityRequestAccount","ref":"CDPotion.Domain.FedCm.html#t:account/0"},{"type":"type","title":"CDPotion.Domain.FedCm.dialog_type/0","doc":"Whether the dialog shown is an account chooser or an auto re-authentication dialog.","ref":"CDPotion.Domain.FedCm.html#t:dialog_type/0"},{"type":"type","title":"CDPotion.Domain.FedCm.login_state/0","doc":"Whether this is a sign-up or sign-in action for this account, i.e.\nwhether this account has ever been used to sign in to this RP before.","ref":"CDPotion.Domain.FedCm.html#t:login_state/0"},{"type":"module","title":"CDPotion.Domain.Fetch","doc":"","ref":"CDPotion.Domain.Fetch.html"},{"type":"function","title":"CDPotion.Domain.Fetch.continue_request/6","doc":"Continues the request, optionally modifying some of its parameters.","ref":"CDPotion.Domain.Fetch.html#continue_request/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.continue_request/6","doc":"- (Required) `request_id`: An id the client received in requestPaused event.\n- (Optional) `url`: If set, the request url will be modified in a way that's not observable by page.\n- (Optional) `method`: If set, the request method is overridden.\n- (Optional) `post_data`: If set, overrides the post data in the request. (Encoded as a base64 string when passed over JSON)\n- (Optional) `headers`: If set, overrides the request headers. Note that the overrides do not\nextend to subsequent redirect hops, if a redirect happens. Another override\nmay be applied to a different request produced by a redirect.\n- (Optional) `intercept_response`: If set, overrides response interception behavior for this request.","ref":"CDPotion.Domain.Fetch.html#continue_request/6-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.continue_response/5","doc":"Continues loading of the paused response, optionally modifying the\nresponse headers. If either responseCode or headers are modified, all of them\nmust be present.","ref":"CDPotion.Domain.Fetch.html#continue_response/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.continue_response/5","doc":"- (Required) `request_id`: An id the client received in requestPaused event.\n- (Optional) `response_code`: An HTTP response code. If absent, original response code will be used.\n- (Optional) `response_phrase`: A textual representation of responseCode.\nIf absent, a standard phrase matching responseCode is used.\n- (Optional) `response_headers`: Response headers. If absent, original response headers will be used.\n- (Optional) `binary_response_headers`: Alternative way of specifying response headers as a \u0000-separated\nseries of name: value pairs. Prefer the above method unless you\nneed to represent some non-UTF8 values that can't be transmitted\nover the protocol as text. (Encoded as a base64 string when passed over JSON)","ref":"CDPotion.Domain.Fetch.html#continue_response/5-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.continue_with_auth/2","doc":"Continues a request supplying authChallengeResponse following authRequired event.","ref":"CDPotion.Domain.Fetch.html#continue_with_auth/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.continue_with_auth/2","doc":"- (Required) `request_id`: An id the client received in authRequired event.\n- (Required) `auth_challenge_response`: Response to  with an authChallenge.","ref":"CDPotion.Domain.Fetch.html#continue_with_auth/2-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.disable/0","doc":"Disables the fetch domain.","ref":"CDPotion.Domain.Fetch.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Fetch.enable/2","doc":"Enables issuing of requestPaused events. A request will be paused until client\ncalls one of failRequest, fulfillRequest or continueRequest/continueWithAuth.","ref":"CDPotion.Domain.Fetch.html#enable/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.enable/2","doc":"- (Optional) `patterns`: If specified, only requests matching any of these patterns will produce\nfetchRequested event and will be paused until clients response. If not set,\nall requests will be affected.\n- (Optional) `handle_auth_requests`: If true, authRequired events will be issued and requests will be paused\nexpecting a call to continueWithAuth.","ref":"CDPotion.Domain.Fetch.html#enable/2-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.fail_request/2","doc":"Causes the request to fail with specified reason.","ref":"CDPotion.Domain.Fetch.html#fail_request/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.fail_request/2","doc":"- (Required) `request_id`: An id the client received in requestPaused event.\n- (Required) `error_reason`: Causes the request to fail with the given reason.","ref":"CDPotion.Domain.Fetch.html#fail_request/2-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.fulfill_request/6","doc":"Provides response to the request.","ref":"CDPotion.Domain.Fetch.html#fulfill_request/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.fulfill_request/6","doc":"- (Required) `request_id`: An id the client received in requestPaused event.\n- (Required) `response_code`: An HTTP response code.\n- (Optional) `response_headers`: Response headers.\n- (Optional) `binary_response_headers`: Alternative way of specifying response headers as a \u0000-separated\nseries of name: value pairs. Prefer the above method unless you\nneed to represent some non-UTF8 values that can't be transmitted\nover the protocol as text. (Encoded as a base64 string when passed over JSON)\n- (Optional) `body`: A response body. If absent, original response body will be used if\nthe request is intercepted at the response stage and empty body\nwill be used if the request is intercepted at the request stage. (Encoded as a base64 string when passed over JSON)\n- (Optional) `response_phrase`: A textual representation of responseCode.\nIf absent, a standard phrase matching responseCode is used.","ref":"CDPotion.Domain.Fetch.html#fulfill_request/6-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.get_response_body/1","doc":"Causes the body of the response to be received from the server and\nreturned as a single string. May only be issued for a request that\nis paused in the Response stage and is mutually exclusive with\ntakeResponseBodyForInterceptionAsStream. Calling other methods that\naffect the request or disabling fetch domain before body is received\nresults in an undefined behavior.\nNote that the response body is not available for redirects. Requests\npaused in the _redirect received_ state may be differentiated by\n`responseCode` and presence of `location` response header, see\ncomments to `requestPaused` for details.","ref":"CDPotion.Domain.Fetch.html#get_response_body/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.get_response_body/1","doc":"- (Required) `request_id`: Identifier for the intercepted request to get body for.","ref":"CDPotion.Domain.Fetch.html#get_response_body/1-parameters"},{"type":"function","title":"CDPotion.Domain.Fetch.take_response_body_as_stream/1","doc":"Returns a handle to the stream representing the response body.\nThe request must be paused in the HeadersReceived stage.\nNote that after this command the request can't be continued\nas is -- client either needs to cancel it or to provide the\nresponse body.\nThe stream only supports sequential read, IO.read will fail if the position\nis specified.\nThis method is mutually exclusive with getResponseBody.\nCalling other methods that affect the request or disabling fetch\ndomain before body is received results in an undefined behavior.","ref":"CDPotion.Domain.Fetch.html#take_response_body_as_stream/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Fetch.take_response_body_as_stream/1","doc":"- (Required) `request_id`: description not provided :(","ref":"CDPotion.Domain.Fetch.html#take_response_body_as_stream/1-parameters"},{"type":"type","title":"CDPotion.Domain.Fetch.auth_challenge/0","doc":"Authorization challenge for HTTP status code 401 or 407.","ref":"CDPotion.Domain.Fetch.html#t:auth_challenge/0"},{"type":"type","title":"CDPotion.Domain.Fetch.auth_challenge_response/0","doc":"Response to an AuthChallenge.","ref":"CDPotion.Domain.Fetch.html#t:auth_challenge_response/0"},{"type":"type","title":"CDPotion.Domain.Fetch.header_entry/0","doc":"Response HTTP header entry","ref":"CDPotion.Domain.Fetch.html#t:header_entry/0"},{"type":"type","title":"CDPotion.Domain.Fetch.request_id/0","doc":"Unique request identifier.","ref":"CDPotion.Domain.Fetch.html#t:request_id/0"},{"type":"type","title":"CDPotion.Domain.Fetch.request_pattern/0","doc":"description not provided :(","ref":"CDPotion.Domain.Fetch.html#t:request_pattern/0"},{"type":"type","title":"CDPotion.Domain.Fetch.request_stage/0","doc":"Stages of the request to handle. Request will intercept before the request is\nsent. Response will intercept after the response is received (but before response\nbody is received).","ref":"CDPotion.Domain.Fetch.html#t:request_stage/0"},{"type":"module","title":"CDPotion.Domain.HeadlessExperimental","doc":"","ref":"CDPotion.Domain.HeadlessExperimental.html"},{"type":"function","title":"CDPotion.Domain.HeadlessExperimental.begin_frame/4","doc":"Sends a BeginFrame to the target and returns when the frame was completed. Optionally captures a\nscreenshot from the resulting frame. Requires that the target was created with enabled\nBeginFrameControl. Designed for use with --run-all-compositor-stages-before-draw, see also\nhttps://goo.gle/chrome-headless-rendering for more background.","ref":"CDPotion.Domain.HeadlessExperimental.html#begin_frame/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeadlessExperimental.begin_frame/4","doc":"- (Optional) `frame_time_ticks`: Timestamp of this BeginFrame in Renderer TimeTicks (milliseconds of uptime). If not set,\nthe current time will be used.\n- (Optional) `interval`: The interval between BeginFrames that is reported to the compositor, in milliseconds.\nDefaults to a 60 frames/second interval, i.e. about 16.666 milliseconds.\n- (Optional) `no_display_updates`: Whether updates should not be committed and drawn onto the display. False by default. If\ntrue, only side effects of the BeginFrame will be run, such as layout and animations, but\nany visual updates may not be visible on the display or in screenshots.\n- (Optional) `screenshot`: If set, a screenshot of the frame will be captured and returned in the response. Otherwise,\nno screenshot will be captured. Note that capturing a screenshot can fail, for example,\nduring renderer initialization. In such a case, no screenshot data will be returned.","ref":"CDPotion.Domain.HeadlessExperimental.html#begin_frame/4-parameters"},{"type":"function","title":"CDPotion.Domain.HeadlessExperimental.disable/0","doc":"Disables headless events for the target.","ref":"CDPotion.Domain.HeadlessExperimental.html#disable/0"},{"type":"function","title":"CDPotion.Domain.HeadlessExperimental.enable/0","doc":"Enables headless events for the target.","ref":"CDPotion.Domain.HeadlessExperimental.html#enable/0"},{"type":"type","title":"CDPotion.Domain.HeadlessExperimental.screenshot_params/0","doc":"Encoding options for a screenshot.","ref":"CDPotion.Domain.HeadlessExperimental.html#t:screenshot_params/0"},{"type":"module","title":"CDPotion.Domain.HeapProfiler","doc":"","ref":"CDPotion.Domain.HeapProfiler.html"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.add_inspected_heap_object/1","doc":"Enables console to refer to the node with given id via $x (see Command Line API for more details\n$x functions).","ref":"CDPotion.Domain.HeapProfiler.html#add_inspected_heap_object/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.add_inspected_heap_object/1","doc":"- (Required) `heap_object_id`: Heap snapshot object id to be accessible by means of $x command line API.","ref":"CDPotion.Domain.HeapProfiler.html#add_inspected_heap_object/1-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.collect_garbage/0","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#collect_garbage/0"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.disable/0","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#disable/0"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.enable/0","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#enable/0"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.get_heap_object_id/1","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#get_heap_object_id/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.get_heap_object_id/1","doc":"- (Required) `object_id`: Identifier of the object to get heap object id for.","ref":"CDPotion.Domain.HeapProfiler.html#get_heap_object_id/1-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.get_object_by_heap_object_id/2","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#get_object_by_heap_object_id/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.get_object_by_heap_object_id/2","doc":"- (Required) `object_id`: description not provided :(\n- (Optional) `object_group`: Symbolic group name that can be used to release multiple objects.","ref":"CDPotion.Domain.HeapProfiler.html#get_object_by_heap_object_id/2-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.get_sampling_profile/0","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#get_sampling_profile/0"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.start_sampling/3","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#start_sampling/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.start_sampling/3","doc":"- (Optional) `sampling_interval`: Average sample interval in bytes. Poisson distribution is used for the intervals. The\ndefault value is 32768 bytes.\n- (Optional) `include_objects_collected_by_major_gc`: By default, the sampling heap profiler reports only objects which are\nstill alive when the profile is returned via getSamplingProfile or\nstopSampling, which is useful for determining what functions contribute\nthe most to steady-state memory usage. This flag instructs the sampling\nheap profiler to also include information about objects discarded by\nmajor GC, which will show which functions cause large temporary memory\nusage or long GC pauses.\n- (Optional) `include_objects_collected_by_minor_gc`: By default, the sampling heap profiler reports only objects which are\nstill alive when the profile is returned via getSamplingProfile or\nstopSampling, which is useful for determining what functions contribute\nthe most to steady-state memory usage. This flag instructs the sampling\nheap profiler to also include information about objects discarded by\nminor GC, which is useful when tuning a latency-sensitive application\nfor minimal GC activity.","ref":"CDPotion.Domain.HeapProfiler.html#start_sampling/3-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.start_tracking_heap_objects/1","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#start_tracking_heap_objects/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.start_tracking_heap_objects/1","doc":"- (Optional) `track_allocations`: description not provided :(","ref":"CDPotion.Domain.HeapProfiler.html#start_tracking_heap_objects/1-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.stop_sampling/0","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#stop_sampling/0"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.stop_tracking_heap_objects/4","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#stop_tracking_heap_objects/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.stop_tracking_heap_objects/4","doc":"- (Optional) `report_progress`: If true 'reportHeapSnapshotProgress' events will be generated while snapshot is being taken\nwhen the tracking is stopped.\n- (Optional) `treat_global_objects_as_roots`: Deprecated in favor of `exposeInternals`.\n- (Optional) `capture_numeric_value`: If true, numerical values are included in the snapshot\n- (Optional) `expose_internals`: If true, exposes internals of the snapshot.","ref":"CDPotion.Domain.HeapProfiler.html#stop_tracking_heap_objects/4-parameters"},{"type":"function","title":"CDPotion.Domain.HeapProfiler.take_heap_snapshot/4","doc":"","ref":"CDPotion.Domain.HeapProfiler.html#take_heap_snapshot/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.HeapProfiler.take_heap_snapshot/4","doc":"- (Optional) `report_progress`: If true 'reportHeapSnapshotProgress' events will be generated while snapshot is being taken.\n- (Optional) `treat_global_objects_as_roots`: If true, a raw snapshot without artificial roots will be generated.\nDeprecated in favor of `exposeInternals`.\n- (Optional) `capture_numeric_value`: If true, numerical values are included in the snapshot\n- (Optional) `expose_internals`: If true, exposes internals of the snapshot.","ref":"CDPotion.Domain.HeapProfiler.html#take_heap_snapshot/4-parameters"},{"type":"type","title":"CDPotion.Domain.HeapProfiler.heap_snapshot_object_id/0","doc":"Heap snapshot object id.","ref":"CDPotion.Domain.HeapProfiler.html#t:heap_snapshot_object_id/0"},{"type":"type","title":"CDPotion.Domain.HeapProfiler.sampling_heap_profile/0","doc":"Sampling profile.","ref":"CDPotion.Domain.HeapProfiler.html#t:sampling_heap_profile/0"},{"type":"type","title":"CDPotion.Domain.HeapProfiler.sampling_heap_profile_node/0","doc":"Sampling Heap Profile node. Holds callsite information, allocation statistics and child nodes.","ref":"CDPotion.Domain.HeapProfiler.html#t:sampling_heap_profile_node/0"},{"type":"type","title":"CDPotion.Domain.HeapProfiler.sampling_heap_profile_sample/0","doc":"A single sample from a sampling profile.","ref":"CDPotion.Domain.HeapProfiler.html#t:sampling_heap_profile_sample/0"},{"type":"module","title":"CDPotion.Domain.IO","doc":"","ref":"CDPotion.Domain.IO.html"},{"type":"function","title":"CDPotion.Domain.IO.close/1","doc":"Close the stream, discard any temporary backing storage.","ref":"CDPotion.Domain.IO.html#close/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.IO.close/1","doc":"- (Required) `handle`: Handle of the stream to close.","ref":"CDPotion.Domain.IO.html#close/1-parameters"},{"type":"function","title":"CDPotion.Domain.IO.read/3","doc":"Read a chunk of the stream","ref":"CDPotion.Domain.IO.html#read/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.IO.read/3","doc":"- (Required) `handle`: Handle of the stream to read.\n- (Optional) `offset`: Seek to the specified offset before reading (if not specificed, proceed with offset\nfollowing the last read). Some types of streams may only support sequential reads.\n- (Optional) `size`: Maximum number of bytes to read (left upon the agent discretion if not specified).","ref":"CDPotion.Domain.IO.html#read/3-parameters"},{"type":"function","title":"CDPotion.Domain.IO.resolve_blob/1","doc":"Return UUID of Blob object specified by a remote object id.","ref":"CDPotion.Domain.IO.html#resolve_blob/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.IO.resolve_blob/1","doc":"- (Required) `object_id`: Object id of a Blob object wrapper.","ref":"CDPotion.Domain.IO.html#resolve_blob/1-parameters"},{"type":"type","title":"CDPotion.Domain.IO.stream_handle/0","doc":"This is either obtained from another method or specified as `blob: ` where\n` ` is an UUID of a Blob.","ref":"CDPotion.Domain.IO.html#t:stream_handle/0"},{"type":"module","title":"CDPotion.Domain.IndexedDB","doc":"","ref":"CDPotion.Domain.IndexedDB.html"},{"type":"function","title":"CDPotion.Domain.IndexedDB.clear_object_store/5","doc":"Clears all entries from an object store.","ref":"CDPotion.Domain.IndexedDB.html#clear_object_store/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.clear_object_store/5","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: Database name.\n- (Required) `object_store_name`: Object store name.","ref":"CDPotion.Domain.IndexedDB.html#clear_object_store/5-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.delete_database/4","doc":"Deletes a database.","ref":"CDPotion.Domain.IndexedDB.html#delete_database/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.delete_database/4","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: Database name.","ref":"CDPotion.Domain.IndexedDB.html#delete_database/4-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.delete_object_store_entries/6","doc":"Delete a range of entries from an object store","ref":"CDPotion.Domain.IndexedDB.html#delete_object_store_entries/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.delete_object_store_entries/6","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: description not provided :(\n- (Required) `object_store_name`: description not provided :(\n- (Required) `key_range`: Range of entry keys to delete","ref":"CDPotion.Domain.IndexedDB.html#delete_object_store_entries/6-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.disable/0","doc":"Disables events from backend.","ref":"CDPotion.Domain.IndexedDB.html#disable/0"},{"type":"function","title":"CDPotion.Domain.IndexedDB.enable/0","doc":"Enables events from backend.","ref":"CDPotion.Domain.IndexedDB.html#enable/0"},{"type":"function","title":"CDPotion.Domain.IndexedDB.get_metadata/5","doc":"Gets metadata of an object store.","ref":"CDPotion.Domain.IndexedDB.html#get_metadata/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.get_metadata/5","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: Database name.\n- (Required) `object_store_name`: Object store name.","ref":"CDPotion.Domain.IndexedDB.html#get_metadata/5-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.request_data/9","doc":"Requests data from object store or index.","ref":"CDPotion.Domain.IndexedDB.html#request_data/9"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.request_data/9","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: Database name.\n- (Required) `object_store_name`: Object store name.\n- (Required) `index_name`: Index name, empty string for object store data requests.\n- (Required) `skip_count`: Number of records to skip.\n- (Required) `page_size`: Number of records to fetch.\n- (Optional) `key_range`: Key range.","ref":"CDPotion.Domain.IndexedDB.html#request_data/9-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.request_database/4","doc":"Requests database with given name in given frame.","ref":"CDPotion.Domain.IndexedDB.html#request_database/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.request_database/4","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.\n- (Required) `database_name`: Database name.","ref":"CDPotion.Domain.IndexedDB.html#request_database/4-parameters"},{"type":"function","title":"CDPotion.Domain.IndexedDB.request_database_names/3","doc":"Requests database names for given security origin.","ref":"CDPotion.Domain.IndexedDB.html#request_database_names/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.IndexedDB.request_database_names/3","doc":"- (Optional) `security_origin`: At least and at most one of securityOrigin, storageKey, or storageBucket must be specified.\nSecurity origin.\n- (Optional) `storage_key`: Storage key.\n- (Optional) `storage_bucket`: Storage bucket. If not specified, it uses the default bucket.","ref":"CDPotion.Domain.IndexedDB.html#request_database_names/3-parameters"},{"type":"type","title":"CDPotion.Domain.IndexedDB.data_entry/0","doc":"Data entry.","ref":"CDPotion.Domain.IndexedDB.html#t:data_entry/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.database_with_object_stores/0","doc":"Database with an array of object stores.","ref":"CDPotion.Domain.IndexedDB.html#t:database_with_object_stores/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.key/0","doc":"Key.","ref":"CDPotion.Domain.IndexedDB.html#t:key/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.key_path/0","doc":"Key path.","ref":"CDPotion.Domain.IndexedDB.html#t:key_path/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.key_range/0","doc":"Key range.","ref":"CDPotion.Domain.IndexedDB.html#t:key_range/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.object_store/0","doc":"Object store.","ref":"CDPotion.Domain.IndexedDB.html#t:object_store/0"},{"type":"type","title":"CDPotion.Domain.IndexedDB.object_store_index/0","doc":"Object store index.","ref":"CDPotion.Domain.IndexedDB.html#t:object_store_index/0"},{"type":"module","title":"CDPotion.Domain.Input","doc":"","ref":"CDPotion.Domain.Input.html"},{"type":"function","title":"CDPotion.Domain.Input.cancel_dragging/0","doc":"Cancels any active dragging in the page.","ref":"CDPotion.Domain.Input.html#cancel_dragging/0"},{"type":"function","title":"CDPotion.Domain.Input.dispatch_drag_event/5","doc":"Dispatches a drag event into the page.","ref":"CDPotion.Domain.Input.html#dispatch_drag_event/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.dispatch_drag_event/5","doc":"- (Required) `type`: Type of the drag event.\n- (Required) `x`: X coordinate of the event relative to the main frame's viewport in CSS pixels.\n- (Required) `y`: Y coordinate of the event relative to the main frame's viewport in CSS pixels. 0 refers to\nthe top of the viewport and Y increases as it proceeds towards the bottom of the viewport.\n- (Required) `data`: description not provided :(\n- (Optional) `modifiers`: Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8\n(default: 0).","ref":"CDPotion.Domain.Input.html#dispatch_drag_event/5-parameters"},{"type":"function","title":"CDPotion.Domain.Input.dispatch_key_event/15","doc":"Dispatches a key event to the page.","ref":"CDPotion.Domain.Input.html#dispatch_key_event/15"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.dispatch_key_event/15","doc":"- (Required) `type`: Type of the key event.\n- (Optional) `modifiers`: Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8\n(default: 0).\n- (Optional) `timestamp`: Time at which the event occurred.\n- (Optional) `text`: Text as generated by processing a virtual key code with a keyboard layout. Not needed for\nfor `keyUp` and `rawKeyDown` events (default: \"\")\n- (Optional) `unmodified_text`: Text that would have been generated by the keyboard if no modifiers were pressed (except for\nshift). Useful for shortcut (accelerator) key handling (default: \"\").\n- (Optional) `key_identifier`: Unique key identifier (e.g., 'U+0041') (default: \"\").\n- (Optional) `code`: Unique DOM defined string value for each physical key (e.g., 'KeyA') (default: \"\").\n- (Optional) `key`: Unique DOM defined string value describing the meaning of the key in the context of active\nmodifiers, keyboard layout, etc (e.g., 'AltGr') (default: \"\").\n- (Optional) `windows_virtual_key_code`: Windows virtual key code (default: 0).\n- (Optional) `native_virtual_key_code`: Native virtual key code (default: 0).\n- (Optional) `auto_repeat`: Whether the event was generated from auto repeat (default: false).\n- (Optional) `is_keypad`: Whether the event was generated from the keypad (default: false).\n- (Optional) `is_system_key`: Whether the event was a system key event (default: false).\n- (Optional) `location`: Whether the event was from the left or right side of the keyboard. 1=Left, 2=Right (default:\n0).\n- (Optional) `commands`: Editing commands to send with the key event (e.g., 'selectAll') (default: []).\nThese are related to but not equal the command names used in `document.execCommand` and NSStandardKeyBindingResponding.\nSee https://source.chromium.org/chromium/chromium/src/+/main:third_party/blink/renderer/core/editing/commands/editor_command_names.h for valid command names.","ref":"CDPotion.Domain.Input.html#dispatch_key_event/15-parameters"},{"type":"function","title":"CDPotion.Domain.Input.dispatch_mouse_event/16","doc":"Dispatches a mouse event to the page.","ref":"CDPotion.Domain.Input.html#dispatch_mouse_event/16"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.dispatch_mouse_event/16","doc":"- (Required) `type`: Type of the mouse event.\n- (Required) `x`: X coordinate of the event relative to the main frame's viewport in CSS pixels.\n- (Required) `y`: Y coordinate of the event relative to the main frame's viewport in CSS pixels. 0 refers to\nthe top of the viewport and Y increases as it proceeds towards the bottom of the viewport.\n- (Optional) `modifiers`: Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8\n(default: 0).\n- (Optional) `timestamp`: Time at which the event occurred.\n- (Optional) `button`: Mouse button (default: \"none\").\n- (Optional) `buttons`: A number indicating which buttons are pressed on the mouse when a mouse event is triggered.\nLeft=1, Right=2, Middle=4, Back=8, Forward=16, None=0.\n- (Optional) `click_count`: Number of times the mouse button was clicked (default: 0).\n- (Optional) `force`: The normalized pressure, which has a range of [0,1] (default: 0).\n- (Optional) `tangential_pressure`: The normalized tangential pressure, which has a range of [-1,1] (default: 0).\n- (Optional) `tilt_x`: The plane angle between the Y-Z plane and the plane containing both the stylus axis and the Y axis, in degrees of the range [-90,90], a positive tiltX is to the right (default: 0).\n- (Optional) `tilt_y`: The plane angle between the X-Z plane and the plane containing both the stylus axis and the X axis, in degrees of the range [-90,90], a positive tiltY is towards the user (default: 0).\n- (Optional) `twist`: The clockwise rotation of a pen stylus around its own major axis, in degrees in the range [0,359] (default: 0).\n- (Optional) `delta_x`: X delta in CSS pixels for mouse wheel event (default: 0).\n- (Optional) `delta_y`: Y delta in CSS pixels for mouse wheel event (default: 0).\n- (Optional) `pointer_type`: Pointer type (default: \"mouse\").","ref":"CDPotion.Domain.Input.html#dispatch_mouse_event/16-parameters"},{"type":"function","title":"CDPotion.Domain.Input.dispatch_touch_event/4","doc":"Dispatches a touch event to the page.","ref":"CDPotion.Domain.Input.html#dispatch_touch_event/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.dispatch_touch_event/4","doc":"- (Required) `type`: Type of the touch event. TouchEnd and TouchCancel must not contain any touch points, while\nTouchStart and TouchMove must contains at least one.\n- (Required) `touch_points`: Active touch points on the touch device. One event per any changed point (compared to\nprevious touch event in a sequence) is generated, emulating pressing/moving/releasing points\none by one.\n- (Optional) `modifiers`: Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8\n(default: 0).\n- (Optional) `timestamp`: Time at which the event occurred.","ref":"CDPotion.Domain.Input.html#dispatch_touch_event/4-parameters"},{"type":"function","title":"CDPotion.Domain.Input.emulate_touch_from_mouse_event/9","doc":"Emulates touch event from the mouse event parameters.","ref":"CDPotion.Domain.Input.html#emulate_touch_from_mouse_event/9"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.emulate_touch_from_mouse_event/9","doc":"- (Required) `type`: Type of the mouse event.\n- (Required) `x`: X coordinate of the mouse pointer in DIP.\n- (Required) `y`: Y coordinate of the mouse pointer in DIP.\n- (Required) `button`: Mouse button. Only \"none\", \"left\", \"right\" are supported.\n- (Optional) `timestamp`: Time at which the event occurred (default: current time).\n- (Optional) `delta_x`: X delta in DIP for mouse wheel event (default: 0).\n- (Optional) `delta_y`: Y delta in DIP for mouse wheel event (default: 0).\n- (Optional) `modifiers`: Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8\n(default: 0).\n- (Optional) `click_count`: Number of times the mouse button was clicked (default: 0).","ref":"CDPotion.Domain.Input.html#emulate_touch_from_mouse_event/9-parameters"},{"type":"function","title":"CDPotion.Domain.Input.ime_set_composition/5","doc":"This method sets the current candidate text for ime.\nUse imeCommitComposition to commit the final text.\nUse imeSetComposition with empty string as text to cancel composition.","ref":"CDPotion.Domain.Input.html#ime_set_composition/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.ime_set_composition/5","doc":"- (Required) `text`: The text to insert\n- (Required) `selection_start`: selection start\n- (Required) `selection_end`: selection end\n- (Optional) `replacement_start`: replacement start\n- (Optional) `replacement_end`: replacement end","ref":"CDPotion.Domain.Input.html#ime_set_composition/5-parameters"},{"type":"function","title":"CDPotion.Domain.Input.insert_text/1","doc":"This method emulates inserting text that doesn't come from a key press,\nfor example an emoji keyboard or an IME.","ref":"CDPotion.Domain.Input.html#insert_text/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.insert_text/1","doc":"- (Required) `text`: The text to insert.","ref":"CDPotion.Domain.Input.html#insert_text/1-parameters"},{"type":"function","title":"CDPotion.Domain.Input.set_ignore_input_events/1","doc":"Ignores input events (useful while auditing page).","ref":"CDPotion.Domain.Input.html#set_ignore_input_events/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.set_ignore_input_events/1","doc":"- (Required) `ignore`: Ignores input events processing when set to true.","ref":"CDPotion.Domain.Input.html#set_ignore_input_events/1-parameters"},{"type":"function","title":"CDPotion.Domain.Input.set_intercept_drags/1","doc":"Prevents default drag and drop behavior and instead emits `Input.dragIntercepted` events.\nDrag and drop behavior can be directly controlled via `Input.dispatchDragEvent`.","ref":"CDPotion.Domain.Input.html#set_intercept_drags/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.set_intercept_drags/1","doc":"- (Required) `enabled`: description not provided :(","ref":"CDPotion.Domain.Input.html#set_intercept_drags/1-parameters"},{"type":"function","title":"CDPotion.Domain.Input.synthesize_pinch_gesture/5","doc":"Synthesizes a pinch gesture over a time period by issuing appropriate touch events.","ref":"CDPotion.Domain.Input.html#synthesize_pinch_gesture/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.synthesize_pinch_gesture/5","doc":"- (Required) `x`: X coordinate of the start of the gesture in CSS pixels.\n- (Required) `y`: Y coordinate of the start of the gesture in CSS pixels.\n- (Required) `scale_factor`: Relative scale factor after zooming (>1.0 zooms in, <1.0 zooms out).\n- (Optional) `relative_speed`: Relative pointer speed in pixels per second (default: 800).\n- (Optional) `gesture_source_type`: Which type of input events to be generated (default: 'default', which queries the platform\nfor the preferred input type).","ref":"CDPotion.Domain.Input.html#synthesize_pinch_gesture/5-parameters"},{"type":"function","title":"CDPotion.Domain.Input.synthesize_scroll_gesture/12","doc":"Synthesizes a scroll gesture over a time period by issuing appropriate touch events.","ref":"CDPotion.Domain.Input.html#synthesize_scroll_gesture/12"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.synthesize_scroll_gesture/12","doc":"- (Required) `x`: X coordinate of the start of the gesture in CSS pixels.\n- (Required) `y`: Y coordinate of the start of the gesture in CSS pixels.\n- (Optional) `x_distance`: The distance to scroll along the X axis (positive to scroll left).\n- (Optional) `y_distance`: The distance to scroll along the Y axis (positive to scroll up).\n- (Optional) `x_overscroll`: The number of additional pixels to scroll back along the X axis, in addition to the given\ndistance.\n- (Optional) `y_overscroll`: The number of additional pixels to scroll back along the Y axis, in addition to the given\ndistance.\n- (Optional) `prevent_fling`: Prevent fling (default: true).\n- (Optional) `speed`: Swipe speed in pixels per second (default: 800).\n- (Optional) `gesture_source_type`: Which type of input events to be generated (default: 'default', which queries the platform\nfor the preferred input type).\n- (Optional) `repeat_count`: The number of times to repeat the gesture (default: 0).\n- (Optional) `repeat_delay_ms`: The number of milliseconds delay between each repeat. (default: 250).\n- (Optional) `interaction_marker_name`: The name of the interaction markers to generate, if not empty (default: \"\").","ref":"CDPotion.Domain.Input.html#synthesize_scroll_gesture/12-parameters"},{"type":"function","title":"CDPotion.Domain.Input.synthesize_tap_gesture/5","doc":"Synthesizes a tap gesture over a time period by issuing appropriate touch events.","ref":"CDPotion.Domain.Input.html#synthesize_tap_gesture/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Input.synthesize_tap_gesture/5","doc":"- (Required) `x`: X coordinate of the start of the gesture in CSS pixels.\n- (Required) `y`: Y coordinate of the start of the gesture in CSS pixels.\n- (Optional) `duration`: Duration between touchdown and touchup events in ms (default: 50).\n- (Optional) `tap_count`: Number of times to perform the tap (e.g. 2 for double tap, default: 1).\n- (Optional) `gesture_source_type`: Which type of input events to be generated (default: 'default', which queries the platform\nfor the preferred input type).","ref":"CDPotion.Domain.Input.html#synthesize_tap_gesture/5-parameters"},{"type":"type","title":"CDPotion.Domain.Input.drag_data/0","doc":"description not provided :(","ref":"CDPotion.Domain.Input.html#t:drag_data/0"},{"type":"type","title":"CDPotion.Domain.Input.drag_data_item/0","doc":"description not provided :(","ref":"CDPotion.Domain.Input.html#t:drag_data_item/0"},{"type":"type","title":"CDPotion.Domain.Input.gesture_source_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Input.html#t:gesture_source_type/0"},{"type":"type","title":"CDPotion.Domain.Input.mouse_button/0","doc":"description not provided :(","ref":"CDPotion.Domain.Input.html#t:mouse_button/0"},{"type":"type","title":"CDPotion.Domain.Input.time_since_epoch/0","doc":"UTC time in seconds, counted from January 1, 1970.","ref":"CDPotion.Domain.Input.html#t:time_since_epoch/0"},{"type":"type","title":"CDPotion.Domain.Input.touch_point/0","doc":"description not provided :(","ref":"CDPotion.Domain.Input.html#t:touch_point/0"},{"type":"module","title":"CDPotion.Domain.Inspector","doc":"","ref":"CDPotion.Domain.Inspector.html"},{"type":"function","title":"CDPotion.Domain.Inspector.disable/0","doc":"Disables inspector domain notifications.","ref":"CDPotion.Domain.Inspector.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Inspector.enable/0","doc":"Enables inspector domain notifications.","ref":"CDPotion.Domain.Inspector.html#enable/0"},{"type":"module","title":"CDPotion.Domain.LayerTree","doc":"","ref":"CDPotion.Domain.LayerTree.html"},{"type":"function","title":"CDPotion.Domain.LayerTree.compositing_reasons/1","doc":"Provides the reasons why the given layer was composited.","ref":"CDPotion.Domain.LayerTree.html#compositing_reasons/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.compositing_reasons/1","doc":"- (Required) `layer_id`: The id of the layer for which we want to get the reasons it was composited.","ref":"CDPotion.Domain.LayerTree.html#compositing_reasons/1-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.disable/0","doc":"Disables compositing tree inspection.","ref":"CDPotion.Domain.LayerTree.html#disable/0"},{"type":"function","title":"CDPotion.Domain.LayerTree.enable/0","doc":"Enables compositing tree inspection.","ref":"CDPotion.Domain.LayerTree.html#enable/0"},{"type":"function","title":"CDPotion.Domain.LayerTree.load_snapshot/1","doc":"Returns the snapshot identifier.","ref":"CDPotion.Domain.LayerTree.html#load_snapshot/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.load_snapshot/1","doc":"- (Required) `tiles`: An array of tiles composing the snapshot.","ref":"CDPotion.Domain.LayerTree.html#load_snapshot/1-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.make_snapshot/1","doc":"Returns the layer snapshot identifier.","ref":"CDPotion.Domain.LayerTree.html#make_snapshot/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.make_snapshot/1","doc":"- (Required) `layer_id`: The id of the layer.","ref":"CDPotion.Domain.LayerTree.html#make_snapshot/1-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.profile_snapshot/4","doc":"","ref":"CDPotion.Domain.LayerTree.html#profile_snapshot/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.profile_snapshot/4","doc":"- (Required) `snapshot_id`: The id of the layer snapshot.\n- (Optional) `min_repeat_count`: The maximum number of times to replay the snapshot (1, if not specified).\n- (Optional) `min_duration`: The minimum duration (in seconds) to replay the snapshot.\n- (Optional) `clip_rect`: The clip rectangle to apply when replaying the snapshot.","ref":"CDPotion.Domain.LayerTree.html#profile_snapshot/4-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.release_snapshot/1","doc":"Releases layer snapshot captured by the back-end.","ref":"CDPotion.Domain.LayerTree.html#release_snapshot/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.release_snapshot/1","doc":"- (Required) `snapshot_id`: The id of the layer snapshot.","ref":"CDPotion.Domain.LayerTree.html#release_snapshot/1-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.replay_snapshot/4","doc":"Replays the layer snapshot and returns the resulting bitmap.","ref":"CDPotion.Domain.LayerTree.html#replay_snapshot/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.replay_snapshot/4","doc":"- (Required) `snapshot_id`: The id of the layer snapshot.\n- (Optional) `from_step`: The first step to replay from (replay from the very start if not specified).\n- (Optional) `to_step`: The last step to replay to (replay till the end if not specified).\n- (Optional) `scale`: The scale to apply while replaying (defaults to 1).","ref":"CDPotion.Domain.LayerTree.html#replay_snapshot/4-parameters"},{"type":"function","title":"CDPotion.Domain.LayerTree.snapshot_command_log/1","doc":"Replays the layer snapshot and returns canvas log.","ref":"CDPotion.Domain.LayerTree.html#snapshot_command_log/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.LayerTree.snapshot_command_log/1","doc":"- (Required) `snapshot_id`: The id of the layer snapshot.","ref":"CDPotion.Domain.LayerTree.html#snapshot_command_log/1-parameters"},{"type":"type","title":"CDPotion.Domain.LayerTree.layer/0","doc":"Information about a compositing layer.","ref":"CDPotion.Domain.LayerTree.html#t:layer/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.layer_id/0","doc":"Unique Layer identifier.","ref":"CDPotion.Domain.LayerTree.html#t:layer_id/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.paint_profile/0","doc":"Array of timings, one per paint step.","ref":"CDPotion.Domain.LayerTree.html#t:paint_profile/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.picture_tile/0","doc":"Serialized fragment of layer picture along with its offset within the layer.","ref":"CDPotion.Domain.LayerTree.html#t:picture_tile/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.scroll_rect/0","doc":"Rectangle where scrolling happens on the main thread.","ref":"CDPotion.Domain.LayerTree.html#t:scroll_rect/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.snapshot_id/0","doc":"Unique snapshot identifier.","ref":"CDPotion.Domain.LayerTree.html#t:snapshot_id/0"},{"type":"type","title":"CDPotion.Domain.LayerTree.sticky_position_constraint/0","doc":"Sticky position constraints.","ref":"CDPotion.Domain.LayerTree.html#t:sticky_position_constraint/0"},{"type":"module","title":"CDPotion.Domain.Log","doc":"","ref":"CDPotion.Domain.Log.html"},{"type":"function","title":"CDPotion.Domain.Log.clear/0","doc":"Clears the log.","ref":"CDPotion.Domain.Log.html#clear/0"},{"type":"function","title":"CDPotion.Domain.Log.disable/0","doc":"Disables log domain, prevents further log entries from being reported to the client.","ref":"CDPotion.Domain.Log.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Log.enable/0","doc":"Enables log domain, sends the entries collected so far to the client by means of the\n`entryAdded` notification.","ref":"CDPotion.Domain.Log.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Log.start_violations_report/1","doc":"start violation reporting.","ref":"CDPotion.Domain.Log.html#start_violations_report/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Log.start_violations_report/1","doc":"- (Required) `config`: Configuration for violations.","ref":"CDPotion.Domain.Log.html#start_violations_report/1-parameters"},{"type":"function","title":"CDPotion.Domain.Log.stop_violations_report/0","doc":"Stop violation reporting.","ref":"CDPotion.Domain.Log.html#stop_violations_report/0"},{"type":"type","title":"CDPotion.Domain.Log.log_entry/0","doc":"Log entry.","ref":"CDPotion.Domain.Log.html#t:log_entry/0"},{"type":"type","title":"CDPotion.Domain.Log.violation_setting/0","doc":"Violation configuration setting.","ref":"CDPotion.Domain.Log.html#t:violation_setting/0"},{"type":"module","title":"CDPotion.Domain.Media","doc":"","ref":"CDPotion.Domain.Media.html"},{"type":"function","title":"CDPotion.Domain.Media.disable/0","doc":"Disables the Media domain.","ref":"CDPotion.Domain.Media.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Media.enable/0","doc":"Enables the Media domain","ref":"CDPotion.Domain.Media.html#enable/0"},{"type":"type","title":"CDPotion.Domain.Media.player_error/0","doc":"Corresponds to kMediaError","ref":"CDPotion.Domain.Media.html#t:player_error/0"},{"type":"type","title":"CDPotion.Domain.Media.player_error_source_location/0","doc":"Represents logged source line numbers reported in an error.\nNOTE: file and line are from chromium c++ implementation code, not js.","ref":"CDPotion.Domain.Media.html#t:player_error_source_location/0"},{"type":"type","title":"CDPotion.Domain.Media.player_event/0","doc":"Corresponds to kMediaEventTriggered","ref":"CDPotion.Domain.Media.html#t:player_event/0"},{"type":"type","title":"CDPotion.Domain.Media.player_id/0","doc":"Players will get an ID that is unique within the agent context.","ref":"CDPotion.Domain.Media.html#t:player_id/0"},{"type":"type","title":"CDPotion.Domain.Media.player_message/0","doc":"Have one type per entry in MediaLogRecord::Type\nCorresponds to kMessage","ref":"CDPotion.Domain.Media.html#t:player_message/0"},{"type":"type","title":"CDPotion.Domain.Media.player_property/0","doc":"Corresponds to kMediaPropertyChange","ref":"CDPotion.Domain.Media.html#t:player_property/0"},{"type":"type","title":"CDPotion.Domain.Media.timestamp/0","doc":"description not provided :(","ref":"CDPotion.Domain.Media.html#t:timestamp/0"},{"type":"module","title":"CDPotion.Domain.Memory","doc":"","ref":"CDPotion.Domain.Memory.html"},{"type":"function","title":"CDPotion.Domain.Memory.forcibly_purge_java_script_memory/0","doc":"Simulate OomIntervention by purging V8 memory.","ref":"CDPotion.Domain.Memory.html#forcibly_purge_java_script_memory/0"},{"type":"function","title":"CDPotion.Domain.Memory.get_all_time_sampling_profile/0","doc":"Retrieve native memory allocations profile\ncollected since renderer process startup.","ref":"CDPotion.Domain.Memory.html#get_all_time_sampling_profile/0"},{"type":"function","title":"CDPotion.Domain.Memory.get_browser_sampling_profile/0","doc":"Retrieve native memory allocations profile\ncollected since browser process startup.","ref":"CDPotion.Domain.Memory.html#get_browser_sampling_profile/0"},{"type":"function","title":"CDPotion.Domain.Memory.get_dom_counters/0","doc":"","ref":"CDPotion.Domain.Memory.html#get_dom_counters/0"},{"type":"function","title":"CDPotion.Domain.Memory.get_sampling_profile/0","doc":"Retrieve native memory allocations profile collected since last\n`startSampling` call.","ref":"CDPotion.Domain.Memory.html#get_sampling_profile/0"},{"type":"function","title":"CDPotion.Domain.Memory.prepare_for_leak_detection/0","doc":"","ref":"CDPotion.Domain.Memory.html#prepare_for_leak_detection/0"},{"type":"function","title":"CDPotion.Domain.Memory.set_pressure_notifications_suppressed/1","doc":"Enable/disable suppressing memory pressure notifications in all processes.","ref":"CDPotion.Domain.Memory.html#set_pressure_notifications_suppressed/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Memory.set_pressure_notifications_suppressed/1","doc":"- (Required) `suppressed`: If true, memory pressure notifications will be suppressed.","ref":"CDPotion.Domain.Memory.html#set_pressure_notifications_suppressed/1-parameters"},{"type":"function","title":"CDPotion.Domain.Memory.simulate_pressure_notification/1","doc":"Simulate a memory pressure notification in all processes.","ref":"CDPotion.Domain.Memory.html#simulate_pressure_notification/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Memory.simulate_pressure_notification/1","doc":"- (Required) `level`: Memory pressure level of the notification.","ref":"CDPotion.Domain.Memory.html#simulate_pressure_notification/1-parameters"},{"type":"function","title":"CDPotion.Domain.Memory.start_sampling/2","doc":"Start collecting native memory profile.","ref":"CDPotion.Domain.Memory.html#start_sampling/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Memory.start_sampling/2","doc":"- (Optional) `sampling_interval`: Average number of bytes between samples.\n- (Optional) `suppress_randomness`: Do not randomize intervals between samples.","ref":"CDPotion.Domain.Memory.html#start_sampling/2-parameters"},{"type":"function","title":"CDPotion.Domain.Memory.stop_sampling/0","doc":"Stop collecting native memory profile.","ref":"CDPotion.Domain.Memory.html#stop_sampling/0"},{"type":"type","title":"CDPotion.Domain.Memory.module_info/0","doc":"Executable module information","ref":"CDPotion.Domain.Memory.html#t:module_info/0"},{"type":"type","title":"CDPotion.Domain.Memory.pressure_level/0","doc":"Memory pressure level.","ref":"CDPotion.Domain.Memory.html#t:pressure_level/0"},{"type":"type","title":"CDPotion.Domain.Memory.sampling_profile/0","doc":"Array of heap profile samples.","ref":"CDPotion.Domain.Memory.html#t:sampling_profile/0"},{"type":"type","title":"CDPotion.Domain.Memory.sampling_profile_node/0","doc":"Heap profile sample.","ref":"CDPotion.Domain.Memory.html#t:sampling_profile_node/0"},{"type":"module","title":"CDPotion.Domain.Network","doc":"","ref":"CDPotion.Domain.Network.html"},{"type":"function","title":"CDPotion.Domain.Network.can_clear_browser_cache/0","doc":"Tells whether clearing browser cache is supported.","ref":"CDPotion.Domain.Network.html#can_clear_browser_cache/0"},{"type":"function","title":"CDPotion.Domain.Network.can_clear_browser_cookies/0","doc":"Tells whether clearing browser cookies is supported.","ref":"CDPotion.Domain.Network.html#can_clear_browser_cookies/0"},{"type":"function","title":"CDPotion.Domain.Network.can_emulate_network_conditions/0","doc":"Tells whether emulation of network conditions is supported.","ref":"CDPotion.Domain.Network.html#can_emulate_network_conditions/0"},{"type":"function","title":"CDPotion.Domain.Network.clear_accepted_encodings_override/0","doc":"Clears accepted encodings set by setAcceptedEncodings","ref":"CDPotion.Domain.Network.html#clear_accepted_encodings_override/0"},{"type":"function","title":"CDPotion.Domain.Network.clear_browser_cache/0","doc":"Clears browser cache.","ref":"CDPotion.Domain.Network.html#clear_browser_cache/0"},{"type":"function","title":"CDPotion.Domain.Network.clear_browser_cookies/0","doc":"Clears browser cookies.","ref":"CDPotion.Domain.Network.html#clear_browser_cookies/0"},{"type":"function","title":"CDPotion.Domain.Network.continue_intercepted_request/8","doc":"Response to Network.requestIntercepted which either modifies the request to continue with any\nmodifications, or blocks it, or completes it with the provided response bytes. If a network\nfetch occurs as a result which encounters a redirect an additional Network.requestIntercepted\nevent will be sent with the same InterceptionId.\nDeprecated, use Fetch.continueRequest, Fetch.fulfillRequest and Fetch.failRequest instead.","ref":"CDPotion.Domain.Network.html#continue_intercepted_request/8"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.continue_intercepted_request/8","doc":"- (Required) `interception_id`: description not provided :(\n- (Optional) `error_reason`: If set this causes the request to fail with the given reason. Passing `Aborted` for requests\nmarked with `isNavigationRequest` also cancels the navigation. Must not be set in response\nto an authChallenge.\n- (Optional) `raw_response`: If set the requests completes using with the provided base64 encoded raw response, including\nHTTP status line and headers etc... Must not be set in response to an authChallenge. (Encoded as a base64 string when passed over JSON)\n- (Optional) `url`: If set the request url will be modified in a way that's not observable by page. Must not be\nset in response to an authChallenge.\n- (Optional) `method`: If set this allows the request method to be overridden. Must not be set in response to an\nauthChallenge.\n- (Optional) `post_data`: If set this allows postData to be set. Must not be set in response to an authChallenge.\n- (Optional) `headers`: If set this allows the request headers to be changed. Must not be set in response to an\nauthChallenge.\n- (Optional) `auth_challenge_response`: Response to a requestIntercepted with an authChallenge. Must not be set otherwise.","ref":"CDPotion.Domain.Network.html#continue_intercepted_request/8-parameters"},{"type":"function","title":"CDPotion.Domain.Network.delete_cookies/4","doc":"Deletes browser cookies with matching name and url or domain/path pair.","ref":"CDPotion.Domain.Network.html#delete_cookies/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.delete_cookies/4","doc":"- (Required) `name`: Name of the cookies to remove.\n- (Optional) `url`: If specified, deletes all the cookies with the given name where domain and path match\nprovided URL.\n- (Optional) `domain`: If specified, deletes only cookies with the exact domain.\n- (Optional) `path`: If specified, deletes only cookies with the exact path.","ref":"CDPotion.Domain.Network.html#delete_cookies/4-parameters"},{"type":"function","title":"CDPotion.Domain.Network.disable/0","doc":"Disables network tracking, prevents network events from being sent to the client.","ref":"CDPotion.Domain.Network.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Network.emulate_network_conditions/5","doc":"Activates emulation of network conditions.","ref":"CDPotion.Domain.Network.html#emulate_network_conditions/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.emulate_network_conditions/5","doc":"- (Required) `offline`: True to emulate internet disconnection.\n- (Required) `latency`: Minimum latency from request sent to response headers received (ms).\n- (Required) `download_throughput`: Maximal aggregated download throughput (bytes/sec). -1 disables download throttling.\n- (Required) `upload_throughput`: Maximal aggregated upload throughput (bytes/sec).  -1 disables upload throttling.\n- (Optional) `connection_type`: Connection type if known.","ref":"CDPotion.Domain.Network.html#emulate_network_conditions/5-parameters"},{"type":"function","title":"CDPotion.Domain.Network.enable/3","doc":"Enables network tracking, network events will now be delivered to the client.","ref":"CDPotion.Domain.Network.html#enable/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.enable/3","doc":"- (Optional) `max_total_buffer_size`: Buffer size in bytes to use when preserving network payloads (XHRs, etc).\n- (Optional) `max_resource_buffer_size`: Per-resource buffer size in bytes to use when preserving network payloads (XHRs, etc).\n- (Optional) `max_post_data_size`: Longest post body size (in bytes) that would be included in requestWillBeSent notification","ref":"CDPotion.Domain.Network.html#enable/3-parameters"},{"type":"function","title":"CDPotion.Domain.Network.enable_reporting_api/1","doc":"Enables tracking for the Reporting API, events generated by the Reporting API will now be delivered to the client.\nEnabling triggers 'reportingApiReportAdded' for all existing reports.","ref":"CDPotion.Domain.Network.html#enable_reporting_api/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.enable_reporting_api/1","doc":"- (Required) `enable`: Whether to enable or disable events for the Reporting API","ref":"CDPotion.Domain.Network.html#enable_reporting_api/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_all_cookies/0","doc":"Returns all browser cookies. Depending on the backend support, will return detailed cookie\ninformation in the `cookies` field.\nDeprecated. Use Storage.getCookies instead.","ref":"CDPotion.Domain.Network.html#get_all_cookies/0"},{"type":"function","title":"CDPotion.Domain.Network.get_certificate/1","doc":"Returns the DER-encoded certificate.","ref":"CDPotion.Domain.Network.html#get_certificate/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_certificate/1","doc":"- (Required) `origin`: Origin to get certificate for.","ref":"CDPotion.Domain.Network.html#get_certificate/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_cookies/1","doc":"Returns all browser cookies for the current URL. Depending on the backend support, will return\ndetailed cookie information in the `cookies` field.","ref":"CDPotion.Domain.Network.html#get_cookies/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_cookies/1","doc":"- (Optional) `urls`: The list of URLs for which applicable cookies will be fetched.\nIf not specified, it's assumed to be set to the list containing\nthe URLs of the page and all of its subframes.","ref":"CDPotion.Domain.Network.html#get_cookies/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_request_post_data/1","doc":"Returns post data sent with the request. Returns an error when no data was sent with the request.","ref":"CDPotion.Domain.Network.html#get_request_post_data/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_request_post_data/1","doc":"- (Required) `request_id`: Identifier of the network request to get content for.","ref":"CDPotion.Domain.Network.html#get_request_post_data/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_response_body/1","doc":"Returns content served for the given request.","ref":"CDPotion.Domain.Network.html#get_response_body/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_response_body/1","doc":"- (Required) `request_id`: Identifier of the network request to get content for.","ref":"CDPotion.Domain.Network.html#get_response_body/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_response_body_for_interception/1","doc":"Returns content served for the given currently intercepted request.","ref":"CDPotion.Domain.Network.html#get_response_body_for_interception/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_response_body_for_interception/1","doc":"- (Required) `interception_id`: Identifier for the intercepted request to get body for.","ref":"CDPotion.Domain.Network.html#get_response_body_for_interception/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.get_security_isolation_status/1","doc":"Returns information about the COEP/COOP isolation status.","ref":"CDPotion.Domain.Network.html#get_security_isolation_status/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.get_security_isolation_status/1","doc":"- (Optional) `frame_id`: If no frameId is provided, the status of the target is provided.","ref":"CDPotion.Domain.Network.html#get_security_isolation_status/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.load_network_resource/3","doc":"Fetches the resource and returns the content.","ref":"CDPotion.Domain.Network.html#load_network_resource/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.load_network_resource/3","doc":"- (Optional) `frame_id`: Frame id to get the resource for. Mandatory for frame targets, and\nshould be omitted for worker targets.\n- (Required) `url`: URL of the resource to get content for.\n- (Required) `options`: Options for the request.","ref":"CDPotion.Domain.Network.html#load_network_resource/3-parameters"},{"type":"function","title":"CDPotion.Domain.Network.replay_xhr/1","doc":"This method sends a new XMLHttpRequest which is identical to the original one. The following\nparameters should be identical: method, url, async, request body, extra headers, withCredentials\nattribute, user, password.","ref":"CDPotion.Domain.Network.html#replay_xhr/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.replay_xhr/1","doc":"- (Required) `request_id`: Identifier of XHR to replay.","ref":"CDPotion.Domain.Network.html#replay_xhr/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.search_in_response_body/4","doc":"Searches for given string in response content.","ref":"CDPotion.Domain.Network.html#search_in_response_body/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.search_in_response_body/4","doc":"- (Required) `request_id`: Identifier of the network response to search.\n- (Required) `query`: String to search for.\n- (Optional) `case_sensitive`: If true, search is case sensitive.\n- (Optional) `is_regex`: If true, treats string parameter as regex.","ref":"CDPotion.Domain.Network.html#search_in_response_body/4-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_accepted_encodings/1","doc":"Sets a list of content encodings that will be accepted. Empty list means no encoding is accepted.","ref":"CDPotion.Domain.Network.html#set_accepted_encodings/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_accepted_encodings/1","doc":"- (Required) `encodings`: List of accepted content encodings.","ref":"CDPotion.Domain.Network.html#set_accepted_encodings/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_attach_debug_stack/1","doc":"Specifies whether to attach a page script stack id in requests","ref":"CDPotion.Domain.Network.html#set_attach_debug_stack/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_attach_debug_stack/1","doc":"- (Required) `enabled`: Whether to attach a page script stack for debugging purpose.","ref":"CDPotion.Domain.Network.html#set_attach_debug_stack/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_blocked_ur_ls/1","doc":"Blocks URLs from loading.","ref":"CDPotion.Domain.Network.html#set_blocked_ur_ls/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_blocked_ur_ls/1","doc":"- (Required) `urls`: URL patterns to block. Wildcards ('*') are allowed.","ref":"CDPotion.Domain.Network.html#set_blocked_ur_ls/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_bypass_service_worker/1","doc":"Toggles ignoring of service worker for each request.","ref":"CDPotion.Domain.Network.html#set_bypass_service_worker/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_bypass_service_worker/1","doc":"- (Required) `bypass`: Bypass service worker and load from network.","ref":"CDPotion.Domain.Network.html#set_bypass_service_worker/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_cache_disabled/1","doc":"Toggles ignoring cache for each request. If `true`, cache will not be used.","ref":"CDPotion.Domain.Network.html#set_cache_disabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_cache_disabled/1","doc":"- (Required) `cache_disabled`: Cache disabled state.","ref":"CDPotion.Domain.Network.html#set_cache_disabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_cookie/14","doc":"Sets a cookie with the given cookie data; may overwrite equivalent cookies if they exist.","ref":"CDPotion.Domain.Network.html#set_cookie/14"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_cookie/14","doc":"- (Required) `name`: Cookie name.\n- (Required) `value`: Cookie value.\n- (Optional) `url`: The request-URI to associate with the setting of the cookie. This value can affect the\ndefault domain, path, source port, and source scheme values of the created cookie.\n- (Optional) `domain`: Cookie domain.\n- (Optional) `path`: Cookie path.\n- (Optional) `secure`: True if cookie is secure.\n- (Optional) `http_only`: True if cookie is http-only.\n- (Optional) `same_site`: Cookie SameSite type.\n- (Optional) `expires`: Cookie expiration date, session cookie if not set\n- (Optional) `priority`: Cookie Priority type.\n- (Optional) `same_party`: True if cookie is SameParty.\n- (Optional) `source_scheme`: Cookie source scheme type.\n- (Optional) `source_port`: Cookie source port. Valid values are {-1, [1, 65535]}, -1 indicates an unspecified port.\nAn unspecified port value allows protocol clients to emulate legacy cookie scope for the port.\nThis is a temporary ability and it will be removed in the future.\n- (Optional) `partition_key`: Cookie partition key. The site of the top-level URL the browser was visiting at the start\nof the request to the endpoint that set the cookie.\nIf not set, the cookie will be set as not partitioned.","ref":"CDPotion.Domain.Network.html#set_cookie/14-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_cookies/1","doc":"Sets given cookies.","ref":"CDPotion.Domain.Network.html#set_cookies/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_cookies/1","doc":"- (Required) `cookies`: Cookies to be set.","ref":"CDPotion.Domain.Network.html#set_cookies/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_extra_http_headers/1","doc":"Specifies whether to always send extra HTTP headers with the requests from this page.","ref":"CDPotion.Domain.Network.html#set_extra_http_headers/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_extra_http_headers/1","doc":"- (Required) `headers`: Map with extra HTTP headers.","ref":"CDPotion.Domain.Network.html#set_extra_http_headers/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_request_interception/1","doc":"Sets the requests to intercept that match the provided patterns and optionally resource types.\nDeprecated, please use Fetch.enable instead.","ref":"CDPotion.Domain.Network.html#set_request_interception/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_request_interception/1","doc":"- (Required) `patterns`: Requests matching any of these patterns will be forwarded and wait for the corresponding\ncontinueInterceptedRequest call.","ref":"CDPotion.Domain.Network.html#set_request_interception/1-parameters"},{"type":"function","title":"CDPotion.Domain.Network.set_user_agent_override/4","doc":"Allows overriding user agent with the given string.","ref":"CDPotion.Domain.Network.html#set_user_agent_override/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.set_user_agent_override/4","doc":"- (Required) `user_agent`: User agent to use.\n- (Optional) `accept_language`: Browser langugage to emulate.\n- (Optional) `platform`: The platform navigator.platform should return.\n- (Optional) `user_agent_metadata`: To be sent in Sec-CH-UA-* headers and returned in navigator.userAgentData","ref":"CDPotion.Domain.Network.html#set_user_agent_override/4-parameters"},{"type":"function","title":"CDPotion.Domain.Network.take_response_body_for_interception_as_stream/1","doc":"Returns a handle to the stream representing the response body. Note that after this command,\nthe intercepted request can't be continued as is -- you either need to cancel it or to provide\nthe response body. The stream only supports sequential read, IO.read will fail if the position\nis specified.","ref":"CDPotion.Domain.Network.html#take_response_body_for_interception_as_stream/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Network.take_response_body_for_interception_as_stream/1","doc":"- (Required) `interception_id`: description not provided :(","ref":"CDPotion.Domain.Network.html#take_response_body_for_interception_as_stream/1-parameters"},{"type":"type","title":"CDPotion.Domain.Network.alternate_protocol_usage/0","doc":"The reason why Chrome uses a specific transport protocol for HTTP semantics.","ref":"CDPotion.Domain.Network.html#t:alternate_protocol_usage/0"},{"type":"type","title":"CDPotion.Domain.Network.auth_challenge/0","doc":"Authorization challenge for HTTP status code 401 or 407.","ref":"CDPotion.Domain.Network.html#t:auth_challenge/0"},{"type":"type","title":"CDPotion.Domain.Network.auth_challenge_response/0","doc":"Response to an AuthChallenge.","ref":"CDPotion.Domain.Network.html#t:auth_challenge_response/0"},{"type":"type","title":"CDPotion.Domain.Network.blocked_cookie_with_reason/0","doc":"A cookie with was not sent with a request with the corresponding reason.","ref":"CDPotion.Domain.Network.html#t:blocked_cookie_with_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.blocked_reason/0","doc":"The reason why request was blocked.","ref":"CDPotion.Domain.Network.html#t:blocked_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.blocked_set_cookie_with_reason/0","doc":"A cookie which was not stored from a response with the corresponding reason.","ref":"CDPotion.Domain.Network.html#t:blocked_set_cookie_with_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.cached_resource/0","doc":"Information about the cached resource.","ref":"CDPotion.Domain.Network.html#t:cached_resource/0"},{"type":"type","title":"CDPotion.Domain.Network.certificate_transparency_compliance/0","doc":"Whether the request complied with Certificate Transparency policy.","ref":"CDPotion.Domain.Network.html#t:certificate_transparency_compliance/0"},{"type":"type","title":"CDPotion.Domain.Network.client_security_state/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:client_security_state/0"},{"type":"type","title":"CDPotion.Domain.Network.connect_timing/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:connect_timing/0"},{"type":"type","title":"CDPotion.Domain.Network.connection_type/0","doc":"The underlying connection technology that the browser is supposedly using.","ref":"CDPotion.Domain.Network.html#t:connection_type/0"},{"type":"type","title":"CDPotion.Domain.Network.content_encoding/0","doc":"List of content encodings supported by the backend.","ref":"CDPotion.Domain.Network.html#t:content_encoding/0"},{"type":"type","title":"CDPotion.Domain.Network.content_security_policy_source/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:content_security_policy_source/0"},{"type":"type","title":"CDPotion.Domain.Network.content_security_policy_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:content_security_policy_status/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie/0","doc":"Cookie object","ref":"CDPotion.Domain.Network.html#t:cookie/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie_blocked_reason/0","doc":"Types of reasons why a cookie may not be sent with a request.","ref":"CDPotion.Domain.Network.html#t:cookie_blocked_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie_param/0","doc":"Cookie parameter object","ref":"CDPotion.Domain.Network.html#t:cookie_param/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie_priority/0","doc":"Represents the cookie's 'Priority' status:\nhttps://tools.ietf.org/html/draft-west-cookie-priority-00","ref":"CDPotion.Domain.Network.html#t:cookie_priority/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie_same_site/0","doc":"Represents the cookie's 'SameSite' status:\nhttps://tools.ietf.org/html/draft-west-first-party-cookies","ref":"CDPotion.Domain.Network.html#t:cookie_same_site/0"},{"type":"type","title":"CDPotion.Domain.Network.cookie_source_scheme/0","doc":"Represents the source scheme of the origin that originally set the cookie.\nA value of 'Unset' allows protocol clients to emulate legacy cookie scope for the scheme.\nThis is a temporary ability and it will be removed in the future.","ref":"CDPotion.Domain.Network.html#t:cookie_source_scheme/0"},{"type":"type","title":"CDPotion.Domain.Network.cors_error/0","doc":"The reason why request was blocked.","ref":"CDPotion.Domain.Network.html#t:cors_error/0"},{"type":"type","title":"CDPotion.Domain.Network.cors_error_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:cors_error_status/0"},{"type":"type","title":"CDPotion.Domain.Network.cross_origin_embedder_policy_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:cross_origin_embedder_policy_status/0"},{"type":"type","title":"CDPotion.Domain.Network.cross_origin_embedder_policy_value/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:cross_origin_embedder_policy_value/0"},{"type":"type","title":"CDPotion.Domain.Network.cross_origin_opener_policy_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:cross_origin_opener_policy_status/0"},{"type":"type","title":"CDPotion.Domain.Network.cross_origin_opener_policy_value/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:cross_origin_opener_policy_value/0"},{"type":"type","title":"CDPotion.Domain.Network.error_reason/0","doc":"Network level fetch failure reason.","ref":"CDPotion.Domain.Network.html#t:error_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.headers/0","doc":"Request / response headers as keys / values of JSON object.","ref":"CDPotion.Domain.Network.html#t:headers/0"},{"type":"type","title":"CDPotion.Domain.Network.initiator/0","doc":"Information about the request initiator.","ref":"CDPotion.Domain.Network.html#t:initiator/0"},{"type":"type","title":"CDPotion.Domain.Network.interception_id/0","doc":"Unique intercepted request identifier.","ref":"CDPotion.Domain.Network.html#t:interception_id/0"},{"type":"type","title":"CDPotion.Domain.Network.interception_stage/0","doc":"Stages of the interception to begin intercepting. Request will intercept before the request is\nsent. Response will intercept after the response is received.","ref":"CDPotion.Domain.Network.html#t:interception_stage/0"},{"type":"type","title":"CDPotion.Domain.Network.ip_address_space/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:ip_address_space/0"},{"type":"type","title":"CDPotion.Domain.Network.load_network_resource_options/0","doc":"An options object that may be extended later to better support CORS,\nCORB and streaming.","ref":"CDPotion.Domain.Network.html#t:load_network_resource_options/0"},{"type":"type","title":"CDPotion.Domain.Network.load_network_resource_page_result/0","doc":"An object providing the result of a network resource load.","ref":"CDPotion.Domain.Network.html#t:load_network_resource_page_result/0"},{"type":"type","title":"CDPotion.Domain.Network.loader_id/0","doc":"Unique loader identifier.","ref":"CDPotion.Domain.Network.html#t:loader_id/0"},{"type":"type","title":"CDPotion.Domain.Network.monotonic_time/0","doc":"Monotonically increasing time in seconds since an arbitrary point in the past.","ref":"CDPotion.Domain.Network.html#t:monotonic_time/0"},{"type":"type","title":"CDPotion.Domain.Network.post_data_entry/0","doc":"Post data entry for HTTP request","ref":"CDPotion.Domain.Network.html#t:post_data_entry/0"},{"type":"type","title":"CDPotion.Domain.Network.private_network_request_policy/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:private_network_request_policy/0"},{"type":"type","title":"CDPotion.Domain.Network.report_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:report_id/0"},{"type":"type","title":"CDPotion.Domain.Network.report_status/0","doc":"The status of a Reporting API report.","ref":"CDPotion.Domain.Network.html#t:report_status/0"},{"type":"type","title":"CDPotion.Domain.Network.reporting_api_endpoint/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:reporting_api_endpoint/0"},{"type":"type","title":"CDPotion.Domain.Network.reporting_api_report/0","doc":"An object representing a report generated by the Reporting API.","ref":"CDPotion.Domain.Network.html#t:reporting_api_report/0"},{"type":"type","title":"CDPotion.Domain.Network.request/0","doc":"HTTP request data.","ref":"CDPotion.Domain.Network.html#t:request/0"},{"type":"type","title":"CDPotion.Domain.Network.request_id/0","doc":"Unique request identifier.","ref":"CDPotion.Domain.Network.html#t:request_id/0"},{"type":"type","title":"CDPotion.Domain.Network.request_pattern/0","doc":"Request pattern for interception.","ref":"CDPotion.Domain.Network.html#t:request_pattern/0"},{"type":"type","title":"CDPotion.Domain.Network.resource_priority/0","doc":"Loading priority of a resource request.","ref":"CDPotion.Domain.Network.html#t:resource_priority/0"},{"type":"type","title":"CDPotion.Domain.Network.resource_timing/0","doc":"Timing information for the request.","ref":"CDPotion.Domain.Network.html#t:resource_timing/0"},{"type":"type","title":"CDPotion.Domain.Network.resource_type/0","doc":"Resource type as it was perceived by the rendering engine.","ref":"CDPotion.Domain.Network.html#t:resource_type/0"},{"type":"type","title":"CDPotion.Domain.Network.response/0","doc":"HTTP response data.","ref":"CDPotion.Domain.Network.html#t:response/0"},{"type":"type","title":"CDPotion.Domain.Network.security_details/0","doc":"Security details about a request.","ref":"CDPotion.Domain.Network.html#t:security_details/0"},{"type":"type","title":"CDPotion.Domain.Network.security_isolation_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:security_isolation_status/0"},{"type":"type","title":"CDPotion.Domain.Network.service_worker_response_source/0","doc":"Source of serviceworker response.","ref":"CDPotion.Domain.Network.html#t:service_worker_response_source/0"},{"type":"type","title":"CDPotion.Domain.Network.set_cookie_blocked_reason/0","doc":"Types of reasons why a cookie may not be stored from a response.","ref":"CDPotion.Domain.Network.html#t:set_cookie_blocked_reason/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_certificate_timestamp/0","doc":"Details of a signed certificate timestamp (SCT).","ref":"CDPotion.Domain.Network.html#t:signed_certificate_timestamp/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_exchange_error/0","doc":"Information about a signed exchange response.","ref":"CDPotion.Domain.Network.html#t:signed_exchange_error/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_exchange_error_field/0","doc":"Field type for a signed exchange related error.","ref":"CDPotion.Domain.Network.html#t:signed_exchange_error_field/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_exchange_header/0","doc":"Information about a signed exchange header.\nhttps://wicg.github.io/webpackage/draft-yasskin-httpbis-origin-signed-exchanges-impl.html#cbor-representation","ref":"CDPotion.Domain.Network.html#t:signed_exchange_header/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_exchange_info/0","doc":"Information about a signed exchange response.","ref":"CDPotion.Domain.Network.html#t:signed_exchange_info/0"},{"type":"type","title":"CDPotion.Domain.Network.signed_exchange_signature/0","doc":"Information about a signed exchange signature.\nhttps://wicg.github.io/webpackage/draft-yasskin-httpbis-origin-signed-exchanges-impl.html#rfc.section.3.1","ref":"CDPotion.Domain.Network.html#t:signed_exchange_signature/0"},{"type":"type","title":"CDPotion.Domain.Network.time_since_epoch/0","doc":"UTC time in seconds, counted from January 1, 1970.","ref":"CDPotion.Domain.Network.html#t:time_since_epoch/0"},{"type":"type","title":"CDPotion.Domain.Network.trust_token_operation_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Network.html#t:trust_token_operation_type/0"},{"type":"type","title":"CDPotion.Domain.Network.trust_token_params/0","doc":"Determines what type of Trust Token operation is executed and\ndepending on the type, some additional parameters. The values\nare specified in third_party/blink/renderer/core/fetch/trust_token.idl.","ref":"CDPotion.Domain.Network.html#t:trust_token_params/0"},{"type":"type","title":"CDPotion.Domain.Network.web_socket_frame/0","doc":"WebSocket message data. This represents an entire WebSocket message, not just a fragmented frame as the name suggests.","ref":"CDPotion.Domain.Network.html#t:web_socket_frame/0"},{"type":"type","title":"CDPotion.Domain.Network.web_socket_request/0","doc":"WebSocket request data.","ref":"CDPotion.Domain.Network.html#t:web_socket_request/0"},{"type":"type","title":"CDPotion.Domain.Network.web_socket_response/0","doc":"WebSocket response data.","ref":"CDPotion.Domain.Network.html#t:web_socket_response/0"},{"type":"module","title":"CDPotion.Domain.Overlay","doc":"","ref":"CDPotion.Domain.Overlay.html"},{"type":"function","title":"CDPotion.Domain.Overlay.disable/0","doc":"Disables domain notifications.","ref":"CDPotion.Domain.Overlay.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Overlay.enable/0","doc":"Enables domain notifications.","ref":"CDPotion.Domain.Overlay.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Overlay.get_grid_highlight_objects_for_test/1","doc":"For Persistent Grid testing.","ref":"CDPotion.Domain.Overlay.html#get_grid_highlight_objects_for_test/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.get_grid_highlight_objects_for_test/1","doc":"- (Required) `node_ids`: Ids of the node to get highlight object for.","ref":"CDPotion.Domain.Overlay.html#get_grid_highlight_objects_for_test/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.get_highlight_object_for_test/5","doc":"For testing.","ref":"CDPotion.Domain.Overlay.html#get_highlight_object_for_test/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.get_highlight_object_for_test/5","doc":"- (Required) `node_id`: Id of the node to get highlight object for.\n- (Optional) `include_distance`: Whether to include distance info.\n- (Optional) `include_style`: Whether to include style info.\n- (Optional) `color_format`: The color format to get config with (default: hex).\n- (Optional) `show_accessibility_info`: Whether to show accessibility info (default: true).","ref":"CDPotion.Domain.Overlay.html#get_highlight_object_for_test/5-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.get_source_order_highlight_object_for_test/1","doc":"For Source Order Viewer testing.","ref":"CDPotion.Domain.Overlay.html#get_source_order_highlight_object_for_test/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.get_source_order_highlight_object_for_test/1","doc":"- (Required) `node_id`: Id of the node to highlight.","ref":"CDPotion.Domain.Overlay.html#get_source_order_highlight_object_for_test/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.hide_highlight/0","doc":"Hides any highlight.","ref":"CDPotion.Domain.Overlay.html#hide_highlight/0"},{"type":"function","title":"CDPotion.Domain.Overlay.highlight_frame/3","doc":"Highlights owner element of the frame with given id.\nDeprecated: Doesn't work reliablity and cannot be fixed due to process\nseparatation (the owner node might be in a different process). Determine\nthe owner node in the client and use highlightNode.","ref":"CDPotion.Domain.Overlay.html#highlight_frame/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.highlight_frame/3","doc":"- (Required) `frame_id`: Identifier of the frame to highlight.\n- (Optional) `content_color`: The content box highlight fill color (default: transparent).\n- (Optional) `content_outline_color`: The content box highlight outline color (default: transparent).","ref":"CDPotion.Domain.Overlay.html#highlight_frame/3-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.highlight_node/5","doc":"Highlights DOM node with given id or with the given JavaScript object wrapper. Either nodeId or\nobjectId must be specified.","ref":"CDPotion.Domain.Overlay.html#highlight_node/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.highlight_node/5","doc":"- (Required) `highlight_config`: A descriptor for the highlight appearance.\n- (Optional) `node_id`: Identifier of the node to highlight.\n- (Optional) `backend_node_id`: Identifier of the backend node to highlight.\n- (Optional) `object_id`: JavaScript object id of the node to be highlighted.\n- (Optional) `selector`: Selectors to highlight relevant nodes.","ref":"CDPotion.Domain.Overlay.html#highlight_node/5-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.highlight_quad/3","doc":"Highlights given quad. Coordinates are absolute with respect to the main frame viewport.","ref":"CDPotion.Domain.Overlay.html#highlight_quad/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.highlight_quad/3","doc":"- (Required) `quad`: Quad to highlight\n- (Optional) `color`: The highlight fill color (default: transparent).\n- (Optional) `outline_color`: The highlight outline color (default: transparent).","ref":"CDPotion.Domain.Overlay.html#highlight_quad/3-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.highlight_rect/6","doc":"Highlights given rectangle. Coordinates are absolute with respect to the main frame viewport.","ref":"CDPotion.Domain.Overlay.html#highlight_rect/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.highlight_rect/6","doc":"- (Required) `x`: X coordinate\n- (Required) `y`: Y coordinate\n- (Required) `width`: Rectangle width\n- (Required) `height`: Rectangle height\n- (Optional) `color`: The highlight fill color (default: transparent).\n- (Optional) `outline_color`: The highlight outline color (default: transparent).","ref":"CDPotion.Domain.Overlay.html#highlight_rect/6-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.highlight_source_order/4","doc":"Highlights the source order of the children of the DOM node with given id or with the given\nJavaScript object wrapper. Either nodeId or objectId must be specified.","ref":"CDPotion.Domain.Overlay.html#highlight_source_order/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.highlight_source_order/4","doc":"- (Required) `source_order_config`: A descriptor for the appearance of the overlay drawing.\n- (Optional) `node_id`: Identifier of the node to highlight.\n- (Optional) `backend_node_id`: Identifier of the backend node to highlight.\n- (Optional) `object_id`: JavaScript object id of the node to be highlighted.","ref":"CDPotion.Domain.Overlay.html#highlight_source_order/4-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_inspect_mode/2","doc":"Enters the 'inspect' mode. In this mode, elements that user is hovering over are highlighted.\nBackend then generates 'inspectNodeRequested' event upon element selection.","ref":"CDPotion.Domain.Overlay.html#set_inspect_mode/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_inspect_mode/2","doc":"- (Required) `mode`: Set an inspection mode.\n- (Optional) `highlight_config`: A descriptor for the highlight appearance of hovered-over nodes. May be omitted if `enabled\n== false`.","ref":"CDPotion.Domain.Overlay.html#set_inspect_mode/2-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_paused_in_debugger_message/1","doc":"","ref":"CDPotion.Domain.Overlay.html#set_paused_in_debugger_message/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_paused_in_debugger_message/1","doc":"- (Optional) `message`: The message to display, also triggers resume and step over controls.","ref":"CDPotion.Domain.Overlay.html#set_paused_in_debugger_message/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_ad_highlights/1","doc":"Highlights owner element of all frames detected to be ads.","ref":"CDPotion.Domain.Overlay.html#set_show_ad_highlights/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_ad_highlights/1","doc":"- (Required) `show`: True for showing ad highlights","ref":"CDPotion.Domain.Overlay.html#set_show_ad_highlights/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_container_query_overlays/1","doc":"","ref":"CDPotion.Domain.Overlay.html#set_show_container_query_overlays/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_container_query_overlays/1","doc":"- (Required) `container_query_highlight_configs`: An array of node identifiers and descriptors for the highlight appearance.","ref":"CDPotion.Domain.Overlay.html#set_show_container_query_overlays/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_debug_borders/1","doc":"Requests that backend shows debug borders on layers","ref":"CDPotion.Domain.Overlay.html#set_show_debug_borders/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_debug_borders/1","doc":"- (Required) `show`: True for showing debug borders","ref":"CDPotion.Domain.Overlay.html#set_show_debug_borders/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_flex_overlays/1","doc":"","ref":"CDPotion.Domain.Overlay.html#set_show_flex_overlays/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_flex_overlays/1","doc":"- (Required) `flex_node_highlight_configs`: An array of node identifiers and descriptors for the highlight appearance.","ref":"CDPotion.Domain.Overlay.html#set_show_flex_overlays/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_fps_counter/1","doc":"Requests that backend shows the FPS counter","ref":"CDPotion.Domain.Overlay.html#set_show_fps_counter/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_fps_counter/1","doc":"- (Required) `show`: True for showing the FPS counter","ref":"CDPotion.Domain.Overlay.html#set_show_fps_counter/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_grid_overlays/1","doc":"Highlight multiple elements with the CSS Grid overlay.","ref":"CDPotion.Domain.Overlay.html#set_show_grid_overlays/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_grid_overlays/1","doc":"- (Required) `grid_node_highlight_configs`: An array of node identifiers and descriptors for the highlight appearance.","ref":"CDPotion.Domain.Overlay.html#set_show_grid_overlays/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_hinge/1","doc":"Add a dual screen device hinge","ref":"CDPotion.Domain.Overlay.html#set_show_hinge/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_hinge/1","doc":"- (Optional) `hinge_config`: hinge data, null means hideHinge","ref":"CDPotion.Domain.Overlay.html#set_show_hinge/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_hit_test_borders/1","doc":"Deprecated, no longer has any effect.","ref":"CDPotion.Domain.Overlay.html#set_show_hit_test_borders/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_hit_test_borders/1","doc":"- (Required) `show`: True for showing hit-test borders","ref":"CDPotion.Domain.Overlay.html#set_show_hit_test_borders/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_isolated_elements/1","doc":"Show elements in isolation mode with overlays.","ref":"CDPotion.Domain.Overlay.html#set_show_isolated_elements/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_isolated_elements/1","doc":"- (Required) `isolated_element_highlight_configs`: An array of node identifiers and descriptors for the highlight appearance.","ref":"CDPotion.Domain.Overlay.html#set_show_isolated_elements/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_layout_shift_regions/1","doc":"Requests that backend shows layout shift regions","ref":"CDPotion.Domain.Overlay.html#set_show_layout_shift_regions/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_layout_shift_regions/1","doc":"- (Required) `result`: True for showing layout shift regions","ref":"CDPotion.Domain.Overlay.html#set_show_layout_shift_regions/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_paint_rects/1","doc":"Requests that backend shows paint rectangles","ref":"CDPotion.Domain.Overlay.html#set_show_paint_rects/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_paint_rects/1","doc":"- (Required) `result`: True for showing paint rectangles","ref":"CDPotion.Domain.Overlay.html#set_show_paint_rects/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_scroll_bottleneck_rects/1","doc":"Requests that backend shows scroll bottleneck rects","ref":"CDPotion.Domain.Overlay.html#set_show_scroll_bottleneck_rects/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_scroll_bottleneck_rects/1","doc":"- (Required) `show`: True for showing scroll bottleneck rects","ref":"CDPotion.Domain.Overlay.html#set_show_scroll_bottleneck_rects/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_scroll_snap_overlays/1","doc":"","ref":"CDPotion.Domain.Overlay.html#set_show_scroll_snap_overlays/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_scroll_snap_overlays/1","doc":"- (Required) `scroll_snap_highlight_configs`: An array of node identifiers and descriptors for the highlight appearance.","ref":"CDPotion.Domain.Overlay.html#set_show_scroll_snap_overlays/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_viewport_size_on_resize/1","doc":"Paints viewport size upon main frame resize.","ref":"CDPotion.Domain.Overlay.html#set_show_viewport_size_on_resize/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_viewport_size_on_resize/1","doc":"- (Required) `show`: Whether to paint size or not.","ref":"CDPotion.Domain.Overlay.html#set_show_viewport_size_on_resize/1-parameters"},{"type":"function","title":"CDPotion.Domain.Overlay.set_show_web_vitals/1","doc":"Request that backend shows an overlay with web vital metrics.","ref":"CDPotion.Domain.Overlay.html#set_show_web_vitals/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Overlay.set_show_web_vitals/1","doc":"- (Required) `show`: description not provided :(","ref":"CDPotion.Domain.Overlay.html#set_show_web_vitals/1-parameters"},{"type":"type","title":"CDPotion.Domain.Overlay.box_style/0","doc":"Style information for drawing a box.","ref":"CDPotion.Domain.Overlay.html#t:box_style/0"},{"type":"type","title":"CDPotion.Domain.Overlay.color_format/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:color_format/0"},{"type":"type","title":"CDPotion.Domain.Overlay.container_query_container_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:container_query_container_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.container_query_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:container_query_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.contrast_algorithm/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:contrast_algorithm/0"},{"type":"type","title":"CDPotion.Domain.Overlay.flex_container_highlight_config/0","doc":"Configuration data for the highlighting of Flex container elements.","ref":"CDPotion.Domain.Overlay.html#t:flex_container_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.flex_item_highlight_config/0","doc":"Configuration data for the highlighting of Flex item elements.","ref":"CDPotion.Domain.Overlay.html#t:flex_item_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.flex_node_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:flex_node_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.grid_highlight_config/0","doc":"Configuration data for the highlighting of Grid elements.","ref":"CDPotion.Domain.Overlay.html#t:grid_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.grid_node_highlight_config/0","doc":"Configurations for Persistent Grid Highlight","ref":"CDPotion.Domain.Overlay.html#t:grid_node_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.highlight_config/0","doc":"Configuration data for the highlighting of page elements.","ref":"CDPotion.Domain.Overlay.html#t:highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.hinge_config/0","doc":"Configuration for dual screen hinge","ref":"CDPotion.Domain.Overlay.html#t:hinge_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.inspect_mode/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:inspect_mode/0"},{"type":"type","title":"CDPotion.Domain.Overlay.isolated_element_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:isolated_element_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.isolation_mode_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:isolation_mode_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.line_style/0","doc":"Style information for drawing a line.","ref":"CDPotion.Domain.Overlay.html#t:line_style/0"},{"type":"type","title":"CDPotion.Domain.Overlay.scroll_snap_container_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:scroll_snap_container_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.scroll_snap_highlight_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Overlay.html#t:scroll_snap_highlight_config/0"},{"type":"type","title":"CDPotion.Domain.Overlay.source_order_config/0","doc":"Configuration data for drawing the source order of an elements children.","ref":"CDPotion.Domain.Overlay.html#t:source_order_config/0"},{"type":"module","title":"CDPotion.Domain.Page","doc":"","ref":"CDPotion.Domain.Page.html"},{"type":"function","title":"CDPotion.Domain.Page.add_compilation_cache/2","doc":"Seeds compilation cache for given url. Compilation cache does not survive\ncross-process navigation.","ref":"CDPotion.Domain.Page.html#add_compilation_cache/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.add_compilation_cache/2","doc":"- (Required) `url`: description not provided :(\n- (Required) `data`: Base64-encoded data (Encoded as a base64 string when passed over JSON)","ref":"CDPotion.Domain.Page.html#add_compilation_cache/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.add_script_to_evaluate_on_load/1","doc":"Deprecated, please use addScriptToEvaluateOnNewDocument instead.","ref":"CDPotion.Domain.Page.html#add_script_to_evaluate_on_load/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.add_script_to_evaluate_on_load/1","doc":"- (Required) `script_source`: description not provided :(","ref":"CDPotion.Domain.Page.html#add_script_to_evaluate_on_load/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.add_script_to_evaluate_on_new_document/4","doc":"Evaluates given script in every frame upon creation (before loading frame's scripts).","ref":"CDPotion.Domain.Page.html#add_script_to_evaluate_on_new_document/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.add_script_to_evaluate_on_new_document/4","doc":"- (Required) `source`: description not provided :(\n- (Optional) `world_name`: If specified, creates an isolated world with the given name and evaluates given script in it.\nThis world name will be used as the ExecutionContextDescription::name when the corresponding\nevent is emitted.\n- (Optional) `include_command_line_api`: Specifies whether command line API should be available to the script, defaults\nto false.\n- (Optional) `run_immediately`: If true, runs the script immediately on existing execution contexts or worlds.\nDefault: false.","ref":"CDPotion.Domain.Page.html#add_script_to_evaluate_on_new_document/4-parameters"},{"type":"function","title":"CDPotion.Domain.Page.bring_to_front/0","doc":"Brings page to front (activates tab).","ref":"CDPotion.Domain.Page.html#bring_to_front/0"},{"type":"function","title":"CDPotion.Domain.Page.capture_screenshot/6","doc":"Capture page screenshot.","ref":"CDPotion.Domain.Page.html#capture_screenshot/6"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.capture_screenshot/6","doc":"- (Optional) `format`: Image compression format (defaults to png).\n- (Optional) `quality`: Compression quality from range [0..100] (jpeg only).\n- (Optional) `clip`: Capture the screenshot of a given region only.\n- (Optional) `from_surface`: Capture the screenshot from the surface, rather than the view. Defaults to true.\n- (Optional) `capture_beyond_viewport`: Capture the screenshot beyond the viewport. Defaults to false.\n- (Optional) `optimize_for_speed`: Optimize image encoding for speed, not for resulting size (defaults to false)","ref":"CDPotion.Domain.Page.html#capture_screenshot/6-parameters"},{"type":"function","title":"CDPotion.Domain.Page.capture_snapshot/1","doc":"Returns a snapshot of the page as a string. For MHTML format, the serialization includes\niframes, shadow DOM, external resources, and element-inline styles.","ref":"CDPotion.Domain.Page.html#capture_snapshot/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.capture_snapshot/1","doc":"- (Optional) `format`: Format (defaults to mhtml).","ref":"CDPotion.Domain.Page.html#capture_snapshot/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.clear_compilation_cache/0","doc":"Clears seeded compilation cache.","ref":"CDPotion.Domain.Page.html#clear_compilation_cache/0"},{"type":"function","title":"CDPotion.Domain.Page.clear_device_metrics_override/0","doc":"Clears the overridden device metrics.","ref":"CDPotion.Domain.Page.html#clear_device_metrics_override/0"},{"type":"function","title":"CDPotion.Domain.Page.clear_device_orientation_override/0","doc":"Clears the overridden Device Orientation.","ref":"CDPotion.Domain.Page.html#clear_device_orientation_override/0"},{"type":"function","title":"CDPotion.Domain.Page.clear_geolocation_override/0","doc":"Clears the overridden Geolocation Position and Error.","ref":"CDPotion.Domain.Page.html#clear_geolocation_override/0"},{"type":"function","title":"CDPotion.Domain.Page.close/0","doc":"Tries to close page, running its beforeunload hooks, if any.","ref":"CDPotion.Domain.Page.html#close/0"},{"type":"function","title":"CDPotion.Domain.Page.crash/0","doc":"Crashes renderer on the IO thread, generates minidumps.","ref":"CDPotion.Domain.Page.html#crash/0"},{"type":"function","title":"CDPotion.Domain.Page.create_isolated_world/3","doc":"Creates an isolated world for the given frame.","ref":"CDPotion.Domain.Page.html#create_isolated_world/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.create_isolated_world/3","doc":"- (Required) `frame_id`: Id of the frame in which the isolated world should be created.\n- (Optional) `world_name`: An optional name which is reported in the Execution Context.\n- (Optional) `grant_univeral_access`: Whether or not universal access should be granted to the isolated world. This is a powerful\noption, use with caution.","ref":"CDPotion.Domain.Page.html#create_isolated_world/3-parameters"},{"type":"function","title":"CDPotion.Domain.Page.delete_cookie/2","doc":"Deletes browser cookie with given name, domain and path.","ref":"CDPotion.Domain.Page.html#delete_cookie/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.delete_cookie/2","doc":"- (Required) `cookie_name`: Name of the cookie to remove.\n- (Required) `url`: URL to match cooke domain and path.","ref":"CDPotion.Domain.Page.html#delete_cookie/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.disable/0","doc":"Disables page domain notifications.","ref":"CDPotion.Domain.Page.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Page.enable/0","doc":"Enables page domain notifications.","ref":"CDPotion.Domain.Page.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Page.generate_test_report/2","doc":"Generates a report for testing.","ref":"CDPotion.Domain.Page.html#generate_test_report/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.generate_test_report/2","doc":"- (Required) `message`: Message to be displayed in the report.\n- (Optional) `group`: Specifies the endpoint group to deliver the report to.","ref":"CDPotion.Domain.Page.html#generate_test_report/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.get_ad_script_id/1","doc":"","ref":"CDPotion.Domain.Page.html#get_ad_script_id/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.get_ad_script_id/1","doc":"- (Required) `frame_id`: description not provided :(","ref":"CDPotion.Domain.Page.html#get_ad_script_id/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.get_app_id/0","doc":"Returns the unique (PWA) app id.\nOnly returns values if the feature flag 'WebAppEnableManifestId' is enabled","ref":"CDPotion.Domain.Page.html#get_app_id/0"},{"type":"function","title":"CDPotion.Domain.Page.get_app_manifest/0","doc":"","ref":"CDPotion.Domain.Page.html#get_app_manifest/0"},{"type":"function","title":"CDPotion.Domain.Page.get_cookies/0","doc":"Returns all browser cookies for the page and all of its subframes. Depending\non the backend support, will return detailed cookie information in the\n`cookies` field.","ref":"CDPotion.Domain.Page.html#get_cookies/0"},{"type":"function","title":"CDPotion.Domain.Page.get_frame_tree/0","doc":"Returns present frame tree structure.","ref":"CDPotion.Domain.Page.html#get_frame_tree/0"},{"type":"function","title":"CDPotion.Domain.Page.get_installability_errors/0","doc":"","ref":"CDPotion.Domain.Page.html#get_installability_errors/0"},{"type":"function","title":"CDPotion.Domain.Page.get_layout_metrics/0","doc":"Returns metrics relating to the layouting of the page, such as viewport bounds/scale.","ref":"CDPotion.Domain.Page.html#get_layout_metrics/0"},{"type":"function","title":"CDPotion.Domain.Page.get_manifest_icons/0","doc":"Deprecated because it's not guaranteed that the returned icon is in fact the one used for PWA installation.","ref":"CDPotion.Domain.Page.html#get_manifest_icons/0"},{"type":"function","title":"CDPotion.Domain.Page.get_navigation_history/0","doc":"Returns navigation history for the current page.","ref":"CDPotion.Domain.Page.html#get_navigation_history/0"},{"type":"function","title":"CDPotion.Domain.Page.get_origin_trials/1","doc":"Get Origin Trials on given frame.","ref":"CDPotion.Domain.Page.html#get_origin_trials/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.get_origin_trials/1","doc":"- (Required) `frame_id`: description not provided :(","ref":"CDPotion.Domain.Page.html#get_origin_trials/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.get_permissions_policy_state/1","doc":"Get Permissions Policy state on given frame.","ref":"CDPotion.Domain.Page.html#get_permissions_policy_state/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.get_permissions_policy_state/1","doc":"- (Required) `frame_id`: description not provided :(","ref":"CDPotion.Domain.Page.html#get_permissions_policy_state/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.get_resource_content/2","doc":"Returns content of the given resource.","ref":"CDPotion.Domain.Page.html#get_resource_content/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.get_resource_content/2","doc":"- (Required) `frame_id`: Frame id to get resource for.\n- (Required) `url`: URL of the resource to get content for.","ref":"CDPotion.Domain.Page.html#get_resource_content/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.get_resource_tree/0","doc":"Returns present frame / resource tree structure.","ref":"CDPotion.Domain.Page.html#get_resource_tree/0"},{"type":"function","title":"CDPotion.Domain.Page.handle_java_script_dialog/2","doc":"Accepts or dismisses a JavaScript initiated dialog (alert, confirm, prompt, or onbeforeunload).","ref":"CDPotion.Domain.Page.html#handle_java_script_dialog/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.handle_java_script_dialog/2","doc":"- (Required) `accept`: Whether to accept or dismiss the dialog.\n- (Optional) `prompt_text`: The text to enter into the dialog prompt before accepting. Used only if this is a prompt\ndialog.","ref":"CDPotion.Domain.Page.html#handle_java_script_dialog/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.navigate/5","doc":"Navigates current page to the given URL.","ref":"CDPotion.Domain.Page.html#navigate/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.navigate/5","doc":"- (Required) `url`: URL to navigate the page to.\n- (Optional) `referrer`: Referrer URL.\n- (Optional) `transition_type`: Intended transition type.\n- (Optional) `frame_id`: Frame id to navigate, if not specified navigates the top frame.\n- (Optional) `referrer_policy`: Referrer-policy used for the navigation.","ref":"CDPotion.Domain.Page.html#navigate/5-parameters"},{"type":"function","title":"CDPotion.Domain.Page.navigate_to_history_entry/1","doc":"Navigates current page to the given history entry.","ref":"CDPotion.Domain.Page.html#navigate_to_history_entry/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.navigate_to_history_entry/1","doc":"- (Required) `entry_id`: Unique id of the entry to navigate to.","ref":"CDPotion.Domain.Page.html#navigate_to_history_entry/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.print_to_pdf/15","doc":"Print page as PDF.","ref":"CDPotion.Domain.Page.html#print_to_pdf/15"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.print_to_pdf/15","doc":"- (Optional) `landscape`: Paper orientation. Defaults to false.\n- (Optional) `display_header_footer`: Display header and footer. Defaults to false.\n- (Optional) `print_background`: Print background graphics. Defaults to false.\n- (Optional) `scale`: Scale of the webpage rendering. Defaults to 1.\n- (Optional) `paper_width`: Paper width in inches. Defaults to 8.5 inches.\n- (Optional) `paper_height`: Paper height in inches. Defaults to 11 inches.\n- (Optional) `margin_top`: Top margin in inches. Defaults to 1cm (~0.4 inches).\n- (Optional) `margin_bottom`: Bottom margin in inches. Defaults to 1cm (~0.4 inches).\n- (Optional) `margin_left`: Left margin in inches. Defaults to 1cm (~0.4 inches).\n- (Optional) `margin_right`: Right margin in inches. Defaults to 1cm (~0.4 inches).\n- (Optional) `page_ranges`: Paper ranges to print, one based, e.g., '1-5, 8, 11-13'. Pages are\nprinted in the document order, not in the order specified, and no\nmore than once.\nDefaults to empty string, which implies the entire document is printed.\nThe page numbers are quietly capped to actual page count of the\ndocument, and ranges beyond the end of the document are ignored.\nIf this results in no pages to print, an error is reported.\nIt is an error to specify a range with start greater than end.\n- (Optional) `header_template`: HTML template for the print header. Should be valid HTML markup with following\nclasses used to inject printing values into them:\n- `date`: formatted print date\n- `title`: document title\n- `url`: document location\n- `pageNumber`: current page number\n- `totalPages`: total pages in the document\nFor example, `  ` would generate span containing the title.\n- (Optional) `footer_template`: HTML template for the print footer. Should use the same format as the `headerTemplate`.\n- (Optional) `prefer_css_page_size`: Whether or not to prefer page size as defined by css. Defaults to false,\nin which case the content will be scaled to fit the paper size.\n- (Optional) `transfer_mode`: return as stream","ref":"CDPotion.Domain.Page.html#print_to_pdf/15-parameters"},{"type":"function","title":"CDPotion.Domain.Page.produce_compilation_cache/1","doc":"Requests backend to produce compilation cache for the specified scripts.\n`scripts` are appeneded to the list of scripts for which the cache\nwould be produced. The list may be reset during page navigation.\nWhen script with a matching URL is encountered, the cache is optionally\nproduced upon backend discretion, based on internal heuristics.\nSee also: `Page.compilationCacheProduced`.","ref":"CDPotion.Domain.Page.html#produce_compilation_cache/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.produce_compilation_cache/1","doc":"- (Required) `scripts`: description not provided :(","ref":"CDPotion.Domain.Page.html#produce_compilation_cache/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.reload/2","doc":"Reloads given page optionally ignoring the cache.","ref":"CDPotion.Domain.Page.html#reload/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.reload/2","doc":"- (Optional) `ignore_cache`: If true, browser cache is ignored (as if the user pressed Shift+refresh).\n- (Optional) `script_to_evaluate_on_load`: If set, the script will be injected into all frames of the inspected page after reload.\nArgument will be ignored if reloading dataURL origin.","ref":"CDPotion.Domain.Page.html#reload/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.remove_script_to_evaluate_on_load/1","doc":"Deprecated, please use removeScriptToEvaluateOnNewDocument instead.","ref":"CDPotion.Domain.Page.html#remove_script_to_evaluate_on_load/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.remove_script_to_evaluate_on_load/1","doc":"- (Required) `identifier`: description not provided :(","ref":"CDPotion.Domain.Page.html#remove_script_to_evaluate_on_load/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.remove_script_to_evaluate_on_new_document/1","doc":"Removes given script from the list.","ref":"CDPotion.Domain.Page.html#remove_script_to_evaluate_on_new_document/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.remove_script_to_evaluate_on_new_document/1","doc":"- (Required) `identifier`: description not provided :(","ref":"CDPotion.Domain.Page.html#remove_script_to_evaluate_on_new_document/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.reset_navigation_history/0","doc":"Resets navigation history for the current page.","ref":"CDPotion.Domain.Page.html#reset_navigation_history/0"},{"type":"function","title":"CDPotion.Domain.Page.screencast_frame_ack/1","doc":"Acknowledges that a screencast frame has been received by the frontend.","ref":"CDPotion.Domain.Page.html#screencast_frame_ack/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.screencast_frame_ack/1","doc":"- (Required) `session_id`: Frame number.","ref":"CDPotion.Domain.Page.html#screencast_frame_ack/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.search_in_resource/5","doc":"Searches for given string in resource content.","ref":"CDPotion.Domain.Page.html#search_in_resource/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.search_in_resource/5","doc":"- (Required) `frame_id`: Frame id for resource to search in.\n- (Required) `url`: URL of the resource to search in.\n- (Required) `query`: String to search for.\n- (Optional) `case_sensitive`: If true, search is case sensitive.\n- (Optional) `is_regex`: If true, treats string parameter as regex.","ref":"CDPotion.Domain.Page.html#search_in_resource/5-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_ad_blocking_enabled/1","doc":"Enable Chrome's experimental ad filter on all sites.","ref":"CDPotion.Domain.Page.html#set_ad_blocking_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_ad_blocking_enabled/1","doc":"- (Required) `enabled`: Whether to block ads.","ref":"CDPotion.Domain.Page.html#set_ad_blocking_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_bypass_csp/1","doc":"Enable page Content Security Policy by-passing.","ref":"CDPotion.Domain.Page.html#set_bypass_csp/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_bypass_csp/1","doc":"- (Required) `enabled`: Whether to bypass page CSP.","ref":"CDPotion.Domain.Page.html#set_bypass_csp/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_device_metrics_override/12","doc":"Overrides the values of device screen dimensions (window.screen.width, window.screen.height,\nwindow.innerWidth, window.innerHeight, and \"device-width\"/\"device-height\"-related CSS media\nquery results).","ref":"CDPotion.Domain.Page.html#set_device_metrics_override/12"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_device_metrics_override/12","doc":"- (Required) `width`: Overriding width value in pixels (minimum 0, maximum 10000000). 0 disables the override.\n- (Required) `height`: Overriding height value in pixels (minimum 0, maximum 10000000). 0 disables the override.\n- (Required) `device_scale_factor`: Overriding device scale factor value. 0 disables the override.\n- (Required) `mobile`: Whether to emulate mobile device. This includes viewport meta tag, overlay scrollbars, text\nautosizing and more.\n- (Optional) `scale`: Scale to apply to resulting view image.\n- (Optional) `screen_width`: Overriding screen width value in pixels (minimum 0, maximum 10000000).\n- (Optional) `screen_height`: Overriding screen height value in pixels (minimum 0, maximum 10000000).\n- (Optional) `position_x`: Overriding view X position on screen in pixels (minimum 0, maximum 10000000).\n- (Optional) `position_y`: Overriding view Y position on screen in pixels (minimum 0, maximum 10000000).\n- (Optional) `dont_set_visible_size`: Do not set visible view size, rely upon explicit setVisibleSize call.\n- (Optional) `screen_orientation`: Screen orientation override.\n- (Optional) `viewport`: The viewport dimensions and scale. If not set, the override is cleared.","ref":"CDPotion.Domain.Page.html#set_device_metrics_override/12-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_device_orientation_override/3","doc":"Overrides the Device Orientation.","ref":"CDPotion.Domain.Page.html#set_device_orientation_override/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_device_orientation_override/3","doc":"- (Required) `alpha`: Mock alpha\n- (Required) `beta`: Mock beta\n- (Required) `gamma`: Mock gamma","ref":"CDPotion.Domain.Page.html#set_device_orientation_override/3-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_document_content/2","doc":"Sets given markup as the document's HTML.","ref":"CDPotion.Domain.Page.html#set_document_content/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_document_content/2","doc":"- (Required) `frame_id`: Frame id to set HTML for.\n- (Required) `html`: HTML content to set.","ref":"CDPotion.Domain.Page.html#set_document_content/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_download_behavior/2","doc":"Set the behavior when downloading a file.","ref":"CDPotion.Domain.Page.html#set_download_behavior/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_download_behavior/2","doc":"- (Required) `behavior`: Whether to allow all or deny all download requests, or use default Chrome behavior if\navailable (otherwise deny).\n- (Optional) `download_path`: The default path to save downloaded files to. This is required if behavior is set to 'allow'","ref":"CDPotion.Domain.Page.html#set_download_behavior/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_font_families/2","doc":"Set generic font families.","ref":"CDPotion.Domain.Page.html#set_font_families/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_font_families/2","doc":"- (Required) `font_families`: Specifies font families to set. If a font family is not specified, it won't be changed.\n- (Optional) `for_scripts`: Specifies font families to set for individual scripts.","ref":"CDPotion.Domain.Page.html#set_font_families/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_font_sizes/1","doc":"Set default font sizes.","ref":"CDPotion.Domain.Page.html#set_font_sizes/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_font_sizes/1","doc":"- (Required) `font_sizes`: Specifies font sizes to set. If a font size is not specified, it won't be changed.","ref":"CDPotion.Domain.Page.html#set_font_sizes/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_geolocation_override/3","doc":"Overrides the Geolocation Position or Error. Omitting any of the parameters emulates position\nunavailable.","ref":"CDPotion.Domain.Page.html#set_geolocation_override/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_geolocation_override/3","doc":"- (Optional) `latitude`: Mock latitude\n- (Optional) `longitude`: Mock longitude\n- (Optional) `accuracy`: Mock accuracy","ref":"CDPotion.Domain.Page.html#set_geolocation_override/3-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_intercept_file_chooser_dialog/1","doc":"Intercept file chooser requests and transfer control to protocol clients.\nWhen file chooser interception is enabled, native file chooser dialog is not shown.\nInstead, a protocol event `Page.fileChooserOpened` is emitted.","ref":"CDPotion.Domain.Page.html#set_intercept_file_chooser_dialog/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_intercept_file_chooser_dialog/1","doc":"- (Required) `enabled`: description not provided :(","ref":"CDPotion.Domain.Page.html#set_intercept_file_chooser_dialog/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_lifecycle_events_enabled/1","doc":"Controls whether page will emit lifecycle events.","ref":"CDPotion.Domain.Page.html#set_lifecycle_events_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_lifecycle_events_enabled/1","doc":"- (Required) `enabled`: If true, starts emitting lifecycle events.","ref":"CDPotion.Domain.Page.html#set_lifecycle_events_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_prerendering_allowed/1","doc":"Enable/disable prerendering manually.\nThis command is a short-term solution for https://crbug.com/1440085.\nSee https://docs.google.com/document/d/12HVmFxYj5Jc-eJr5OmWsa2bqTJsbgGLKI6ZIyx0_wpA\nfor more details.\nTODO(https://crbug.com/1440085): Remove this once Puppeteer supports tab targets.","ref":"CDPotion.Domain.Page.html#set_prerendering_allowed/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_prerendering_allowed/1","doc":"- (Required) `is_allowed`: description not provided :(","ref":"CDPotion.Domain.Page.html#set_prerendering_allowed/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_rph_registration_mode/1","doc":"Extensions for Custom Handlers API:\nhttps://html.spec.whatwg.org/multipage/system-state.html#rph-automation","ref":"CDPotion.Domain.Page.html#set_rph_registration_mode/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_rph_registration_mode/1","doc":"- (Required) `mode`: description not provided :(","ref":"CDPotion.Domain.Page.html#set_rph_registration_mode/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_spc_transaction_mode/1","doc":"Sets the Secure Payment Confirmation transaction mode.\nhttps://w3c.github.io/secure-payment-confirmation/#sctn-automation-set-spc-transaction-mode","ref":"CDPotion.Domain.Page.html#set_spc_transaction_mode/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_spc_transaction_mode/1","doc":"- (Required) `mode`: description not provided :(","ref":"CDPotion.Domain.Page.html#set_spc_transaction_mode/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_touch_emulation_enabled/2","doc":"Toggles mouse event-based touch event emulation.","ref":"CDPotion.Domain.Page.html#set_touch_emulation_enabled/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_touch_emulation_enabled/2","doc":"- (Required) `enabled`: Whether the touch event emulation should be enabled.\n- (Optional) `configuration`: Touch/gesture events configuration. Default: current platform.","ref":"CDPotion.Domain.Page.html#set_touch_emulation_enabled/2-parameters"},{"type":"function","title":"CDPotion.Domain.Page.set_web_lifecycle_state/1","doc":"Tries to update the web lifecycle state of the page.\nIt will transition the page to the given state according to:\nhttps://github.com/WICG/web-lifecycle/","ref":"CDPotion.Domain.Page.html#set_web_lifecycle_state/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.set_web_lifecycle_state/1","doc":"- (Required) `state`: Target lifecycle state","ref":"CDPotion.Domain.Page.html#set_web_lifecycle_state/1-parameters"},{"type":"function","title":"CDPotion.Domain.Page.start_screencast/5","doc":"Starts sending each frame using the `screencastFrame` event.","ref":"CDPotion.Domain.Page.html#start_screencast/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Page.start_screencast/5","doc":"- (Optional) `format`: Image compression format.\n- (Optional) `quality`: Compression quality from range [0..100].\n- (Optional) `max_width`: Maximum screenshot width.\n- (Optional) `max_height`: Maximum screenshot height.\n- (Optional) `every_nth_frame`: Send every n-th frame.","ref":"CDPotion.Domain.Page.html#start_screencast/5-parameters"},{"type":"function","title":"CDPotion.Domain.Page.stop_loading/0","doc":"Force the page stop all navigations and pending resource fetches.","ref":"CDPotion.Domain.Page.html#stop_loading/0"},{"type":"function","title":"CDPotion.Domain.Page.stop_screencast/0","doc":"Stops sending each frame in the `screencastFrame`.","ref":"CDPotion.Domain.Page.html#stop_screencast/0"},{"type":"function","title":"CDPotion.Domain.Page.wait_for_debugger/0","doc":"Pauses page execution. Can be resumed using generic Runtime.runIfWaitingForDebugger.","ref":"CDPotion.Domain.Page.html#wait_for_debugger/0"},{"type":"type","title":"CDPotion.Domain.Page.ad_frame_explanation/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:ad_frame_explanation/0"},{"type":"type","title":"CDPotion.Domain.Page.ad_frame_status/0","doc":"Indicates whether a frame has been identified as an ad and why.","ref":"CDPotion.Domain.Page.html#t:ad_frame_status/0"},{"type":"type","title":"CDPotion.Domain.Page.ad_frame_type/0","doc":"Indicates whether a frame has been identified as an ad.","ref":"CDPotion.Domain.Page.html#t:ad_frame_type/0"},{"type":"type","title":"CDPotion.Domain.Page.ad_script_id/0","doc":"Identifies the bottom-most script which caused the frame to be labelled\nas an ad.","ref":"CDPotion.Domain.Page.html#t:ad_script_id/0"},{"type":"type","title":"CDPotion.Domain.Page.app_manifest_error/0","doc":"Error while paring app manifest.","ref":"CDPotion.Domain.Page.html#t:app_manifest_error/0"},{"type":"type","title":"CDPotion.Domain.Page.app_manifest_parsed_properties/0","doc":"Parsed app manifest properties.","ref":"CDPotion.Domain.Page.html#t:app_manifest_parsed_properties/0"},{"type":"type","title":"CDPotion.Domain.Page.auto_response_mode/0","doc":"Enum of possible auto-reponse for permisison / prompt dialogs.","ref":"CDPotion.Domain.Page.html#t:auto_response_mode/0"},{"type":"type","title":"CDPotion.Domain.Page.back_forward_cache_not_restored_explanation/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:back_forward_cache_not_restored_explanation/0"},{"type":"type","title":"CDPotion.Domain.Page.back_forward_cache_not_restored_explanation_tree/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:back_forward_cache_not_restored_explanation_tree/0"},{"type":"type","title":"CDPotion.Domain.Page.back_forward_cache_not_restored_reason/0","doc":"List of not restored reasons for back-forward cache.","ref":"CDPotion.Domain.Page.html#t:back_forward_cache_not_restored_reason/0"},{"type":"type","title":"CDPotion.Domain.Page.back_forward_cache_not_restored_reason_type/0","doc":"Types of not restored reasons for back-forward cache.","ref":"CDPotion.Domain.Page.html#t:back_forward_cache_not_restored_reason_type/0"},{"type":"type","title":"CDPotion.Domain.Page.client_navigation_disposition/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:client_navigation_disposition/0"},{"type":"type","title":"CDPotion.Domain.Page.client_navigation_reason/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:client_navigation_reason/0"},{"type":"type","title":"CDPotion.Domain.Page.compilation_cache_params/0","doc":"Per-script compilation cache parameters for `Page.produceCompilationCache`","ref":"CDPotion.Domain.Page.html#t:compilation_cache_params/0"},{"type":"type","title":"CDPotion.Domain.Page.cross_origin_isolated_context_type/0","doc":"Indicates whether the frame is cross-origin isolated and why it is the case.","ref":"CDPotion.Domain.Page.html#t:cross_origin_isolated_context_type/0"},{"type":"type","title":"CDPotion.Domain.Page.dialog_type/0","doc":"Javascript dialog type.","ref":"CDPotion.Domain.Page.html#t:dialog_type/0"},{"type":"type","title":"CDPotion.Domain.Page.font_families/0","doc":"Generic font families collection.","ref":"CDPotion.Domain.Page.html#t:font_families/0"},{"type":"type","title":"CDPotion.Domain.Page.font_sizes/0","doc":"Default font sizes.","ref":"CDPotion.Domain.Page.html#t:font_sizes/0"},{"type":"type","title":"CDPotion.Domain.Page.frame/0","doc":"Information about the Frame on the page.","ref":"CDPotion.Domain.Page.html#t:frame/0"},{"type":"type","title":"CDPotion.Domain.Page.frame_id/0","doc":"Unique frame identifier.","ref":"CDPotion.Domain.Page.html#t:frame_id/0"},{"type":"type","title":"CDPotion.Domain.Page.frame_resource/0","doc":"Information about the Resource on the page.","ref":"CDPotion.Domain.Page.html#t:frame_resource/0"},{"type":"type","title":"CDPotion.Domain.Page.frame_resource_tree/0","doc":"Information about the Frame hierarchy along with their cached resources.","ref":"CDPotion.Domain.Page.html#t:frame_resource_tree/0"},{"type":"type","title":"CDPotion.Domain.Page.frame_tree/0","doc":"Information about the Frame hierarchy.","ref":"CDPotion.Domain.Page.html#t:frame_tree/0"},{"type":"type","title":"CDPotion.Domain.Page.gated_api_features/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:gated_api_features/0"},{"type":"type","title":"CDPotion.Domain.Page.installability_error/0","doc":"The installability error","ref":"CDPotion.Domain.Page.html#t:installability_error/0"},{"type":"type","title":"CDPotion.Domain.Page.installability_error_argument/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:installability_error_argument/0"},{"type":"type","title":"CDPotion.Domain.Page.layout_viewport/0","doc":"Layout viewport position and dimensions.","ref":"CDPotion.Domain.Page.html#t:layout_viewport/0"},{"type":"type","title":"CDPotion.Domain.Page.navigation_entry/0","doc":"Navigation history entry.","ref":"CDPotion.Domain.Page.html#t:navigation_entry/0"},{"type":"type","title":"CDPotion.Domain.Page.navigation_type/0","doc":"The type of a frameNavigated event.","ref":"CDPotion.Domain.Page.html#t:navigation_type/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:origin_trial/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial_status/0","doc":"Status for an Origin Trial.","ref":"CDPotion.Domain.Page.html#t:origin_trial_status/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial_token/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:origin_trial_token/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial_token_status/0","doc":"Origin Trial(https://www.chromium.org/blink/origin-trials) support.\nStatus for an Origin Trial token.","ref":"CDPotion.Domain.Page.html#t:origin_trial_token_status/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial_token_with_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:origin_trial_token_with_status/0"},{"type":"type","title":"CDPotion.Domain.Page.origin_trial_usage_restriction/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:origin_trial_usage_restriction/0"},{"type":"type","title":"CDPotion.Domain.Page.permissions_policy_block_locator/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:permissions_policy_block_locator/0"},{"type":"type","title":"CDPotion.Domain.Page.permissions_policy_block_reason/0","doc":"Reason for a permissions policy feature to be disabled.","ref":"CDPotion.Domain.Page.html#t:permissions_policy_block_reason/0"},{"type":"type","title":"CDPotion.Domain.Page.permissions_policy_feature/0","doc":"All Permissions Policy features. This enum should match the one defined\nin third_party/blink/renderer/core/permissions_policy/permissions_policy_features.json5.","ref":"CDPotion.Domain.Page.html#t:permissions_policy_feature/0"},{"type":"type","title":"CDPotion.Domain.Page.permissions_policy_feature_state/0","doc":"description not provided :(","ref":"CDPotion.Domain.Page.html#t:permissions_policy_feature_state/0"},{"type":"type","title":"CDPotion.Domain.Page.referrer_policy/0","doc":"The referring-policy used for the navigation.","ref":"CDPotion.Domain.Page.html#t:referrer_policy/0"},{"type":"type","title":"CDPotion.Domain.Page.screencast_frame_metadata/0","doc":"Screencast frame metadata.","ref":"CDPotion.Domain.Page.html#t:screencast_frame_metadata/0"},{"type":"type","title":"CDPotion.Domain.Page.script_font_families/0","doc":"Font families collection for a script.","ref":"CDPotion.Domain.Page.html#t:script_font_families/0"},{"type":"type","title":"CDPotion.Domain.Page.script_identifier/0","doc":"Unique script identifier.","ref":"CDPotion.Domain.Page.html#t:script_identifier/0"},{"type":"type","title":"CDPotion.Domain.Page.secure_context_type/0","doc":"Indicates whether the frame is a secure context and why it is the case.","ref":"CDPotion.Domain.Page.html#t:secure_context_type/0"},{"type":"type","title":"CDPotion.Domain.Page.transition_type/0","doc":"Transition type.","ref":"CDPotion.Domain.Page.html#t:transition_type/0"},{"type":"type","title":"CDPotion.Domain.Page.viewport/0","doc":"Viewport for capturing screenshot.","ref":"CDPotion.Domain.Page.html#t:viewport/0"},{"type":"type","title":"CDPotion.Domain.Page.visual_viewport/0","doc":"Visual viewport position, dimensions, and scale.","ref":"CDPotion.Domain.Page.html#t:visual_viewport/0"},{"type":"module","title":"CDPotion.Domain.Performance","doc":"","ref":"CDPotion.Domain.Performance.html"},{"type":"function","title":"CDPotion.Domain.Performance.disable/0","doc":"Disable collecting and reporting metrics.","ref":"CDPotion.Domain.Performance.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Performance.enable/1","doc":"Enable collecting and reporting metrics.","ref":"CDPotion.Domain.Performance.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Performance.enable/1","doc":"- (Optional) `time_domain`: Time domain to use for collecting and reporting duration metrics.","ref":"CDPotion.Domain.Performance.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.Performance.get_metrics/0","doc":"Retrieve current values of run-time metrics.","ref":"CDPotion.Domain.Performance.html#get_metrics/0"},{"type":"function","title":"CDPotion.Domain.Performance.set_time_domain/1","doc":"Sets time domain to use for collecting and reporting duration metrics.\nNote that this must be called before enabling metrics collection. Calling\nthis method while metrics collection is enabled returns an error.","ref":"CDPotion.Domain.Performance.html#set_time_domain/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Performance.set_time_domain/1","doc":"- (Required) `time_domain`: Time domain","ref":"CDPotion.Domain.Performance.html#set_time_domain/1-parameters"},{"type":"type","title":"CDPotion.Domain.Performance.metric/0","doc":"Run-time execution metric.","ref":"CDPotion.Domain.Performance.html#t:metric/0"},{"type":"module","title":"CDPotion.Domain.PerformanceTimeline","doc":"","ref":"CDPotion.Domain.PerformanceTimeline.html"},{"type":"function","title":"CDPotion.Domain.PerformanceTimeline.enable/1","doc":"Previously buffered events would be reported before method returns.\nSee also: timelineEventAdded","ref":"CDPotion.Domain.PerformanceTimeline.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.PerformanceTimeline.enable/1","doc":"- (Required) `event_types`: The types of event to report, as specified in\nhttps://w3c.github.io/performance-timeline/#dom-performanceentry-entrytype\nThe specified filter overrides any previous filters, passing empty\nfilter disables recording.\nNote that not all types exposed to the web platform are currently supported.","ref":"CDPotion.Domain.PerformanceTimeline.html#enable/1-parameters"},{"type":"type","title":"CDPotion.Domain.PerformanceTimeline.largest_contentful_paint/0","doc":"See https://github.com/WICG/LargestContentfulPaint and largest_contentful_paint.idl","ref":"CDPotion.Domain.PerformanceTimeline.html#t:largest_contentful_paint/0"},{"type":"type","title":"CDPotion.Domain.PerformanceTimeline.layout_shift/0","doc":"See https://wicg.github.io/layout-instability/#sec-layout-shift and layout_shift.idl","ref":"CDPotion.Domain.PerformanceTimeline.html#t:layout_shift/0"},{"type":"type","title":"CDPotion.Domain.PerformanceTimeline.layout_shift_attribution/0","doc":"description not provided :(","ref":"CDPotion.Domain.PerformanceTimeline.html#t:layout_shift_attribution/0"},{"type":"type","title":"CDPotion.Domain.PerformanceTimeline.timeline_event/0","doc":"description not provided :(","ref":"CDPotion.Domain.PerformanceTimeline.html#t:timeline_event/0"},{"type":"module","title":"CDPotion.Domain.Preload","doc":"","ref":"CDPotion.Domain.Preload.html"},{"type":"function","title":"CDPotion.Domain.Preload.disable/0","doc":"","ref":"CDPotion.Domain.Preload.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Preload.enable/0","doc":"","ref":"CDPotion.Domain.Preload.html#enable/0"},{"type":"type","title":"CDPotion.Domain.Preload.prefetch_status/0","doc":"TODO(https://crbug.com/1384419): revisit the list of PrefetchStatus and\nfilter out the ones that aren't necessary to the developers.","ref":"CDPotion.Domain.Preload.html#t:prefetch_status/0"},{"type":"type","title":"CDPotion.Domain.Preload.preloading_attempt_key/0","doc":"A key that identifies a preloading attempt.\n\nThe url used is the url specified by the trigger (i.e. the initial URL), and\nnot the final url that is navigated to. For example, prerendering allows\nsame-origin main frame navigations during the attempt, but the attempt is\nstill keyed with the initial URL.","ref":"CDPotion.Domain.Preload.html#t:preloading_attempt_key/0"},{"type":"type","title":"CDPotion.Domain.Preload.preloading_attempt_source/0","doc":"Lists sources for a preloading attempt, specifically the ids of rule sets\nthat had a speculation rule that triggered the attempt, and the\nBackendNodeIds of   or   elements that triggered the\nattempt (in the case of attempts triggered by a document rule). It is\npossible for mulitple rule sets and links to trigger a single attempt.","ref":"CDPotion.Domain.Preload.html#t:preloading_attempt_source/0"},{"type":"type","title":"CDPotion.Domain.Preload.preloading_status/0","doc":"Preloading status values, see also PreloadingTriggeringOutcome. This\nstatus is shared by prefetchStatusUpdated and prerenderStatusUpdated.","ref":"CDPotion.Domain.Preload.html#t:preloading_status/0"},{"type":"type","title":"CDPotion.Domain.Preload.prerender_final_status/0","doc":"List of FinalStatus reasons for Prerender2.","ref":"CDPotion.Domain.Preload.html#t:prerender_final_status/0"},{"type":"type","title":"CDPotion.Domain.Preload.rule_set/0","doc":"Corresponds to SpeculationRuleSet","ref":"CDPotion.Domain.Preload.html#t:rule_set/0"},{"type":"type","title":"CDPotion.Domain.Preload.rule_set_error_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Preload.html#t:rule_set_error_type/0"},{"type":"type","title":"CDPotion.Domain.Preload.rule_set_id/0","doc":"Unique id","ref":"CDPotion.Domain.Preload.html#t:rule_set_id/0"},{"type":"type","title":"CDPotion.Domain.Preload.speculation_action/0","doc":"The type of preloading attempted. It corresponds to\nmojom::SpeculationAction (although PrefetchWithSubresources is omitted as it\nisn't being used by clients).","ref":"CDPotion.Domain.Preload.html#t:speculation_action/0"},{"type":"type","title":"CDPotion.Domain.Preload.speculation_target_hint/0","doc":"Corresponds to mojom::SpeculationTargetHint.\nSee https://github.com/WICG/nav-speculation/blob/main/triggers.md#window-name-targeting-hints","ref":"CDPotion.Domain.Preload.html#t:speculation_target_hint/0"},{"type":"module","title":"CDPotion.Domain.Profiler","doc":"","ref":"CDPotion.Domain.Profiler.html"},{"type":"function","title":"CDPotion.Domain.Profiler.disable/0","doc":"","ref":"CDPotion.Domain.Profiler.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Profiler.enable/0","doc":"","ref":"CDPotion.Domain.Profiler.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Profiler.get_best_effort_coverage/0","doc":"Collect coverage data for the current isolate. The coverage data may be incomplete due to\ngarbage collection.","ref":"CDPotion.Domain.Profiler.html#get_best_effort_coverage/0"},{"type":"function","title":"CDPotion.Domain.Profiler.set_sampling_interval/1","doc":"Changes CPU profiler sampling interval. Must be called before CPU profiles recording started.","ref":"CDPotion.Domain.Profiler.html#set_sampling_interval/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Profiler.set_sampling_interval/1","doc":"- (Required) `interval`: New sampling interval in microseconds.","ref":"CDPotion.Domain.Profiler.html#set_sampling_interval/1-parameters"},{"type":"function","title":"CDPotion.Domain.Profiler.start/0","doc":"","ref":"CDPotion.Domain.Profiler.html#start/0"},{"type":"function","title":"CDPotion.Domain.Profiler.start_precise_coverage/3","doc":"Enable precise code coverage. Coverage data for JavaScript executed before enabling precise code\ncoverage may be incomplete. Enabling prevents running optimized code and resets execution\ncounters.","ref":"CDPotion.Domain.Profiler.html#start_precise_coverage/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Profiler.start_precise_coverage/3","doc":"- (Optional) `call_count`: Collect accurate call counts beyond simple 'covered' or 'not covered'.\n- (Optional) `detailed`: Collect block-based coverage.\n- (Optional) `allow_triggered_updates`: Allow the backend to send updates on its own initiative","ref":"CDPotion.Domain.Profiler.html#start_precise_coverage/3-parameters"},{"type":"function","title":"CDPotion.Domain.Profiler.stop/0","doc":"","ref":"CDPotion.Domain.Profiler.html#stop/0"},{"type":"function","title":"CDPotion.Domain.Profiler.stop_precise_coverage/0","doc":"Disable precise code coverage. Disabling releases unnecessary execution count records and allows\nexecuting optimized code.","ref":"CDPotion.Domain.Profiler.html#stop_precise_coverage/0"},{"type":"function","title":"CDPotion.Domain.Profiler.take_precise_coverage/0","doc":"Collect coverage data for the current isolate, and resets execution counters. Precise code\ncoverage needs to have started.","ref":"CDPotion.Domain.Profiler.html#take_precise_coverage/0"},{"type":"type","title":"CDPotion.Domain.Profiler.coverage_range/0","doc":"Coverage data for a source range.","ref":"CDPotion.Domain.Profiler.html#t:coverage_range/0"},{"type":"type","title":"CDPotion.Domain.Profiler.function_coverage/0","doc":"Coverage data for a JavaScript function.","ref":"CDPotion.Domain.Profiler.html#t:function_coverage/0"},{"type":"type","title":"CDPotion.Domain.Profiler.position_tick_info/0","doc":"Specifies a number of samples attributed to a certain source position.","ref":"CDPotion.Domain.Profiler.html#t:position_tick_info/0"},{"type":"type","title":"CDPotion.Domain.Profiler.profile/0","doc":"Profile.","ref":"CDPotion.Domain.Profiler.html#t:profile/0"},{"type":"type","title":"CDPotion.Domain.Profiler.profile_node/0","doc":"Profile node. Holds callsite information, execution statistics and child nodes.","ref":"CDPotion.Domain.Profiler.html#t:profile_node/0"},{"type":"type","title":"CDPotion.Domain.Profiler.script_coverage/0","doc":"Coverage data for a JavaScript script.","ref":"CDPotion.Domain.Profiler.html#t:script_coverage/0"},{"type":"module","title":"CDPotion.Domain.Runtime","doc":"","ref":"CDPotion.Domain.Runtime.html"},{"type":"function","title":"CDPotion.Domain.Runtime.add_binding/3","doc":"If executionContextId is empty, adds binding with the given name on the\nglobal objects of all inspected contexts, including those created later,\nbindings survive reloads.\nBinding function takes exactly one argument, this argument should be string,\nin case of any other input, function throws an exception.\nEach binding function call produces Runtime.bindingCalled notification.","ref":"CDPotion.Domain.Runtime.html#add_binding/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.add_binding/3","doc":"- (Required) `name`: description not provided :(\n- (Optional) `execution_context_id`: If specified, the binding would only be exposed to the specified\nexecution context. If omitted and `executionContextName` is not set,\nthe binding is exposed to all execution contexts of the target.\nThis parameter is mutually exclusive with `executionContextName`.\nDeprecated in favor of `executionContextName` due to an unclear use case\nand bugs in implementation (crbug.com/1169639). `executionContextId` will be\nremoved in the future.\n- (Optional) `execution_context_name`: If specified, the binding is exposed to the executionContext with\nmatching name, even for contexts created after the binding is added.\nSee also `ExecutionContext.name` and `worldName` parameter to\n`Page.addScriptToEvaluateOnNewDocument`.\nThis parameter is mutually exclusive with `executionContextId`.","ref":"CDPotion.Domain.Runtime.html#add_binding/3-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.await_promise/3","doc":"Add handler to promise with given promise object id.","ref":"CDPotion.Domain.Runtime.html#await_promise/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.await_promise/3","doc":"- (Required) `promise_object_id`: Identifier of the promise.\n- (Optional) `return_by_value`: Whether the result is expected to be a JSON object that should be sent by value.\n- (Optional) `generate_preview`: Whether preview should be generated for the result.","ref":"CDPotion.Domain.Runtime.html#await_promise/3-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.call_function_on/14","doc":"Calls function with given declaration on the given object. Object group of the result is\ninherited from the target object.","ref":"CDPotion.Domain.Runtime.html#call_function_on/14"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.call_function_on/14","doc":"- (Required) `function_declaration`: Declaration of the function to call.\n- (Optional) `object_id`: Identifier of the object to call function on. Either objectId or executionContextId should\nbe specified.\n- (Optional) `arguments`: Call arguments. All call arguments must belong to the same JavaScript world as the target\nobject.\n- (Optional) `silent`: In silent mode exceptions thrown during evaluation are not reported and do not pause\nexecution. Overrides `setPauseOnException` state.\n- (Optional) `return_by_value`: Whether the result is expected to be a JSON object which should be sent by value.\nCan be overriden by `serializationOptions`.\n- (Optional) `generate_preview`: Whether preview should be generated for the result.\n- (Optional) `user_gesture`: Whether execution should be treated as initiated by user in the UI.\n- (Optional) `await_promise`: Whether execution should `await` for resulting value and return once awaited promise is\nresolved.\n- (Optional) `execution_context_id`: Specifies execution context which global object will be used to call function on. Either\nexecutionContextId or objectId should be specified.\n- (Optional) `object_group`: Symbolic group name that can be used to release multiple objects. If objectGroup is not\nspecified and objectId is, objectGroup will be inherited from object.\n- (Optional) `throw_on_side_effect`: Whether to throw an exception if side effect cannot be ruled out during evaluation.\n- (Optional) `unique_context_id`: An alternative way to specify the execution context to call function on.\nCompared to contextId that may be reused across processes, this is guaranteed to be\nsystem-unique, so it can be used to prevent accidental function call\nin context different than intended (e.g. as a result of navigation across process\nboundaries).\nThis is mutually exclusive with `executionContextId`.\n- (Optional) `generate_web_driver_value`: Deprecated. Use `serializationOptions: {serialization:\"deep\"}` instead.\nWhether the result should contain `webDriverValue`, serialized according to\nhttps://w3c.github.io/webdriver-bidi. This is mutually exclusive with `returnByValue`, but\nresulting `objectId` is still provided.\n- (Optional) `serialization_options`: Specifies the result serialization. If provided, overrides\n`generatePreview`, `returnByValue` and `generateWebDriverValue`.","ref":"CDPotion.Domain.Runtime.html#call_function_on/14-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.compile_script/4","doc":"Compiles expression.","ref":"CDPotion.Domain.Runtime.html#compile_script/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.compile_script/4","doc":"- (Required) `expression`: Expression to compile.\n- (Required) `source_url`: Source url to be set for the script.\n- (Required) `persist_script`: Specifies whether the compiled script should be persisted.\n- (Optional) `execution_context_id`: Specifies in which execution context to perform script run. If the parameter is omitted the\nevaluation will be performed in the context of the inspected page.","ref":"CDPotion.Domain.Runtime.html#compile_script/4-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.disable/0","doc":"Disables reporting of execution contexts creation.","ref":"CDPotion.Domain.Runtime.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Runtime.discard_console_entries/0","doc":"Discards collected exceptions and console API calls.","ref":"CDPotion.Domain.Runtime.html#discard_console_entries/0"},{"type":"function","title":"CDPotion.Domain.Runtime.enable/0","doc":"Enables reporting of execution contexts creation by means of `executionContextCreated` event.\nWhen the reporting gets enabled the event will be sent immediately for each existing execution\ncontext.","ref":"CDPotion.Domain.Runtime.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Runtime.evaluate/17","doc":"Evaluates expression on global object.","ref":"CDPotion.Domain.Runtime.html#evaluate/17"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.evaluate/17","doc":"- (Required) `expression`: Expression to evaluate.\n- (Optional) `object_group`: Symbolic group name that can be used to release multiple objects.\n- (Optional) `include_command_line_api`: Determines whether Command Line API should be available during the evaluation.\n- (Optional) `silent`: In silent mode exceptions thrown during evaluation are not reported and do not pause\nexecution. Overrides `setPauseOnException` state.\n- (Optional) `context_id`: Specifies in which execution context to perform evaluation. If the parameter is omitted the\nevaluation will be performed in the context of the inspected page.\nThis is mutually exclusive with `uniqueContextId`, which offers an\nalternative way to identify the execution context that is more reliable\nin a multi-process environment.\n- (Optional) `return_by_value`: Whether the result is expected to be a JSON object that should be sent by value.\n- (Optional) `generate_preview`: Whether preview should be generated for the result.\n- (Optional) `user_gesture`: Whether execution should be treated as initiated by user in the UI.\n- (Optional) `await_promise`: Whether execution should `await` for resulting value and return once awaited promise is\nresolved.\n- (Optional) `throw_on_side_effect`: Whether to throw an exception if side effect cannot be ruled out during evaluation.\nThis implies `disableBreaks` below.\n- (Optional) `timeout`: Terminate execution after timing out (number of milliseconds).\n- (Optional) `disable_breaks`: Disable breakpoints during execution.\n- (Optional) `repl_mode`: Setting this flag to true enables `let` re-declaration and top-level `await`.\nNote that `let` variables can only be re-declared if they originate from\n`replMode` themselves.\n- (Optional) `allow_unsafe_eval_blocked_by_csp`: The Content Security Policy (CSP) for the target might block 'unsafe-eval'\nwhich includes eval(), Function(), setTimeout() and setInterval()\nwhen called with non-callable arguments. This flag bypasses CSP for this\nevaluation and allows unsafe-eval. Defaults to true.\n- (Optional) `unique_context_id`: An alternative way to specify the execution context to evaluate in.\nCompared to contextId that may be reused across processes, this is guaranteed to be\nsystem-unique, so it can be used to prevent accidental evaluation of the expression\nin context different than intended (e.g. as a result of navigation across process\nboundaries).\nThis is mutually exclusive with `contextId`.\n- (Optional) `generate_web_driver_value`: Deprecated. Use `serializationOptions: {serialization:\"deep\"}` instead.\nWhether the result should contain `webDriverValue`, serialized\naccording to\nhttps://w3c.github.io/webdriver-bidi. This is mutually exclusive with `returnByValue`, but\nresulting `objectId` is still provided.\n- (Optional) `serialization_options`: Specifies the result serialization. If provided, overrides\n`generatePreview`, `returnByValue` and `generateWebDriverValue`.","ref":"CDPotion.Domain.Runtime.html#evaluate/17-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.get_exception_details/1","doc":"This method tries to lookup and populate exception details for a\nJavaScript Error object.\nNote that the stackTrace portion of the resulting exceptionDetails will\nonly be populated if the Runtime domain was enabled at the time when the\nError was thrown.","ref":"CDPotion.Domain.Runtime.html#get_exception_details/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.get_exception_details/1","doc":"- (Required) `error_object_id`: The error object for which to resolve the exception details.","ref":"CDPotion.Domain.Runtime.html#get_exception_details/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.get_heap_usage/0","doc":"Returns the JavaScript heap usage.\nIt is the total usage of the corresponding isolate not scoped to a particular Runtime.","ref":"CDPotion.Domain.Runtime.html#get_heap_usage/0"},{"type":"function","title":"CDPotion.Domain.Runtime.get_isolate_id/0","doc":"Returns the isolate id.","ref":"CDPotion.Domain.Runtime.html#get_isolate_id/0"},{"type":"function","title":"CDPotion.Domain.Runtime.get_properties/5","doc":"Returns properties of a given object. Object group of the result is inherited from the target\nobject.","ref":"CDPotion.Domain.Runtime.html#get_properties/5"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.get_properties/5","doc":"- (Required) `object_id`: Identifier of the object to return properties for.\n- (Optional) `own_properties`: If true, returns properties belonging only to the element itself, not to its prototype\nchain.\n- (Optional) `accessor_properties_only`: If true, returns accessor properties (with getter/setter) only; internal properties are not\nreturned either.\n- (Optional) `generate_preview`: Whether preview should be generated for the results.\n- (Optional) `non_indexed_properties_only`: If true, returns non-indexed properties only.","ref":"CDPotion.Domain.Runtime.html#get_properties/5-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.global_lexical_scope_names/1","doc":"Returns all let, const and class variables from global scope.","ref":"CDPotion.Domain.Runtime.html#global_lexical_scope_names/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.global_lexical_scope_names/1","doc":"- (Optional) `execution_context_id`: Specifies in which execution context to lookup global scope variables.","ref":"CDPotion.Domain.Runtime.html#global_lexical_scope_names/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.query_objects/2","doc":"","ref":"CDPotion.Domain.Runtime.html#query_objects/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.query_objects/2","doc":"- (Required) `prototype_object_id`: Identifier of the prototype to return objects for.\n- (Optional) `object_group`: Symbolic group name that can be used to release the results.","ref":"CDPotion.Domain.Runtime.html#query_objects/2-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.release_object/1","doc":"Releases remote object with given id.","ref":"CDPotion.Domain.Runtime.html#release_object/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.release_object/1","doc":"- (Required) `object_id`: Identifier of the object to release.","ref":"CDPotion.Domain.Runtime.html#release_object/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.release_object_group/1","doc":"Releases all remote objects that belong to a given group.","ref":"CDPotion.Domain.Runtime.html#release_object_group/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.release_object_group/1","doc":"- (Required) `object_group`: Symbolic object group name.","ref":"CDPotion.Domain.Runtime.html#release_object_group/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.remove_binding/1","doc":"This method does not remove binding function from global object but\nunsubscribes current runtime agent from Runtime.bindingCalled notifications.","ref":"CDPotion.Domain.Runtime.html#remove_binding/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.remove_binding/1","doc":"- (Required) `name`: description not provided :(","ref":"CDPotion.Domain.Runtime.html#remove_binding/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.run_if_waiting_for_debugger/0","doc":"Tells inspected instance to run if it was waiting for debugger to attach.","ref":"CDPotion.Domain.Runtime.html#run_if_waiting_for_debugger/0"},{"type":"function","title":"CDPotion.Domain.Runtime.run_script/8","doc":"Runs script with given id in a given context.","ref":"CDPotion.Domain.Runtime.html#run_script/8"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.run_script/8","doc":"- (Required) `script_id`: Id of the script to run.\n- (Optional) `execution_context_id`: Specifies in which execution context to perform script run. If the parameter is omitted the\nevaluation will be performed in the context of the inspected page.\n- (Optional) `object_group`: Symbolic group name that can be used to release multiple objects.\n- (Optional) `silent`: In silent mode exceptions thrown during evaluation are not reported and do not pause\nexecution. Overrides `setPauseOnException` state.\n- (Optional) `include_command_line_api`: Determines whether Command Line API should be available during the evaluation.\n- (Optional) `return_by_value`: Whether the result is expected to be a JSON object which should be sent by value.\n- (Optional) `generate_preview`: Whether preview should be generated for the result.\n- (Optional) `await_promise`: Whether execution should `await` for resulting value and return once awaited promise is\nresolved.","ref":"CDPotion.Domain.Runtime.html#run_script/8-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.set_async_call_stack_depth/1","doc":"Enables or disables async call stacks tracking.","ref":"CDPotion.Domain.Runtime.html#set_async_call_stack_depth/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.set_async_call_stack_depth/1","doc":"- (Required) `max_depth`: Maximum depth of async call stacks. Setting to `0` will effectively disable collecting async\ncall stacks (default).","ref":"CDPotion.Domain.Runtime.html#set_async_call_stack_depth/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.set_custom_object_formatter_enabled/1","doc":"","ref":"CDPotion.Domain.Runtime.html#set_custom_object_formatter_enabled/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.set_custom_object_formatter_enabled/1","doc":"- (Required) `enabled`: description not provided :(","ref":"CDPotion.Domain.Runtime.html#set_custom_object_formatter_enabled/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.set_max_call_stack_size_to_capture/1","doc":"","ref":"CDPotion.Domain.Runtime.html#set_max_call_stack_size_to_capture/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Runtime.set_max_call_stack_size_to_capture/1","doc":"- (Required) `size`: description not provided :(","ref":"CDPotion.Domain.Runtime.html#set_max_call_stack_size_to_capture/1-parameters"},{"type":"function","title":"CDPotion.Domain.Runtime.terminate_execution/0","doc":"Terminate current or next JavaScript execution.\nWill cancel the termination when the outer-most script execution ends.","ref":"CDPotion.Domain.Runtime.html#terminate_execution/0"},{"type":"type","title":"CDPotion.Domain.Runtime.call_argument/0","doc":"Represents function call argument. Either remote object id `objectId`, primitive `value`,\nunserializable primitive value or neither of (for undefined) them should be specified.","ref":"CDPotion.Domain.Runtime.html#t:call_argument/0"},{"type":"type","title":"CDPotion.Domain.Runtime.call_frame/0","doc":"Stack entry for runtime errors and assertions.","ref":"CDPotion.Domain.Runtime.html#t:call_frame/0"},{"type":"type","title":"CDPotion.Domain.Runtime.custom_preview/0","doc":"description not provided :(","ref":"CDPotion.Domain.Runtime.html#t:custom_preview/0"},{"type":"type","title":"CDPotion.Domain.Runtime.deep_serialized_value/0","doc":"Represents deep serialized value.","ref":"CDPotion.Domain.Runtime.html#t:deep_serialized_value/0"},{"type":"type","title":"CDPotion.Domain.Runtime.entry_preview/0","doc":"description not provided :(","ref":"CDPotion.Domain.Runtime.html#t:entry_preview/0"},{"type":"type","title":"CDPotion.Domain.Runtime.exception_details/0","doc":"Detailed information about exception (or error) that was thrown during script compilation or\nexecution.","ref":"CDPotion.Domain.Runtime.html#t:exception_details/0"},{"type":"type","title":"CDPotion.Domain.Runtime.execution_context_description/0","doc":"Description of an isolated world.","ref":"CDPotion.Domain.Runtime.html#t:execution_context_description/0"},{"type":"type","title":"CDPotion.Domain.Runtime.execution_context_id/0","doc":"Id of an execution context.","ref":"CDPotion.Domain.Runtime.html#t:execution_context_id/0"},{"type":"type","title":"CDPotion.Domain.Runtime.internal_property_descriptor/0","doc":"Object internal property descriptor. This property isn't normally visible in JavaScript code.","ref":"CDPotion.Domain.Runtime.html#t:internal_property_descriptor/0"},{"type":"type","title":"CDPotion.Domain.Runtime.object_preview/0","doc":"Object containing abbreviated remote object value.","ref":"CDPotion.Domain.Runtime.html#t:object_preview/0"},{"type":"type","title":"CDPotion.Domain.Runtime.private_property_descriptor/0","doc":"Object private field descriptor.","ref":"CDPotion.Domain.Runtime.html#t:private_property_descriptor/0"},{"type":"type","title":"CDPotion.Domain.Runtime.property_descriptor/0","doc":"Object property descriptor.","ref":"CDPotion.Domain.Runtime.html#t:property_descriptor/0"},{"type":"type","title":"CDPotion.Domain.Runtime.property_preview/0","doc":"description not provided :(","ref":"CDPotion.Domain.Runtime.html#t:property_preview/0"},{"type":"type","title":"CDPotion.Domain.Runtime.remote_object/0","doc":"Mirror object referencing original JavaScript object.","ref":"CDPotion.Domain.Runtime.html#t:remote_object/0"},{"type":"type","title":"CDPotion.Domain.Runtime.remote_object_id/0","doc":"Unique object identifier.","ref":"CDPotion.Domain.Runtime.html#t:remote_object_id/0"},{"type":"type","title":"CDPotion.Domain.Runtime.script_id/0","doc":"Unique script identifier.","ref":"CDPotion.Domain.Runtime.html#t:script_id/0"},{"type":"type","title":"CDPotion.Domain.Runtime.serialization_options/0","doc":"Represents options for serialization. Overrides `generatePreview`, `returnByValue` and\n`generateWebDriverValue`.","ref":"CDPotion.Domain.Runtime.html#t:serialization_options/0"},{"type":"type","title":"CDPotion.Domain.Runtime.stack_trace/0","doc":"Call frames for assertions or error messages.","ref":"CDPotion.Domain.Runtime.html#t:stack_trace/0"},{"type":"type","title":"CDPotion.Domain.Runtime.stack_trace_id/0","doc":"If `debuggerId` is set stack trace comes from another debugger and can be resolved there. This\nallows to track cross-debugger calls. See `Runtime.StackTrace` and `Debugger.paused` for usages.","ref":"CDPotion.Domain.Runtime.html#t:stack_trace_id/0"},{"type":"type","title":"CDPotion.Domain.Runtime.time_delta/0","doc":"Number of milliseconds.","ref":"CDPotion.Domain.Runtime.html#t:time_delta/0"},{"type":"type","title":"CDPotion.Domain.Runtime.timestamp/0","doc":"Number of milliseconds since epoch.","ref":"CDPotion.Domain.Runtime.html#t:timestamp/0"},{"type":"type","title":"CDPotion.Domain.Runtime.unique_debugger_id/0","doc":"Unique identifier of current debugger.","ref":"CDPotion.Domain.Runtime.html#t:unique_debugger_id/0"},{"type":"type","title":"CDPotion.Domain.Runtime.unserializable_value/0","doc":"Primitive value which cannot be JSON-stringified. Includes values `-0`, `NaN`, `Infinity`,\n`-Infinity`, and bigint literals.","ref":"CDPotion.Domain.Runtime.html#t:unserializable_value/0"},{"type":"module","title":"CDPotion.Domain.Schema","doc":"","ref":"CDPotion.Domain.Schema.html"},{"type":"function","title":"CDPotion.Domain.Schema.get_domains/0","doc":"Returns supported domains.","ref":"CDPotion.Domain.Schema.html#get_domains/0"},{"type":"type","title":"CDPotion.Domain.Schema.domain/0","doc":"Description of the protocol domain.","ref":"CDPotion.Domain.Schema.html#t:domain/0"},{"type":"module","title":"CDPotion.Domain.Security","doc":"","ref":"CDPotion.Domain.Security.html"},{"type":"function","title":"CDPotion.Domain.Security.disable/0","doc":"Disables tracking security state changes.","ref":"CDPotion.Domain.Security.html#disable/0"},{"type":"function","title":"CDPotion.Domain.Security.enable/0","doc":"Enables tracking security state changes.","ref":"CDPotion.Domain.Security.html#enable/0"},{"type":"function","title":"CDPotion.Domain.Security.handle_certificate_error/2","doc":"Handles a certificate error that fired a certificateError event.","ref":"CDPotion.Domain.Security.html#handle_certificate_error/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Security.handle_certificate_error/2","doc":"- (Required) `event_id`: The ID of the event.\n- (Required) `action`: The action to take on the certificate error.","ref":"CDPotion.Domain.Security.html#handle_certificate_error/2-parameters"},{"type":"function","title":"CDPotion.Domain.Security.set_ignore_certificate_errors/1","doc":"Enable/disable whether all certificate errors should be ignored.","ref":"CDPotion.Domain.Security.html#set_ignore_certificate_errors/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Security.set_ignore_certificate_errors/1","doc":"- (Required) `ignore`: If true, all certificate errors will be ignored.","ref":"CDPotion.Domain.Security.html#set_ignore_certificate_errors/1-parameters"},{"type":"function","title":"CDPotion.Domain.Security.set_override_certificate_errors/1","doc":"Enable/disable overriding certificate errors. If enabled, all certificate error events need to\nbe handled by the DevTools client and should be answered with `handleCertificateError` commands.","ref":"CDPotion.Domain.Security.html#set_override_certificate_errors/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Security.set_override_certificate_errors/1","doc":"- (Required) `override`: If true, certificate errors will be overridden.","ref":"CDPotion.Domain.Security.html#set_override_certificate_errors/1-parameters"},{"type":"type","title":"CDPotion.Domain.Security.certificate_error_action/0","doc":"The action to take when a certificate error occurs. continue will continue processing the\nrequest and cancel will cancel the request.","ref":"CDPotion.Domain.Security.html#t:certificate_error_action/0"},{"type":"type","title":"CDPotion.Domain.Security.certificate_id/0","doc":"An internal certificate ID value.","ref":"CDPotion.Domain.Security.html#t:certificate_id/0"},{"type":"type","title":"CDPotion.Domain.Security.certificate_security_state/0","doc":"Details about the security state of the page certificate.","ref":"CDPotion.Domain.Security.html#t:certificate_security_state/0"},{"type":"type","title":"CDPotion.Domain.Security.insecure_content_status/0","doc":"Information about insecure content on the page.","ref":"CDPotion.Domain.Security.html#t:insecure_content_status/0"},{"type":"type","title":"CDPotion.Domain.Security.mixed_content_type/0","doc":"A description of mixed content (HTTP resources on HTTPS pages), as defined by\nhttps://www.w3.org/TR/mixed-content/#categories","ref":"CDPotion.Domain.Security.html#t:mixed_content_type/0"},{"type":"type","title":"CDPotion.Domain.Security.safety_tip_info/0","doc":"description not provided :(","ref":"CDPotion.Domain.Security.html#t:safety_tip_info/0"},{"type":"type","title":"CDPotion.Domain.Security.safety_tip_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.Security.html#t:safety_tip_status/0"},{"type":"type","title":"CDPotion.Domain.Security.security_state/0","doc":"The security level of a page or resource.","ref":"CDPotion.Domain.Security.html#t:security_state/0"},{"type":"type","title":"CDPotion.Domain.Security.security_state_explanation/0","doc":"An explanation of an factor contributing to the security state.","ref":"CDPotion.Domain.Security.html#t:security_state_explanation/0"},{"type":"type","title":"CDPotion.Domain.Security.visible_security_state/0","doc":"Security state information about the page.","ref":"CDPotion.Domain.Security.html#t:visible_security_state/0"},{"type":"module","title":"CDPotion.Domain.ServiceWorker","doc":"","ref":"CDPotion.Domain.ServiceWorker.html"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.deliver_push_message/3","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#deliver_push_message/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.deliver_push_message/3","doc":"- (Required) `origin`: description not provided :(\n- (Required) `registration_id`: description not provided :(\n- (Required) `data`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#deliver_push_message/3-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.disable/0","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#disable/0"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.dispatch_periodic_sync_event/3","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#dispatch_periodic_sync_event/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.dispatch_periodic_sync_event/3","doc":"- (Required) `origin`: description not provided :(\n- (Required) `registration_id`: description not provided :(\n- (Required) `tag`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#dispatch_periodic_sync_event/3-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.dispatch_sync_event/4","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#dispatch_sync_event/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.dispatch_sync_event/4","doc":"- (Required) `origin`: description not provided :(\n- (Required) `registration_id`: description not provided :(\n- (Required) `tag`: description not provided :(\n- (Required) `last_chance`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#dispatch_sync_event/4-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.enable/0","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#enable/0"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.inspect_worker/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#inspect_worker/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.inspect_worker/1","doc":"- (Required) `version_id`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#inspect_worker/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.set_force_update_on_page_load/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#set_force_update_on_page_load/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.set_force_update_on_page_load/1","doc":"- (Required) `force_update_on_page_load`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#set_force_update_on_page_load/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.skip_waiting/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#skip_waiting/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.skip_waiting/1","doc":"- (Required) `scope_url`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#skip_waiting/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.start_worker/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#start_worker/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.start_worker/1","doc":"- (Required) `scope_url`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#start_worker/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.stop_all_workers/0","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#stop_all_workers/0"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.stop_worker/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#stop_worker/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.stop_worker/1","doc":"- (Required) `version_id`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#stop_worker/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.unregister/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#unregister/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.unregister/1","doc":"- (Required) `scope_url`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#unregister/1-parameters"},{"type":"function","title":"CDPotion.Domain.ServiceWorker.update_registration/1","doc":"","ref":"CDPotion.Domain.ServiceWorker.html#update_registration/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.ServiceWorker.update_registration/1","doc":"- (Required) `scope_url`: description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#update_registration/1-parameters"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.registration_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#t:registration_id/0"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.service_worker_error_message/0","doc":"ServiceWorker error message.","ref":"CDPotion.Domain.ServiceWorker.html#t:service_worker_error_message/0"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.service_worker_registration/0","doc":"ServiceWorker registration.","ref":"CDPotion.Domain.ServiceWorker.html#t:service_worker_registration/0"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.service_worker_version/0","doc":"ServiceWorker version.","ref":"CDPotion.Domain.ServiceWorker.html#t:service_worker_version/0"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.service_worker_version_running_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#t:service_worker_version_running_status/0"},{"type":"type","title":"CDPotion.Domain.ServiceWorker.service_worker_version_status/0","doc":"description not provided :(","ref":"CDPotion.Domain.ServiceWorker.html#t:service_worker_version_status/0"},{"type":"module","title":"CDPotion.Domain.Storage","doc":"","ref":"CDPotion.Domain.Storage.html"},{"type":"function","title":"CDPotion.Domain.Storage.clear_cookies/1","doc":"Clears cookies.","ref":"CDPotion.Domain.Storage.html#clear_cookies/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.clear_cookies/1","doc":"- (Optional) `browser_context_id`: Browser context to use when called on the browser endpoint.","ref":"CDPotion.Domain.Storage.html#clear_cookies/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.clear_data_for_origin/2","doc":"Clears storage for origin.","ref":"CDPotion.Domain.Storage.html#clear_data_for_origin/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.clear_data_for_origin/2","doc":"- (Required) `origin`: Security origin.\n- (Required) `storage_types`: Comma separated list of StorageType to clear.","ref":"CDPotion.Domain.Storage.html#clear_data_for_origin/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.clear_data_for_storage_key/2","doc":"Clears storage for storage key.","ref":"CDPotion.Domain.Storage.html#clear_data_for_storage_key/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.clear_data_for_storage_key/2","doc":"- (Required) `storage_key`: Storage key.\n- (Required) `storage_types`: Comma separated list of StorageType to clear.","ref":"CDPotion.Domain.Storage.html#clear_data_for_storage_key/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.clear_shared_storage_entries/1","doc":"Clears all entries for a given origin's shared storage.","ref":"CDPotion.Domain.Storage.html#clear_shared_storage_entries/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.clear_shared_storage_entries/1","doc":"- (Required) `owner_origin`: description not provided :(","ref":"CDPotion.Domain.Storage.html#clear_shared_storage_entries/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.clear_trust_tokens/1","doc":"Removes all Trust Tokens issued by the provided issuerOrigin.\nLeaves other stored data, including the issuer's Redemption Records, intact.","ref":"CDPotion.Domain.Storage.html#clear_trust_tokens/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.clear_trust_tokens/1","doc":"- (Required) `issuer_origin`: description not provided :(","ref":"CDPotion.Domain.Storage.html#clear_trust_tokens/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.delete_shared_storage_entry/2","doc":"Deletes entry for `key` (if it exists) for a given origin's shared storage.","ref":"CDPotion.Domain.Storage.html#delete_shared_storage_entry/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.delete_shared_storage_entry/2","doc":"- (Required) `owner_origin`: description not provided :(\n- (Required) `key`: description not provided :(","ref":"CDPotion.Domain.Storage.html#delete_shared_storage_entry/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.delete_storage_bucket/1","doc":"Deletes the Storage Bucket with the given storage key and bucket name.","ref":"CDPotion.Domain.Storage.html#delete_storage_bucket/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.delete_storage_bucket/1","doc":"- (Required) `bucket`: description not provided :(","ref":"CDPotion.Domain.Storage.html#delete_storage_bucket/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_cookies/1","doc":"Returns all browser cookies.","ref":"CDPotion.Domain.Storage.html#get_cookies/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_cookies/1","doc":"- (Optional) `browser_context_id`: Browser context to use when called on the browser endpoint.","ref":"CDPotion.Domain.Storage.html#get_cookies/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_interest_group_details/2","doc":"Gets details for a named interest group.","ref":"CDPotion.Domain.Storage.html#get_interest_group_details/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_interest_group_details/2","doc":"- (Required) `owner_origin`: description not provided :(\n- (Required) `name`: description not provided :(","ref":"CDPotion.Domain.Storage.html#get_interest_group_details/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_shared_storage_entries/1","doc":"Gets the entries in an given origin's shared storage.","ref":"CDPotion.Domain.Storage.html#get_shared_storage_entries/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_shared_storage_entries/1","doc":"- (Required) `owner_origin`: description not provided :(","ref":"CDPotion.Domain.Storage.html#get_shared_storage_entries/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_shared_storage_metadata/1","doc":"Gets metadata for an origin's shared storage.","ref":"CDPotion.Domain.Storage.html#get_shared_storage_metadata/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_shared_storage_metadata/1","doc":"- (Required) `owner_origin`: description not provided :(","ref":"CDPotion.Domain.Storage.html#get_shared_storage_metadata/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_storage_key_for_frame/1","doc":"Returns a storage key given a frame id.","ref":"CDPotion.Domain.Storage.html#get_storage_key_for_frame/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_storage_key_for_frame/1","doc":"- (Required) `frame_id`: description not provided :(","ref":"CDPotion.Domain.Storage.html#get_storage_key_for_frame/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.get_trust_tokens/0","doc":"Returns the number of stored Trust Tokens per issuer for the\ncurrent browsing context.","ref":"CDPotion.Domain.Storage.html#get_trust_tokens/0"},{"type":"function","title":"CDPotion.Domain.Storage.get_usage_and_quota/1","doc":"Returns usage and quota in bytes.","ref":"CDPotion.Domain.Storage.html#get_usage_and_quota/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.get_usage_and_quota/1","doc":"- (Required) `origin`: Security origin.","ref":"CDPotion.Domain.Storage.html#get_usage_and_quota/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.override_quota_for_origin/2","doc":"Override quota for the specified origin","ref":"CDPotion.Domain.Storage.html#override_quota_for_origin/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.override_quota_for_origin/2","doc":"- (Required) `origin`: Security origin.\n- (Optional) `quota_size`: The quota size (in bytes) to override the original quota with.\nIf this is called multiple times, the overridden quota will be equal to\nthe quotaSize provided in the final call. If this is called without\nspecifying a quotaSize, the quota will be reset to the default value for\nthe specified origin. If this is called multiple times with different\norigins, the override will be maintained for each origin until it is\ndisabled (called without a quotaSize).","ref":"CDPotion.Domain.Storage.html#override_quota_for_origin/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.reset_shared_storage_budget/1","doc":"Resets the budget for `ownerOrigin` by clearing all budget withdrawals.","ref":"CDPotion.Domain.Storage.html#reset_shared_storage_budget/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.reset_shared_storage_budget/1","doc":"- (Required) `owner_origin`: description not provided :(","ref":"CDPotion.Domain.Storage.html#reset_shared_storage_budget/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.run_bounce_tracking_mitigations/0","doc":"Deletes state for sites identified as potential bounce trackers, immediately.","ref":"CDPotion.Domain.Storage.html#run_bounce_tracking_mitigations/0"},{"type":"function","title":"CDPotion.Domain.Storage.set_attribution_reporting_local_testing_mode/1","doc":"https://wicg.github.io/attribution-reporting-api/","ref":"CDPotion.Domain.Storage.html#set_attribution_reporting_local_testing_mode/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_attribution_reporting_local_testing_mode/1","doc":"- (Required) `enabled`: If enabled, noise is suppressed and reports are sent immediately.","ref":"CDPotion.Domain.Storage.html#set_attribution_reporting_local_testing_mode/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_attribution_reporting_tracking/1","doc":"Enables/disables issuing of Attribution Reporting events.","ref":"CDPotion.Domain.Storage.html#set_attribution_reporting_tracking/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_attribution_reporting_tracking/1","doc":"- (Required) `enable`: description not provided :(","ref":"CDPotion.Domain.Storage.html#set_attribution_reporting_tracking/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_cookies/2","doc":"Sets given cookies.","ref":"CDPotion.Domain.Storage.html#set_cookies/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_cookies/2","doc":"- (Required) `cookies`: Cookies to be set.\n- (Optional) `browser_context_id`: Browser context to use when called on the browser endpoint.","ref":"CDPotion.Domain.Storage.html#set_cookies/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_interest_group_tracking/1","doc":"Enables/Disables issuing of interestGroupAccessed events.","ref":"CDPotion.Domain.Storage.html#set_interest_group_tracking/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_interest_group_tracking/1","doc":"- (Required) `enable`: description not provided :(","ref":"CDPotion.Domain.Storage.html#set_interest_group_tracking/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_shared_storage_entry/4","doc":"Sets entry with `key` and `value` for a given origin's shared storage.","ref":"CDPotion.Domain.Storage.html#set_shared_storage_entry/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_shared_storage_entry/4","doc":"- (Required) `owner_origin`: description not provided :(\n- (Required) `key`: description not provided :(\n- (Required) `value`: description not provided :(\n- (Optional) `ignore_if_present`: If `ignoreIfPresent` is included and true, then only sets the entry if\n`key` doesn't already exist.","ref":"CDPotion.Domain.Storage.html#set_shared_storage_entry/4-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_shared_storage_tracking/1","doc":"Enables/disables issuing of sharedStorageAccessed events.","ref":"CDPotion.Domain.Storage.html#set_shared_storage_tracking/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_shared_storage_tracking/1","doc":"- (Required) `enable`: description not provided :(","ref":"CDPotion.Domain.Storage.html#set_shared_storage_tracking/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.set_storage_bucket_tracking/2","doc":"Set tracking for a storage key's buckets.","ref":"CDPotion.Domain.Storage.html#set_storage_bucket_tracking/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.set_storage_bucket_tracking/2","doc":"- (Required) `storage_key`: description not provided :(\n- (Required) `enable`: description not provided :(","ref":"CDPotion.Domain.Storage.html#set_storage_bucket_tracking/2-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.track_cache_storage_for_origin/1","doc":"Registers origin to be notified when an update occurs to its cache storage list.","ref":"CDPotion.Domain.Storage.html#track_cache_storage_for_origin/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.track_cache_storage_for_origin/1","doc":"- (Required) `origin`: Security origin.","ref":"CDPotion.Domain.Storage.html#track_cache_storage_for_origin/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.track_cache_storage_for_storage_key/1","doc":"Registers storage key to be notified when an update occurs to its cache storage list.","ref":"CDPotion.Domain.Storage.html#track_cache_storage_for_storage_key/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.track_cache_storage_for_storage_key/1","doc":"- (Required) `storage_key`: Storage key.","ref":"CDPotion.Domain.Storage.html#track_cache_storage_for_storage_key/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.track_indexed_db_for_origin/1","doc":"Registers origin to be notified when an update occurs to its IndexedDB.","ref":"CDPotion.Domain.Storage.html#track_indexed_db_for_origin/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.track_indexed_db_for_origin/1","doc":"- (Required) `origin`: Security origin.","ref":"CDPotion.Domain.Storage.html#track_indexed_db_for_origin/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.track_indexed_db_for_storage_key/1","doc":"Registers storage key to be notified when an update occurs to its IndexedDB.","ref":"CDPotion.Domain.Storage.html#track_indexed_db_for_storage_key/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.track_indexed_db_for_storage_key/1","doc":"- (Required) `storage_key`: Storage key.","ref":"CDPotion.Domain.Storage.html#track_indexed_db_for_storage_key/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.untrack_cache_storage_for_origin/1","doc":"Unregisters origin from receiving notifications for cache storage.","ref":"CDPotion.Domain.Storage.html#untrack_cache_storage_for_origin/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.untrack_cache_storage_for_origin/1","doc":"- (Required) `origin`: Security origin.","ref":"CDPotion.Domain.Storage.html#untrack_cache_storage_for_origin/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.untrack_cache_storage_for_storage_key/1","doc":"Unregisters storage key from receiving notifications for cache storage.","ref":"CDPotion.Domain.Storage.html#untrack_cache_storage_for_storage_key/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.untrack_cache_storage_for_storage_key/1","doc":"- (Required) `storage_key`: Storage key.","ref":"CDPotion.Domain.Storage.html#untrack_cache_storage_for_storage_key/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.untrack_indexed_db_for_origin/1","doc":"Unregisters origin from receiving notifications for IndexedDB.","ref":"CDPotion.Domain.Storage.html#untrack_indexed_db_for_origin/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.untrack_indexed_db_for_origin/1","doc":"- (Required) `origin`: Security origin.","ref":"CDPotion.Domain.Storage.html#untrack_indexed_db_for_origin/1-parameters"},{"type":"function","title":"CDPotion.Domain.Storage.untrack_indexed_db_for_storage_key/1","doc":"Unregisters storage key from receiving notifications for IndexedDB.","ref":"CDPotion.Domain.Storage.html#untrack_indexed_db_for_storage_key/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Storage.untrack_indexed_db_for_storage_key/1","doc":"- (Required) `storage_key`: Storage key.","ref":"CDPotion.Domain.Storage.html#untrack_indexed_db_for_storage_key/1-parameters"},{"type":"type","title":"CDPotion.Domain.Storage.attribution_reporting_aggregation_keys_entry/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:attribution_reporting_aggregation_keys_entry/0"},{"type":"type","title":"CDPotion.Domain.Storage.attribution_reporting_filter_data_entry/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:attribution_reporting_filter_data_entry/0"},{"type":"type","title":"CDPotion.Domain.Storage.attribution_reporting_source_registration/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:attribution_reporting_source_registration/0"},{"type":"type","title":"CDPotion.Domain.Storage.attribution_reporting_source_registration_result/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:attribution_reporting_source_registration_result/0"},{"type":"type","title":"CDPotion.Domain.Storage.attribution_reporting_source_type/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:attribution_reporting_source_type/0"},{"type":"type","title":"CDPotion.Domain.Storage.interest_group_access_type/0","doc":"Enum of interest group access types.","ref":"CDPotion.Domain.Storage.html#t:interest_group_access_type/0"},{"type":"type","title":"CDPotion.Domain.Storage.interest_group_ad/0","doc":"Ad advertising element inside an interest group.","ref":"CDPotion.Domain.Storage.html#t:interest_group_ad/0"},{"type":"type","title":"CDPotion.Domain.Storage.interest_group_details/0","doc":"The full details of an interest group.","ref":"CDPotion.Domain.Storage.html#t:interest_group_details/0"},{"type":"type","title":"CDPotion.Domain.Storage.serialized_storage_key/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:serialized_storage_key/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_access_params/0","doc":"Bundles the parameters for shared storage access events whose\npresence/absence can vary according to SharedStorageAccessType.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_access_params/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_access_type/0","doc":"Enum of shared storage access types.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_access_type/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_entry/0","doc":"Struct for a single key-value pair in an origin's shared storage.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_entry/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_metadata/0","doc":"Details for an origin's shared storage.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_metadata/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_reporting_metadata/0","doc":"Pair of reporting metadata details for a candidate URL for `selectURL()`.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_reporting_metadata/0"},{"type":"type","title":"CDPotion.Domain.Storage.shared_storage_url_with_metadata/0","doc":"Bundles a candidate URL with its reporting metadata.","ref":"CDPotion.Domain.Storage.html#t:shared_storage_url_with_metadata/0"},{"type":"type","title":"CDPotion.Domain.Storage.signed_int64_as_base10/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:signed_int64_as_base10/0"},{"type":"type","title":"CDPotion.Domain.Storage.storage_bucket/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:storage_bucket/0"},{"type":"type","title":"CDPotion.Domain.Storage.storage_bucket_info/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:storage_bucket_info/0"},{"type":"type","title":"CDPotion.Domain.Storage.storage_buckets_durability/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:storage_buckets_durability/0"},{"type":"type","title":"CDPotion.Domain.Storage.storage_type/0","doc":"Enum of possible storage types.","ref":"CDPotion.Domain.Storage.html#t:storage_type/0"},{"type":"type","title":"CDPotion.Domain.Storage.trust_tokens/0","doc":"Pair of issuer origin and number of available (signed, but not used) Trust\nTokens from that issuer.","ref":"CDPotion.Domain.Storage.html#t:trust_tokens/0"},{"type":"type","title":"CDPotion.Domain.Storage.unsigned_int64_as_base10/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:unsigned_int64_as_base10/0"},{"type":"type","title":"CDPotion.Domain.Storage.unsigned_int128_as_base16/0","doc":"description not provided :(","ref":"CDPotion.Domain.Storage.html#t:unsigned_int128_as_base16/0"},{"type":"type","title":"CDPotion.Domain.Storage.usage_for_type/0","doc":"Usage for a storage type.","ref":"CDPotion.Domain.Storage.html#t:usage_for_type/0"},{"type":"module","title":"CDPotion.Domain.SystemInfo","doc":"","ref":"CDPotion.Domain.SystemInfo.html"},{"type":"function","title":"CDPotion.Domain.SystemInfo.get_feature_state/1","doc":"Returns information about the feature state.","ref":"CDPotion.Domain.SystemInfo.html#get_feature_state/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.SystemInfo.get_feature_state/1","doc":"- (Required) `feature_state`: description not provided :(","ref":"CDPotion.Domain.SystemInfo.html#get_feature_state/1-parameters"},{"type":"function","title":"CDPotion.Domain.SystemInfo.get_info/0","doc":"Returns information about the system.","ref":"CDPotion.Domain.SystemInfo.html#get_info/0"},{"type":"function","title":"CDPotion.Domain.SystemInfo.get_process_info/0","doc":"Returns information about all running processes.","ref":"CDPotion.Domain.SystemInfo.html#get_process_info/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.gpu_device/0","doc":"Describes a single graphics processor (GPU).","ref":"CDPotion.Domain.SystemInfo.html#t:gpu_device/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.gpu_info/0","doc":"Provides information about the GPU(s) on the system.","ref":"CDPotion.Domain.SystemInfo.html#t:gpu_info/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.image_decode_accelerator_capability/0","doc":"Describes a supported image decoding profile with its associated minimum and\nmaximum resolutions and subsampling.","ref":"CDPotion.Domain.SystemInfo.html#t:image_decode_accelerator_capability/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.image_type/0","doc":"Image format of a given image.","ref":"CDPotion.Domain.SystemInfo.html#t:image_type/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.process_info/0","doc":"Represents process info.","ref":"CDPotion.Domain.SystemInfo.html#t:process_info/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.size/0","doc":"Describes the width and height dimensions of an entity.","ref":"CDPotion.Domain.SystemInfo.html#t:size/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.subsampling_format/0","doc":"YUV subsampling type of the pixels of a given image.","ref":"CDPotion.Domain.SystemInfo.html#t:subsampling_format/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.video_decode_accelerator_capability/0","doc":"Describes a supported video decoding profile with its associated minimum and\nmaximum resolutions.","ref":"CDPotion.Domain.SystemInfo.html#t:video_decode_accelerator_capability/0"},{"type":"type","title":"CDPotion.Domain.SystemInfo.video_encode_accelerator_capability/0","doc":"Describes a supported video encoding profile with its associated maximum\nresolution and maximum framerate.","ref":"CDPotion.Domain.SystemInfo.html#t:video_encode_accelerator_capability/0"},{"type":"module","title":"CDPotion.Domain.Target","doc":"","ref":"CDPotion.Domain.Target.html"},{"type":"function","title":"CDPotion.Domain.Target.activate_target/1","doc":"Activates (focuses) the target.","ref":"CDPotion.Domain.Target.html#activate_target/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.activate_target/1","doc":"- (Required) `target_id`: description not provided :(","ref":"CDPotion.Domain.Target.html#activate_target/1-parameters"},{"type":"function","title":"CDPotion.Domain.Target.attach_to_browser_target/0","doc":"Attaches to the browser target, only uses flat sessionId mode.","ref":"CDPotion.Domain.Target.html#attach_to_browser_target/0"},{"type":"function","title":"CDPotion.Domain.Target.attach_to_target/2","doc":"Attaches to the target with given id.","ref":"CDPotion.Domain.Target.html#attach_to_target/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.attach_to_target/2","doc":"- (Required) `target_id`: description not provided :(\n- (Optional) `flatten`: Enables \"flat\" access to the session via specifying sessionId attribute in the commands.\nWe plan to make this the default, deprecate non-flattened mode,\nand eventually retire it. See crbug.com/991325.","ref":"CDPotion.Domain.Target.html#attach_to_target/2-parameters"},{"type":"function","title":"CDPotion.Domain.Target.auto_attach_related/3","doc":"Adds the specified target to the list of targets that will be monitored for any related target\ncreation (such as child frames, child workers and new versions of service worker) and reported\nthrough `attachedToTarget`. The specified target is also auto-attached.\nThis cancels the effect of any previous `setAutoAttach` and is also cancelled by subsequent\n`setAutoAttach`. Only available at the Browser target.","ref":"CDPotion.Domain.Target.html#auto_attach_related/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.auto_attach_related/3","doc":"- (Required) `target_id`: description not provided :(\n- (Required) `wait_for_debugger_on_start`: Whether to pause new targets when attaching to them. Use `Runtime.runIfWaitingForDebugger`\nto run paused targets.\n- (Optional) `filter`: Only targets matching filter will be attached.","ref":"CDPotion.Domain.Target.html#auto_attach_related/3-parameters"},{"type":"function","title":"CDPotion.Domain.Target.close_target/1","doc":"Closes the target. If the target is a page that gets closed too.","ref":"CDPotion.Domain.Target.html#close_target/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.close_target/1","doc":"- (Required) `target_id`: description not provided :(","ref":"CDPotion.Domain.Target.html#close_target/1-parameters"},{"type":"function","title":"CDPotion.Domain.Target.create_browser_context/4","doc":"Creates a new empty BrowserContext. Similar to an incognito profile but you can have more than\none.","ref":"CDPotion.Domain.Target.html#create_browser_context/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.create_browser_context/4","doc":"- (Optional) `dispose_on_detach`: If specified, disposes this context when debugging session disconnects.\n- (Optional) `proxy_server`: Proxy server, similar to the one passed to --proxy-server\n- (Optional) `proxy_bypass_list`: Proxy bypass list, similar to the one passed to --proxy-bypass-list\n- (Optional) `origins_with_universal_network_access`: An optional list of origins to grant unlimited cross-origin access to.\nParts of the URL other than those constituting origin are ignored.","ref":"CDPotion.Domain.Target.html#create_browser_context/4-parameters"},{"type":"function","title":"CDPotion.Domain.Target.create_target/8","doc":"Creates a new page.","ref":"CDPotion.Domain.Target.html#create_target/8"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.create_target/8","doc":"- (Required) `url`: The initial URL the page will be navigated to. An empty string indicates about:blank.\n- (Optional) `width`: Frame width in DIP (headless chrome only).\n- (Optional) `height`: Frame height in DIP (headless chrome only).\n- (Optional) `browser_context_id`: The browser context to create the page in.\n- (Optional) `enable_begin_frame_control`: Whether BeginFrames for this target will be controlled via DevTools (headless chrome only,\nnot supported on MacOS yet, false by default).\n- (Optional) `new_window`: Whether to create a new Window or Tab (chrome-only, false by default).\n- (Optional) `background`: Whether to create the target in background or foreground (chrome-only,\nfalse by default).\n- (Optional) `for_tab`: Whether to create the target of type \"tab\".","ref":"CDPotion.Domain.Target.html#create_target/8-parameters"},{"type":"function","title":"CDPotion.Domain.Target.detach_from_target/2","doc":"Detaches session with given id.","ref":"CDPotion.Domain.Target.html#detach_from_target/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.detach_from_target/2","doc":"- (Optional) `session_id`: Session to detach.\n- (Optional) `target_id`: Deprecated.","ref":"CDPotion.Domain.Target.html#detach_from_target/2-parameters"},{"type":"function","title":"CDPotion.Domain.Target.dispose_browser_context/1","doc":"Deletes a BrowserContext. All the belonging pages will be closed without calling their\nbeforeunload hooks.","ref":"CDPotion.Domain.Target.html#dispose_browser_context/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.dispose_browser_context/1","doc":"- (Required) `browser_context_id`: description not provided :(","ref":"CDPotion.Domain.Target.html#dispose_browser_context/1-parameters"},{"type":"function","title":"CDPotion.Domain.Target.expose_dev_tools_protocol/2","doc":"Inject object to the target's main frame that provides a communication\nchannel with browser target.\nInjected object will be available as `window[bindingName]`.\nThe object has the follwing API:\n- `binding.send(json)` - a method to send messages over the remote debugging protocol\n- `binding.onmessage = json => handleMessage(json)` - a callback that will be called for the protocol notifications and command responses.","ref":"CDPotion.Domain.Target.html#expose_dev_tools_protocol/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.expose_dev_tools_protocol/2","doc":"- (Required) `target_id`: description not provided :(\n- (Optional) `binding_name`: Binding name, 'cdp' if not specified.","ref":"CDPotion.Domain.Target.html#expose_dev_tools_protocol/2-parameters"},{"type":"function","title":"CDPotion.Domain.Target.get_browser_contexts/0","doc":"Returns all browser contexts created with `Target.createBrowserContext` method.","ref":"CDPotion.Domain.Target.html#get_browser_contexts/0"},{"type":"function","title":"CDPotion.Domain.Target.get_target_info/1","doc":"Returns information about a target.","ref":"CDPotion.Domain.Target.html#get_target_info/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.get_target_info/1","doc":"- (Optional) `target_id`: description not provided :(","ref":"CDPotion.Domain.Target.html#get_target_info/1-parameters"},{"type":"function","title":"CDPotion.Domain.Target.get_targets/1","doc":"Retrieves a list of available targets.","ref":"CDPotion.Domain.Target.html#get_targets/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.get_targets/1","doc":"- (Optional) `filter`: Only targets matching filter will be reported. If filter is not specified\nand target discovery is currently enabled, a filter used for target discovery\nis used for consistency.","ref":"CDPotion.Domain.Target.html#get_targets/1-parameters"},{"type":"function","title":"CDPotion.Domain.Target.send_message_to_target/3","doc":"Sends protocol message over session with given id.\nConsider using flat mode instead; see commands attachToTarget, setAutoAttach,\nand crbug.com/991325.","ref":"CDPotion.Domain.Target.html#send_message_to_target/3"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.send_message_to_target/3","doc":"- (Required) `message`: description not provided :(\n- (Optional) `session_id`: Identifier of the session.\n- (Optional) `target_id`: Deprecated.","ref":"CDPotion.Domain.Target.html#send_message_to_target/3-parameters"},{"type":"function","title":"CDPotion.Domain.Target.set_auto_attach/4","doc":"Controls whether to automatically attach to new targets which are considered to be related to\nthis one. When turned on, attaches to all existing related targets as well. When turned off,\nautomatically detaches from all currently attached targets.\nThis also clears all targets added by `autoAttachRelated` from the list of targets to watch\nfor creation of related targets.","ref":"CDPotion.Domain.Target.html#set_auto_attach/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.set_auto_attach/4","doc":"- (Required) `auto_attach`: Whether to auto-attach to related targets.\n- (Required) `wait_for_debugger_on_start`: Whether to pause new targets when attaching to them. Use `Runtime.runIfWaitingForDebugger`\nto run paused targets.\n- (Optional) `flatten`: Enables \"flat\" access to the session via specifying sessionId attribute in the commands.\nWe plan to make this the default, deprecate non-flattened mode,\nand eventually retire it. See crbug.com/991325.\n- (Optional) `filter`: Only targets matching filter will be attached.","ref":"CDPotion.Domain.Target.html#set_auto_attach/4-parameters"},{"type":"function","title":"CDPotion.Domain.Target.set_discover_targets/2","doc":"Controls whether to discover available targets and notify via\n`targetCreated/targetInfoChanged/targetDestroyed` events.","ref":"CDPotion.Domain.Target.html#set_discover_targets/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.set_discover_targets/2","doc":"- (Required) `discover`: Whether to discover available targets.\n- (Optional) `filter`: Only targets matching filter will be attached. If `discover` is false,\n`filter` must be omitted or empty.","ref":"CDPotion.Domain.Target.html#set_discover_targets/2-parameters"},{"type":"function","title":"CDPotion.Domain.Target.set_remote_locations/1","doc":"Enables target discovery for the specified locations, when `setDiscoverTargets` was set to\n`true`.","ref":"CDPotion.Domain.Target.html#set_remote_locations/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Target.set_remote_locations/1","doc":"- (Required) `locations`: List of remote locations.","ref":"CDPotion.Domain.Target.html#set_remote_locations/1-parameters"},{"type":"type","title":"CDPotion.Domain.Target.filter_entry/0","doc":"A filter used by target query/discovery/auto-attach operations.","ref":"CDPotion.Domain.Target.html#t:filter_entry/0"},{"type":"type","title":"CDPotion.Domain.Target.remote_location/0","doc":"description not provided :(","ref":"CDPotion.Domain.Target.html#t:remote_location/0"},{"type":"type","title":"CDPotion.Domain.Target.session_id/0","doc":"Unique identifier of attached debugging session.","ref":"CDPotion.Domain.Target.html#t:session_id/0"},{"type":"type","title":"CDPotion.Domain.Target.target_filter/0","doc":"The entries in TargetFilter are matched sequentially against targets and\nthe first entry that matches determines if the target is included or not,\ndepending on the value of `exclude` field in the entry.\nIf filter is not specified, the one assumed is\n[{type: 'browser', exclude: true}, {type: 'tab', exclude: true}, {}]\n(i.e. include everything but `browser` and `tab`).","ref":"CDPotion.Domain.Target.html#t:target_filter/0"},{"type":"type","title":"CDPotion.Domain.Target.target_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.Target.html#t:target_id/0"},{"type":"type","title":"CDPotion.Domain.Target.target_info/0","doc":"description not provided :(","ref":"CDPotion.Domain.Target.html#t:target_info/0"},{"type":"module","title":"CDPotion.Domain.Tethering","doc":"","ref":"CDPotion.Domain.Tethering.html"},{"type":"function","title":"CDPotion.Domain.Tethering.bind/1","doc":"Request browser port binding.","ref":"CDPotion.Domain.Tethering.html#bind/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Tethering.bind/1","doc":"- (Required) `port`: Port number to bind.","ref":"CDPotion.Domain.Tethering.html#bind/1-parameters"},{"type":"function","title":"CDPotion.Domain.Tethering.unbind/1","doc":"Request browser port unbinding.","ref":"CDPotion.Domain.Tethering.html#unbind/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Tethering.unbind/1","doc":"- (Required) `port`: Port number to unbind.","ref":"CDPotion.Domain.Tethering.html#unbind/1-parameters"},{"type":"module","title":"CDPotion.Domain.Tracing","doc":"","ref":"CDPotion.Domain.Tracing.html"},{"type":"function","title":"CDPotion.Domain.Tracing.end!/0","doc":"Stop trace events collection.","ref":"CDPotion.Domain.Tracing.html#end!/0"},{"type":"function","title":"CDPotion.Domain.Tracing.get_categories/0","doc":"Gets supported tracing categories.","ref":"CDPotion.Domain.Tracing.html#get_categories/0"},{"type":"function","title":"CDPotion.Domain.Tracing.record_clock_sync_marker/1","doc":"Record a clock sync marker in the trace.","ref":"CDPotion.Domain.Tracing.html#record_clock_sync_marker/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.Tracing.record_clock_sync_marker/1","doc":"- (Required) `sync_id`: The ID of this clock sync marker","ref":"CDPotion.Domain.Tracing.html#record_clock_sync_marker/1-parameters"},{"type":"function","title":"CDPotion.Domain.Tracing.request_memory_dump/2","doc":"Request a global memory dump.","ref":"CDPotion.Domain.Tracing.html#request_memory_dump/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.Tracing.request_memory_dump/2","doc":"- (Optional) `deterministic`: Enables more deterministic results by forcing garbage collection\n- (Optional) `level_of_detail`: Specifies level of details in memory dump. Defaults to \"detailed\".","ref":"CDPotion.Domain.Tracing.html#request_memory_dump/2-parameters"},{"type":"function","title":"CDPotion.Domain.Tracing.start/9","doc":"Start trace events collection.","ref":"CDPotion.Domain.Tracing.html#start/9"},{"type":"function","title":"Parameters: - CDPotion.Domain.Tracing.start/9","doc":"- (Optional) `categories`: Category/tag filter\n- (Optional) `options`: Tracing options\n- (Optional) `buffer_usage_reporting_interval`: If set, the agent will issue bufferUsage events at this interval, specified in milliseconds\n- (Optional) `transfer_mode`: Whether to report trace events as series of dataCollected events or to save trace to a\nstream (defaults to `ReportEvents`).\n- (Optional) `stream_format`: Trace data format to use. This only applies when using `ReturnAsStream`\ntransfer mode (defaults to `json`).\n- (Optional) `stream_compression`: Compression format to use. This only applies when using `ReturnAsStream`\ntransfer mode (defaults to `none`)\n- (Optional) `trace_config`: description not provided :(\n- (Optional) `perfetto_config`: Base64-encoded serialized perfetto.protos.TraceConfig protobuf message\nWhen specified, the parameters `categories`, `options`, `traceConfig`\nare ignored. (Encoded as a base64 string when passed over JSON)\n- (Optional) `tracing_backend`: Backend type (defaults to `auto`)","ref":"CDPotion.Domain.Tracing.html#start/9-parameters"},{"type":"type","title":"CDPotion.Domain.Tracing.memory_dump_config/0","doc":"Configuration for memory dump. Used only when 'memory-infra' category is enabled.","ref":"CDPotion.Domain.Tracing.html#t:memory_dump_config/0"},{"type":"type","title":"CDPotion.Domain.Tracing.memory_dump_level_of_detail/0","doc":"Details exposed when memory request explicitly declared.\nKeep consistent with memory_dump_request_args.h and\nmemory_instrumentation.mojom","ref":"CDPotion.Domain.Tracing.html#t:memory_dump_level_of_detail/0"},{"type":"type","title":"CDPotion.Domain.Tracing.stream_compression/0","doc":"Compression type to use for traces returned via streams.","ref":"CDPotion.Domain.Tracing.html#t:stream_compression/0"},{"type":"type","title":"CDPotion.Domain.Tracing.stream_format/0","doc":"Data format of a trace. Can be either the legacy JSON format or the\nprotocol buffer format. Note that the JSON format will be deprecated soon.","ref":"CDPotion.Domain.Tracing.html#t:stream_format/0"},{"type":"type","title":"CDPotion.Domain.Tracing.trace_config/0","doc":"description not provided :(","ref":"CDPotion.Domain.Tracing.html#t:trace_config/0"},{"type":"type","title":"CDPotion.Domain.Tracing.tracing_backend/0","doc":"Backend type to use for tracing. `chrome` uses the Chrome-integrated\ntracing service and is supported on all platforms. `system` is only\nsupported on Chrome OS and uses the Perfetto system tracing service.\n`auto` chooses `system` when the perfettoConfig provided to Tracing.start\nspecifies at least one non-Chrome data source; otherwise uses `chrome`.","ref":"CDPotion.Domain.Tracing.html#t:tracing_backend/0"},{"type":"module","title":"CDPotion.Domain.WebAudio","doc":"","ref":"CDPotion.Domain.WebAudio.html"},{"type":"function","title":"CDPotion.Domain.WebAudio.disable/0","doc":"Disables the WebAudio domain.","ref":"CDPotion.Domain.WebAudio.html#disable/0"},{"type":"function","title":"CDPotion.Domain.WebAudio.enable/0","doc":"Enables the WebAudio domain and starts sending context lifetime events.","ref":"CDPotion.Domain.WebAudio.html#enable/0"},{"type":"function","title":"CDPotion.Domain.WebAudio.get_realtime_data/1","doc":"Fetch the realtime data from the registered contexts.","ref":"CDPotion.Domain.WebAudio.html#get_realtime_data/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAudio.get_realtime_data/1","doc":"- (Required) `context_id`: description not provided :(","ref":"CDPotion.Domain.WebAudio.html#get_realtime_data/1-parameters"},{"type":"type","title":"CDPotion.Domain.WebAudio.audio_listener/0","doc":"Protocol object for AudioListener","ref":"CDPotion.Domain.WebAudio.html#t:audio_listener/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.audio_node/0","doc":"Protocol object for AudioNode","ref":"CDPotion.Domain.WebAudio.html#t:audio_node/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.audio_param/0","doc":"Protocol object for AudioParam","ref":"CDPotion.Domain.WebAudio.html#t:audio_param/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.automation_rate/0","doc":"Enum of AudioParam::AutomationRate from the spec","ref":"CDPotion.Domain.WebAudio.html#t:automation_rate/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.base_audio_context/0","doc":"Protocol object for BaseAudioContext","ref":"CDPotion.Domain.WebAudio.html#t:base_audio_context/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.channel_count_mode/0","doc":"Enum of AudioNode::ChannelCountMode from the spec","ref":"CDPotion.Domain.WebAudio.html#t:channel_count_mode/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.channel_interpretation/0","doc":"Enum of AudioNode::ChannelInterpretation from the spec","ref":"CDPotion.Domain.WebAudio.html#t:channel_interpretation/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.context_realtime_data/0","doc":"Fields in AudioContext that change in real-time.","ref":"CDPotion.Domain.WebAudio.html#t:context_realtime_data/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.context_state/0","doc":"Enum of AudioContextState from the spec","ref":"CDPotion.Domain.WebAudio.html#t:context_state/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.context_type/0","doc":"Enum of BaseAudioContext types","ref":"CDPotion.Domain.WebAudio.html#t:context_type/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.graph_object_id/0","doc":"An unique ID for a graph object (AudioContext, AudioNode, AudioParam) in Web Audio API","ref":"CDPotion.Domain.WebAudio.html#t:graph_object_id/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.node_type/0","doc":"Enum of AudioNode types","ref":"CDPotion.Domain.WebAudio.html#t:node_type/0"},{"type":"type","title":"CDPotion.Domain.WebAudio.param_type/0","doc":"Enum of AudioParam types","ref":"CDPotion.Domain.WebAudio.html#t:param_type/0"},{"type":"module","title":"CDPotion.Domain.WebAuthn","doc":"","ref":"CDPotion.Domain.WebAuthn.html"},{"type":"function","title":"CDPotion.Domain.WebAuthn.add_credential/2","doc":"Adds the credential to the specified authenticator.","ref":"CDPotion.Domain.WebAuthn.html#add_credential/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.add_credential/2","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Required) `credential`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#add_credential/2-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.add_virtual_authenticator/1","doc":"Creates and adds a virtual authenticator.","ref":"CDPotion.Domain.WebAuthn.html#add_virtual_authenticator/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.add_virtual_authenticator/1","doc":"- (Required) `options`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#add_virtual_authenticator/1-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.clear_credentials/1","doc":"Clears all the credentials from the specified device.","ref":"CDPotion.Domain.WebAuthn.html#clear_credentials/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.clear_credentials/1","doc":"- (Required) `authenticator_id`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#clear_credentials/1-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.disable/0","doc":"Disable the WebAuthn domain.","ref":"CDPotion.Domain.WebAuthn.html#disable/0"},{"type":"function","title":"CDPotion.Domain.WebAuthn.enable/1","doc":"Enable the WebAuthn domain and start intercepting credential storage and\nretrieval with a virtual authenticator.","ref":"CDPotion.Domain.WebAuthn.html#enable/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.enable/1","doc":"- (Optional) `enable_ui`: Whether to enable the WebAuthn user interface. Enabling the UI is\nrecommended for debugging and demo purposes, as it is closer to the real\nexperience. Disabling the UI is recommended for automated testing.\nSupported at the embedder's discretion if UI is available.\nDefaults to false.","ref":"CDPotion.Domain.WebAuthn.html#enable/1-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.get_credential/2","doc":"Returns a single credential stored in the given virtual authenticator that\nmatches the credential ID.","ref":"CDPotion.Domain.WebAuthn.html#get_credential/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.get_credential/2","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Required) `credential_id`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#get_credential/2-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.get_credentials/1","doc":"Returns all the credentials stored in the given virtual authenticator.","ref":"CDPotion.Domain.WebAuthn.html#get_credentials/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.get_credentials/1","doc":"- (Required) `authenticator_id`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#get_credentials/1-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.remove_credential/2","doc":"Removes a credential from the authenticator.","ref":"CDPotion.Domain.WebAuthn.html#remove_credential/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.remove_credential/2","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Required) `credential_id`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#remove_credential/2-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.remove_virtual_authenticator/1","doc":"Removes the given authenticator.","ref":"CDPotion.Domain.WebAuthn.html#remove_virtual_authenticator/1"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.remove_virtual_authenticator/1","doc":"- (Required) `authenticator_id`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#remove_virtual_authenticator/1-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.set_automatic_presence_simulation/2","doc":"Sets whether tests of user presence will succeed immediately (if true) or fail to resolve (if false) for an authenticator.\nThe default is true.","ref":"CDPotion.Domain.WebAuthn.html#set_automatic_presence_simulation/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.set_automatic_presence_simulation/2","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Required) `enabled`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#set_automatic_presence_simulation/2-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.set_response_override_bits/4","doc":"Resets parameters isBogusSignature, isBadUV, isBadUP to false if they are not present.","ref":"CDPotion.Domain.WebAuthn.html#set_response_override_bits/4"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.set_response_override_bits/4","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Optional) `is_bogus_signature`: If isBogusSignature is set, overrides the signature in the authenticator response to be zero.\nDefaults to false.\n- (Optional) `is_bad_uv`: If isBadUV is set, overrides the UV bit in the flags in the authenticator response to\nbe zero. Defaults to false.\n- (Optional) `is_bad_up`: If isBadUP is set, overrides the UP bit in the flags in the authenticator response to\nbe zero. Defaults to false.","ref":"CDPotion.Domain.WebAuthn.html#set_response_override_bits/4-parameters"},{"type":"function","title":"CDPotion.Domain.WebAuthn.set_user_verified/2","doc":"Sets whether User Verification succeeds or fails for an authenticator.\nThe default is true.","ref":"CDPotion.Domain.WebAuthn.html#set_user_verified/2"},{"type":"function","title":"Parameters: - CDPotion.Domain.WebAuthn.set_user_verified/2","doc":"- (Required) `authenticator_id`: description not provided :(\n- (Required) `is_user_verified`: description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#set_user_verified/2-parameters"},{"type":"type","title":"CDPotion.Domain.WebAuthn.authenticator_id/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:authenticator_id/0"},{"type":"type","title":"CDPotion.Domain.WebAuthn.authenticator_protocol/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:authenticator_protocol/0"},{"type":"type","title":"CDPotion.Domain.WebAuthn.authenticator_transport/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:authenticator_transport/0"},{"type":"type","title":"CDPotion.Domain.WebAuthn.credential/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:credential/0"},{"type":"type","title":"CDPotion.Domain.WebAuthn.ctap2_version/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:ctap2_version/0"},{"type":"type","title":"CDPotion.Domain.WebAuthn.virtual_authenticator_options/0","doc":"description not provided :(","ref":"CDPotion.Domain.WebAuthn.html#t:virtual_authenticator_options/0"},{"type":"module","title":"CDPotion.Utils","doc":"","ref":"CDPotion.Utils.html"}],"content_type":"text/markdown"}